import { IGroupBlocksData, IGroupBlocksItem, IGroupBlocksOption } from '@fly-vue/ide-core';
import { PropType } from 'vue';
import { Groups } from '@fly-vue/lcdp-api';
import { Service } from '@fly-vue/lcdp-designer';
declare const _default: import("vue").DefineComponent<{
    data: {
        type: PropType<IGroupBlocksData>;
        required: true;
    };
    options: {
        type: PropType<IGroupBlocksOption>;
    };
    dragId: {
        type: StringConstructor;
        default: string;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        data: IGroupBlocksData;
        dragId: string;
    } & {
        options?: IGroupBlocksOption | undefined;
    }>>>;
    emit: (event: "on-design" | "on-edit" | "on-remove", ...args: any[]) => void;
    selectedFolderId: import("vue").Ref<any>;
    disabledPreview: import("vue").Ref<boolean>;
    list: import("vue").ComputedRef<IGroupBlocksItem[]>;
    design: (block: IGroupBlocksItem) => void;
    edit: (block: IGroupBlocksItem) => void;
    remove: (block: IGroupBlocksItem) => void;
    getDragOption: (block: IGroupBlocksItem) => {
        dragId: string;
        dragingCtx: () => string;
        dragstart: () => boolean;
        dragend: () => boolean;
        dragover: () => boolean;
        drop: ({ node, posType, service }: any) => void;
    };
    merge: (service: Service, json: any) => any;
    isExpression: (targetStr: any) => boolean;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
        fit: boolean;
        gutter: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        selected: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        middle: boolean;
        selectable: boolean;
        overflowHidden: boolean;
    }>;
    NoData: import("vue").DefineComponent<{
        text: {
            default: string;
        };
        desc: null;
        img: null;
    }, {
        __sfc: boolean;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
        noData: any;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        text: {
            default: string;
        };
        desc: null;
        img: null;
    }>>, {
        text: string;
    }>;
    SelectableTag: import("vue").DefineComponent<{
        selected: {
            type: (BooleanConstructor | StringConstructor)[];
        };
        name: null;
        tag: {
            default: string;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
        bg: {
            type: BooleanConstructor;
            default: boolean;
        };
        badge: {
            type: BooleanConstructor;
        };
        badgeSize: {
            default: string;
        };
    }, {
        __sfc: boolean;
        props: {
            selected?: string | boolean | undefined;
            name?: string | undefined;
            tag: "row" | "column";
            padding: boolean;
            bg: boolean;
            badge?: boolean | undefined;
            badgeSize: string;
        };
        emit: (event: "on-select", ...args: any[]) => void;
        clazz: import("vue").ComputedRef<{
            selected: boolean;
            padding: boolean;
            bg: boolean;
        }>;
        onClick: () => void;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        badgeSelected: any;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-select"[], string, Readonly<import("vue").ExtractPropTypes<{
        selected: {
            type: (BooleanConstructor | StringConstructor)[];
        };
        name: null;
        tag: {
            default: string;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
        bg: {
            type: BooleanConstructor;
            default: boolean;
        };
        badge: {
            type: BooleanConstructor;
        };
        badgeSize: {
            default: string;
        };
    }>>, {
        padding: boolean;
        tag: string;
        bg: boolean;
        badge: boolean;
        badgeSize: string;
    }>;
    Groups: typeof Groups;
    LazyPreviewLowcodePage: import("vue").DefineComponent<{
        appId: null;
        group: null;
        id: null;
        versionId: null;
        platform: {
            default: string;
        };
    }, {
        __sfc: boolean;
        props: {
            appId?: string | undefined;
            group: Groups;
            id: string;
            versionId?: string | undefined;
            platform: import("@fly-vue/lcdp-api").IPlatform;
        };
        emit: (event: "on-load", ...args: any[]) => void;
        payload: import("vue").Ref<any>;
        onShow: () => Promise<void>;
        PreviewLowcodePage: import("vue").DefineComponent<{
            payload: {
                type: ObjectConstructor;
                required: true;
            };
            scale: {
                type: NumberConstructor;
                default: number;
            };
            enableOpenPreviewDialog: {
                type: BooleanConstructor;
            };
            enabledEdit: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                padding: boolean;
                payload: Record<string, any>;
                scale: number;
                enableOpenPreviewDialog: boolean;
                enabledEdit: boolean;
            } & {}>>>;
            emit: (event: "on-loaded", ...args: any[]) => void;
            loaded: import("vue").Ref<boolean>;
            rendererConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
            finalPayload: import("vue").ComputedRef<any>;
            onRendered: () => void;
            open: () => void;
            LcdpRenderer: import("vue").DefineComponent<{
                onRender: {
                    type: PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: (ObjectConstructor | StringConstructor)[];
                    requried: boolean;
                };
                config: {
                    type: PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                };
                ignoreMicroAppIdInQuery: {
                    type: BooleanConstructor;
                };
            }, {
                isAdpativePage: import("vue").Ref<boolean>;
                comDef: import("vue").Ref<import("vue").DefineComponent<{
                    onRender: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                    };
                }, {
                    preprocessed: import("vue").Ref<boolean>;
                    compiledPage: any;
                    compiledPageRef: any;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    onRender: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                    };
                }>>, {}>>;
                masterPayload: any;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                onRender: {
                    type: PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: (ObjectConstructor | StringConstructor)[];
                    requried: boolean;
                };
                config: {
                    type: PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                };
                ignoreMicroAppIdInQuery: {
                    type: BooleanConstructor;
                };
            }>>, {
                ignoreMicroAppIdInQuery: boolean;
            }>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-loaded"[], string, Readonly<import("vue").ExtractPropTypes<{
            payload: {
                type: ObjectConstructor;
                required: true;
            };
            scale: {
                type: NumberConstructor;
                default: number;
            };
            enableOpenPreviewDialog: {
                type: BooleanConstructor;
            };
            enabledEdit: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            padding: boolean;
            scale: number;
            enableOpenPreviewDialog: boolean;
            enabledEdit: boolean;
        }>;
        Observable: import("vue").DefineComponent<{
            enabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: {
                enabled: boolean;
            };
            emit: (event: "on-observe" | "on-show" | "on-hide", ...args: any[]) => void;
            target: import("vue").Ref<any>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-observe" | "on-show" | "on-hide")[], string, Readonly<import("vue").ExtractPropTypes<{
            enabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            enabled: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-load"[], string, Readonly<import("vue").ExtractPropTypes<{
        appId: null;
        group: null;
        id: null;
        versionId: null;
        platform: {
            default: string;
        };
    }>>, {
        platform: string;
    }>;
    PreviewCard: import("vue").DefineComponent<{
        selected: {
            type: BooleanConstructor;
        };
        icon: null;
        payload: null;
        group: null;
        id: null;
        versionId: null;
        platform: null;
        empty: {
            type: BooleanConstructor;
        };
        title: null;
        cardClass: null;
        width: {
            default: string;
        };
        height: {
            default: string;
        };
        noScroll: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: {
            selected?: boolean | undefined;
            icon?: string | undefined;
            payload?: Record<string, any> | undefined;
            group?: Groups | undefined;
            id?: string | undefined;
            versionId?: string | undefined;
            platform?: string | undefined;
            empty?: boolean | undefined;
            title?: string | undefined;
            cardClass?: string | undefined;
            width: string;
            height: string;
            noScroll?: boolean | undefined;
        };
        emit: (event: "on-select" | "on-load", ...args: any[]) => void;
        LazyPreviewLowcodePage: import("vue").DefineComponent<{
            appId: null;
            group: null;
            id: null;
            versionId: null;
            platform: {
                default: string;
            };
        }, {
            __sfc: boolean;
            props: {
                appId?: string | undefined;
                group: Groups;
                id: string;
                versionId?: string | undefined;
                platform: import("@fly-vue/lcdp-api").IPlatform;
            };
            emit: (event: "on-load", ...args: any[]) => void;
            payload: import("vue").Ref<any>;
            onShow: () => Promise<void>;
            PreviewLowcodePage: import("vue").DefineComponent<{
                payload: {
                    type: ObjectConstructor;
                    required: true;
                };
                scale: {
                    type: NumberConstructor;
                    default: number;
                };
                enableOpenPreviewDialog: {
                    type: BooleanConstructor;
                };
                enabledEdit: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    padding: boolean;
                    payload: Record<string, any>;
                    scale: number;
                    enableOpenPreviewDialog: boolean;
                    enabledEdit: boolean;
                } & {}>>>;
                emit: (event: "on-loaded", ...args: any[]) => void;
                loaded: import("vue").Ref<boolean>;
                rendererConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                finalPayload: import("vue").ComputedRef<any>;
                onRendered: () => void;
                open: () => void;
                LcdpRenderer: import("vue").DefineComponent<{
                    onRender: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: (ObjectConstructor | StringConstructor)[];
                        requried: boolean;
                    };
                    config: {
                        type: PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                    };
                    ignoreMicroAppIdInQuery: {
                        type: BooleanConstructor;
                    };
                }, {
                    isAdpativePage: import("vue").Ref<boolean>;
                    comDef: import("vue").Ref<import("vue").DefineComponent<{
                        onRender: {
                            type: PropType<(context: any) => any>;
                            required: boolean;
                        };
                        onRendered: {
                            type: PropType<(context: any) => any>;
                            required: boolean;
                        };
                        payload: {
                            type: PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                        };
                    }, {
                        preprocessed: import("vue").Ref<boolean>;
                        compiledPage: any;
                        compiledPageRef: any;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        onRender: {
                            type: PropType<(context: any) => any>;
                            required: boolean;
                        };
                        onRendered: {
                            type: PropType<(context: any) => any>;
                            required: boolean;
                        };
                        payload: {
                            type: PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                        };
                    }>>, {}>>;
                    masterPayload: any;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    onRender: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: (ObjectConstructor | StringConstructor)[];
                        requried: boolean;
                    };
                    config: {
                        type: PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                    };
                    ignoreMicroAppIdInQuery: {
                        type: BooleanConstructor;
                    };
                }>>, {
                    ignoreMicroAppIdInQuery: boolean;
                }>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-loaded"[], string, Readonly<import("vue").ExtractPropTypes<{
                payload: {
                    type: ObjectConstructor;
                    required: true;
                };
                scale: {
                    type: NumberConstructor;
                    default: number;
                };
                enableOpenPreviewDialog: {
                    type: BooleanConstructor;
                };
                enabledEdit: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                padding: boolean;
                scale: number;
                enableOpenPreviewDialog: boolean;
                enabledEdit: boolean;
            }>;
            Observable: import("vue").DefineComponent<{
                enabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: {
                    enabled: boolean;
                };
                emit: (event: "on-observe" | "on-show" | "on-hide", ...args: any[]) => void;
                target: import("vue").Ref<any>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-observe" | "on-show" | "on-hide")[], string, Readonly<import("vue").ExtractPropTypes<{
                enabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                enabled: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-load"[], string, Readonly<import("vue").ExtractPropTypes<{
            appId: null;
            group: null;
            id: null;
            versionId: null;
            platform: {
                default: string;
            };
        }>>, {
            platform: string;
        }>;
        PreviewLowcodePage: import("vue").DefineComponent<{
            payload: {
                type: ObjectConstructor;
                required: true;
            };
            scale: {
                type: NumberConstructor;
                default: number;
            };
            enableOpenPreviewDialog: {
                type: BooleanConstructor;
            };
            enabledEdit: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                padding: boolean;
                payload: Record<string, any>;
                scale: number;
                enableOpenPreviewDialog: boolean;
                enabledEdit: boolean;
            } & {}>>>;
            emit: (event: "on-loaded", ...args: any[]) => void;
            loaded: import("vue").Ref<boolean>;
            rendererConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
            finalPayload: import("vue").ComputedRef<any>;
            onRendered: () => void;
            open: () => void;
            LcdpRenderer: import("vue").DefineComponent<{
                onRender: {
                    type: PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: (ObjectConstructor | StringConstructor)[];
                    requried: boolean;
                };
                config: {
                    type: PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                };
                ignoreMicroAppIdInQuery: {
                    type: BooleanConstructor;
                };
            }, {
                isAdpativePage: import("vue").Ref<boolean>;
                comDef: import("vue").Ref<import("vue").DefineComponent<{
                    onRender: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                    };
                }, {
                    preprocessed: import("vue").Ref<boolean>;
                    compiledPage: any;
                    compiledPageRef: any;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    onRender: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                    };
                }>>, {}>>;
                masterPayload: any;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                onRender: {
                    type: PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: (ObjectConstructor | StringConstructor)[];
                    requried: boolean;
                };
                config: {
                    type: PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                };
                ignoreMicroAppIdInQuery: {
                    type: BooleanConstructor;
                };
            }>>, {
                ignoreMicroAppIdInQuery: boolean;
            }>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-loaded"[], string, Readonly<import("vue").ExtractPropTypes<{
            payload: {
                type: ObjectConstructor;
                required: true;
            };
            scale: {
                type: NumberConstructor;
                default: number;
            };
            enableOpenPreviewDialog: {
                type: BooleanConstructor;
            };
            enabledEdit: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            padding: boolean;
            scale: number;
            enableOpenPreviewDialog: boolean;
            enabledEdit: boolean;
        }>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
        LcImage: import("vue").DefineComponent<{
            src: null;
            lazy: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            RenderWhenBeSeen: import("vue").DefineComponent<{
                enabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: {
                    enabled: boolean;
                };
                vIf: import("vue").Ref<boolean>;
                Observable: import("vue").DefineComponent<{
                    enabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        enabled: boolean;
                    };
                    emit: (event: "on-observe" | "on-show" | "on-hide", ...args: any[]) => void;
                    target: import("vue").Ref<any>;
                    Column: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            fit?: boolean | undefined;
                            gutter?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-h-0': boolean | undefined;
                            gutter: boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                        fit: boolean;
                        gutter: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-observe" | "on-show" | "on-hide")[], string, Readonly<import("vue").ExtractPropTypes<{
                    enabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    enabled: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                enabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                enabled: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            src: null;
            lazy: {
                type: BooleanConstructor;
            };
        }>>, {
            lazy: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-load")[], string, Readonly<import("vue").ExtractPropTypes<{
        selected: {
            type: BooleanConstructor;
        };
        icon: null;
        payload: null;
        group: null;
        id: null;
        versionId: null;
        platform: null;
        empty: {
            type: BooleanConstructor;
        };
        title: null;
        cardClass: null;
        width: {
            default: string;
        };
        height: {
            default: string;
        };
        noScroll: {
            type: BooleanConstructor;
        };
    }>>, {
        selected: boolean;
        empty: boolean;
        width: string;
        height: string;
        noScroll: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-design" | "on-edit" | "on-remove")[], string, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: PropType<IGroupBlocksData>;
        required: true;
    };
    options: {
        type: PropType<IGroupBlocksOption>;
    };
    dragId: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    dragId: string;
}>;
export default _default;
