import { PropType } from 'vue';
import { IDynamicField, IExtendedField, IJson } from './type';
import { IField } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    formId: {
        type: StringConstructor;
        required: true;
    };
    appId: {
        type: StringConstructor;
    };
    entityName: {
        type: StringConstructor;
        default: string;
    };
    fields: {
        type: PropType<IExtendedField[]>;
    };
    defaultFields: {
        type: PropType<string[]>;
    };
    onlyDynamicFields: {
        type: BooleanConstructor;
    };
    formData: {
        type: ObjectConstructor;
        default: () => {};
    };
    formType: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    onlyFormItems: {
        type: BooleanConstructor;
    };
    formItemPropPrefix: {
        type: StringConstructor;
    };
    json: {
        type: PropType<IJson>;
    };
    span: {
        type: StringConstructor;
        default: string;
    };
    labelWidth: {
        type: NumberConstructor;
    };
    showSettingBtn: {
        type: BooleanConstructor;
    };
    /**
     * 动态实体字段表单有两种模式：
     * 1. setting 设置模式：用于管理员设置动态字段，可预览设置好的表单，会显示设置按钮，点击确定之后会生成低代码表单页面，由on-save事件抛出去
     * 2. view 查看模式：用于普通用户使用表单时显示使用
     */
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    /**
     * 启用默认存储位置 MetaFile
     */
    useDefaultStore: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        mode: string;
        formId: string;
        entityName: string;
        onlyDynamicFields: boolean;
        formData: Record<string, any>;
        formType: string;
        onlyFormItems: boolean;
        span: string;
        showSettingBtn: boolean;
        useDefaultStore: boolean;
    } & {
        appId?: string | undefined;
        labelWidth?: number | undefined;
        fields?: IExtendedField[] | undefined;
        defaultFields?: string[] | undefined;
        formItemPropPrefix?: string | undefined;
        json?: IJson | undefined;
    }>>>;
    emit: (event: "on-save" | "on-reload" | "on-loaded-entity", ...args: any[]) => void;
    selectedFields: import("vue").Ref<IDynamicField[] | undefined>;
    payload: import("vue").Ref<any>;
    vIf: import("vue").Ref<boolean>;
    isShow: import("vue").Ref<boolean>;
    settingForm: import("vue").Ref<any>;
    loading: import("vue").Ref<boolean>;
    refRenderer: import("vue").Ref<any>;
    refMsg: import("vue").Ref<any>;
    refForm: import("vue").Ref<any>;
    id: import("vue").ComputedRef<string>;
    channelId: import("vue").ComputedRef<string>;
    rendererConfig: import("@fly-vue/lcdp-engine").LcdpRendererConfig;
    entity: import("vue").Ref<import("@fly-vue/lcdp-api").IEntity | undefined>;
    entityLoaded: import("vue").Ref<boolean>;
    fields: import("vue").ComputedRef<IField[] | null>;
    span: import("vue").Ref<string>;
    reload: () => Promise<void>;
    getDynamicFieldsFromJson: (json?: IJson | undefined) => IDynamicField[];
    openFieldsSetting: () => void;
    save: (selectedFieldNames?: string[] | undefined) => Promise<void>;
    onMessage: ({ message }: {
        message: Record<string, any>;
    }) => void;
    handleDefaultValue: () => void;
    LcdpRenderer: import("vue").DefineComponent<{
        onRender: {
            type: PropType<(context: any) => any>;
            required: boolean;
        };
        onRendered: {
            type: PropType<(context: any) => any>;
            required: boolean;
        };
        payload: {
            type: (ObjectConstructor | StringConstructor)[];
            requried: boolean;
        };
        config: {
            type: PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
        };
        ignoreMicroAppIdInQuery: {
            type: BooleanConstructor;
        };
    }, {
        isAdpativePage: import("vue").Ref<boolean>;
        comDef: import("vue").Ref<import("vue").DefineComponent<{
            onRender: {
                type: PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
            };
        }, {
            preprocessed: import("vue").Ref<boolean>;
            compiledPage: any;
            compiledPageRef: any;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            onRender: {
                type: PropType<(context: any) => any>;
                required: boolean; /**
                 * 启用默认存储位置 MetaFile
                 */
            };
            onRendered: {
                type: PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
            };
        }>>, {}>>;
        masterPayload: any;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        onRender: {
            type: PropType<(context: any) => any>;
            required: boolean;
        };
        onRendered: {
            type: PropType<(context: any) => any>;
            required: boolean;
        };
        payload: {
            type: (ObjectConstructor | StringConstructor)[];
            requried: boolean;
        };
        config: {
            type: PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
        };
        ignoreMicroAppIdInQuery: {
            type: BooleanConstructor;
        };
    }>>, {
        ignoreMicroAppIdInQuery: boolean;
    }>;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        selected: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        middle: boolean;
        selectable: boolean;
        overflowHidden: boolean;
    }>;
    IconBtn: import("vue").DefineComponent<{
        icon: {
            type: StringConstructor;
            required: true;
        };
        iconHover: {
            type: StringConstructor;
        };
        size: {
            type: StringConstructor;
            default: string;
        };
        iconSize: {
            type: StringConstructor;
        };
        tips: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        emit: (event: "click", ...args: any[]) => void;
        hover: import("vue").Ref<boolean>;
        onClick: (event: any) => void;
        LcView: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
            selected: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | undefined;
                selected?: boolean | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                selected: boolean | undefined;
            }>;
            style: import("vue").ComputedRef<{}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
            selected: {
                type: BooleanConstructor;
            };
        }>>, {
            selected: boolean;
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Icon: import("vue").DefineComponent<{
            icon: null;
            size: null;
            color: null;
        }, {
            __sfc: boolean;
            props: {
                icon: string;
                size?: string | undefined;
                color?: string | undefined;
            };
            isIdeIcon: import("vue").ComputedRef<boolean>;
            isProIcon: import("vue").ComputedRef<boolean>;
            isIdesIcon: import("vue").ComputedRef<boolean>;
            isLcIcon: import("vue").ComputedRef<boolean>;
            colorMap: Record<string, string>;
            color: import("vue").ComputedRef<string>;
            IdeIcon: import("vue").DefineComponent<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }>>, {
                size: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            icon: null;
            size: null;
            color: null;
        }>>, {}>;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
        icon: {
            type: StringConstructor;
            required: true;
        };
        iconHover: {
            type: StringConstructor;
        };
        size: {
            type: StringConstructor;
            default: string;
        };
        iconSize: {
            type: StringConstructor;
        };
        tips: {
            type: StringConstructor;
        };
    }>>, {
        size: string;
    }>;
    SetFormFields: import("vue").DefineComponent<{
        fields: {
            type: PropType<IField[]>;
        };
        value: {
            type: PropType<string[]>;
        };
        span: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
            value?: string[] | undefined;
            fields?: IField[] | undefined;
            span?: string | undefined;
        }>>>;
        emit: (event: "update:span", ...args: any[]) => void;
        selected: import("vue").Ref<string[]>;
        padding: boolean;
        span: import("vue").Ref<string | undefined> | import("vue").WritableComputedRef<string | undefined>;
        spanList: {
            label: string;
            value: string;
        }[];
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        LcSelect: import("vue").DefineComponent<any, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                [x: string]: any;
            } & {
                [x: number]: any;
                [x: symbol]: any;
            }>>>;
            emit: (event: string, ...args: any[]) => void;
            finalList: import("vue").ComputedRef<any>;
            innerValue: import("vue").Ref<any> | import("vue").WritableComputedRef<any>;
            onChange: (str?: string | undefined) => void;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, string[], string, Readonly<any>, {} | {
            [x: string]: any;
        }>;
        SelectFields: import("vue").DefineComponent<{
            fields: {
                type: PropType<IField[]>;
                required: true;
            };
            value: {
                type: PropType<string[]>;
            };
            filterFunc: {
                type: FunctionConstructor;
            };
            itemClass: {
                type: StringConstructor;
                default: string;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                fields: IField[];
                itemClass: string;
            } & {
                value?: string[] | undefined;
                filterFunc?: Function | undefined;
            }>>>;
            emit: (event: "input", ...args: any[]) => void;
            innerValue: import("vue").Ref<string[] | undefined> | import("vue").WritableComputedRef<string[] | undefined>;
            candidateFields: import("vue").ComputedRef<IField[]>;
            listSort: (a: IField, b: IField) => number;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
            fields: {
                type: PropType<IField[]>;
                required: true;
            };
            value: {
                type: PropType<string[]>;
            };
            filterFunc: {
                type: FunctionConstructor;
            };
            itemClass: {
                type: StringConstructor;
                default: string;
            };
        }>>, {
            itemClass: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "update:span"[], string, Readonly<import("vue").ExtractPropTypes<{
        fields: {
            type: PropType<IField[]>;
        };
        value: {
            type: PropType<string[]>;
        };
        span: {
            type: StringConstructor;
        };
    }>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-save" | "on-reload" | "on-loaded-entity")[], string, Readonly<import("vue").ExtractPropTypes<{
    formId: {
        type: StringConstructor;
        required: true;
    };
    appId: {
        type: StringConstructor;
    };
    entityName: {
        type: StringConstructor;
        default: string;
    };
    fields: {
        type: PropType<IExtendedField[]>;
    };
    defaultFields: {
        type: PropType<string[]>;
    };
    onlyDynamicFields: {
        type: BooleanConstructor;
    };
    formData: {
        type: ObjectConstructor;
        default: () => {};
    };
    formType: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    onlyFormItems: {
        type: BooleanConstructor;
    };
    formItemPropPrefix: {
        type: StringConstructor;
    };
    json: {
        type: PropType<IJson>;
    };
    span: {
        type: StringConstructor;
        default: string;
    };
    labelWidth: {
        type: NumberConstructor;
    };
    showSettingBtn: {
        type: BooleanConstructor;
    };
    /**
     * 动态实体字段表单有两种模式：
     * 1. setting 设置模式：用于管理员设置动态字段，可预览设置好的表单，会显示设置按钮，点击确定之后会生成低代码表单页面，由on-save事件抛出去
     * 2. view 查看模式：用于普通用户使用表单时显示使用
     */
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    /**
     * 启用默认存储位置 MetaFile
     */
    useDefaultStore: {
        type: BooleanConstructor;
    };
}>>, {
    mode: string;
    entityName: string;
    onlyDynamicFields: boolean;
    formData: Record<string, any>;
    formType: string;
    onlyFormItems: boolean;
    span: string;
    showSettingBtn: boolean;
    useDefaultStore: boolean;
}>;
export default _default;
