import { IEntity, IField, PageType } from '@fly-vue/lcdp-api';
import { JsonNode } from '@fly-vue/lcdp-designer';
import { IExtendedField } from '../../../components/meta-dynamic-entity-form/type';
interface IParams {
    entityCode: string;
    formType: PageType;
    fields: IField[];
    fullEntity: IEntity;
    isAddSaveBtn: boolean;
    isAddPageVar: boolean;
    editDsName?: string;
    pageVarName?: string;
    formItemPropPrefix?: string;
    span: string;
    node: JsonNode;
}
export declare function generateEntityForm(params: IParams): any;
export declare function generateCreateEntityForm(params: IParams): {
    type: string;
    id: string;
    props: {
        entity: string;
        model: string | null;
        span: string;
        rowspace: number;
        labelPosition: string;
        labelWidth: number;
        showMessage: boolean;
        prevent: boolean;
    };
    children: any[];
};
export declare function generateEditEntityForm(params: IParams): any;
export declare function generateEntityFormItem(modelName: string, metaField: IExtendedField, span: string, skipRequired?: boolean, formItemPropPrefix?: string): any;
export declare function createEntityForm(params: IParams): {
    type: string;
    id: string;
    props: {
        entity: string;
        model: string | null;
        span: string;
        rowspace: number;
        labelPosition: string;
        labelWidth: number;
        showMessage: boolean;
        prevent: boolean;
    };
    children: any[];
};
export {};
