import { PropType } from 'vue';
import { IEntity, IMetaProps } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    entityName: {
        type: StringConstructor;
    };
    meta: {
        type: PropType<IMetaProps>;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
        meta?: IMetaProps | undefined;
        entityName?: string | undefined;
    }>>>;
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    selectedEntity: import("vue").Ref<string | undefined>;
    entity: import("vue").Ref<IEntity | undefined>;
    tabs: import("vue").Ref<any>;
    loading: import("vue").Ref<boolean>;
    selectedTab: import("vue").Ref<any>;
    listContainer: import("vue").Ref<any>;
    submitting: import("vue").Ref<boolean>;
    appId: string | undefined;
    templateList: import("vue").Ref<{
        label: string;
        component: any;
        disabled: boolean;
        idPrefix?: string | undefined;
        idAppend?: string | undefined;
        params: Record<string, any>;
    }[]>;
    onTabRemove: (name: string) => void;
    onChangeEntity: (e: IEntity) => Promise<void>;
    isDataValid: import("vue").ComputedRef<boolean>;
    submit: () => Promise<void>;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
        fit: boolean;
        gutter: boolean;
    }>;
    Loading: import("vue").DefineComponent<{
        value: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            value: boolean;
        }>>>;
        emit: (event: "input", ...args: any[]) => void;
        innerValue: import("vue").Ref<boolean> | import("vue").WritableComputedRef<boolean>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: BooleanConstructor;
        };
    }>>, {
        value: boolean;
    }>;
    FormBtns: import("vue").DefineComponent<{
        disabled: {
            type: BooleanConstructor;
        };
        okText: {
            type: StringConstructor;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelPosition: {
            type: StringConstructor;
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
        onCancel: () => void;
        onOk: () => void;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Space: import("vue").DefineComponent<{}, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
        disabled: {
            type: BooleanConstructor;
        };
        okText: {
            type: StringConstructor;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelPosition: {
            type: StringConstructor;
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        padding: boolean;
        loading: boolean;
        disabled: boolean;
        okText: string;
        showCancel: boolean;
        cancelPosition: string;
    }>;
    LcLine: import("vue").DefineComponent<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }>>, {
        position: string;
    }>;
    SelectEntity: import("vue").DefineComponent<{
        value: {
            type: StringConstructor;
        };
        placeholder: {
            type: StringConstructor;
        };
        emitWhenHasInitValue: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            emitWhenHasInitValue: boolean;
        } & {
            value?: string | undefined;
            placeholder?: string | undefined;
        }>>>;
        emit: (event: "input" | "on-change", ...args: any[]) => void;
        v: import("vue").Ref<string | undefined>;
        innerValue: import("vue").Ref<string | undefined>;
        appId: string | undefined;
        list: import("vue").WritableComputedRef<IEntity[]>;
        loaded: import("vue").Ref<boolean>;
        onChange: (entity?: IEntity | undefined) => void;
        LcSelect: import("vue").DefineComponent<any, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                [x: string]: any;
            } & {
                [x: number]: any;
                [x: symbol]: any;
            }>>>;
            emit: (event: string, ...args: any[]) => void;
            finalList: import("vue").ComputedRef<any>;
            innerValue: import("vue").Ref<any> | import("vue").WritableComputedRef<any>;
            onChange: (str?: string | undefined) => void;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, string[], string, Readonly<any>, {} | {
            [x: string]: any;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: StringConstructor;
        };
        placeholder: {
            type: StringConstructor;
        };
        emitWhenHasInitValue: {
            type: BooleanConstructor;
        };
    }>>, {
        emitWhenHasInitValue: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    entityName: {
        type: StringConstructor;
    };
    meta: {
        type: PropType<IMetaProps>;
    };
}>>, {}>;
export default _default;
