import { PropType, Ref } from 'vue';
import { INaviSelected } from '@fly-vue/ide-core';
import { IHeaderMenu, IMenuInfo, MenuTarget, ILayoutSetting } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    layoutConfig: {
        type: PropType<ILayoutSetting>;
        required: true;
    };
    hideHeaderMenus: {
        type: BooleanConstructor;
    };
    headerId: {
        type: StringConstructor;
    };
    headerTitle: {
        type: StringConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        layoutConfig: ILayoutSetting;
        hideHeaderMenus: boolean;
    } & {
        headerId?: string | undefined;
        headerTitle?: string | undefined;
    }>>>;
    config: Ref<ILayoutSetting>;
    emit: (event: "on-select" | "on-load" | "on-change" | "on-save" | "on-click", ...args: any[]) => void;
    refHeader: Ref<any>;
    editing: Ref<IHeaderMenu | IMenuInfo | undefined>;
    editingHeader: Ref<any>;
    refSider: Ref<any>;
    siderList: Ref<{
        id?: string | undefined;
        title: string;
        header?: string | undefined;
        path?: string | undefined;
        icon?: string | undefined;
        custom?: string | undefined;
        auth?: string[] | undefined;
        $secured?: string | undefined;
        target?: MenuTarget | undefined;
        children?: any[] | undefined;
    }[]>;
    navi: Ref<import("@fly-vue/lcdp-api").INavi | undefined>;
    reload: (headerId?: string | undefined, headerTitle?: string | undefined) => Promise<void>;
    selectedHeaderName: Ref<any>;
    saveHeader: (headerId?: string | undefined) => Promise<void>;
    setSiderList: () => void;
    addSider: () => Promise<void>;
    onSelectHeader: (menu: IHeaderMenu) => void;
    onSelectSidebar: (menu: IMenuInfo) => void;
    onSelectPage: () => void;
    onAddMenu: (p: IMenuInfo) => Promise<void>;
    onRemove: (menu: IMenuInfo) => Promise<void>;
    onRemoveHeader: (header: IHeaderMenu) => void;
    onDrag: (newMenus: IMenuInfo[]) => void;
    getSiderListExcludeByHeaderName: (headerName: string) => IMenuInfo[];
    getNaviSelectedType: () => INaviSelected;
    selectDefaultHeader: () => void;
    NaviHeader: import("vue").DefineComponent<{
        layoutConfig: {
            type: PropType<ILayoutSetting>;
            required: true;
        };
        navi: {
            type: PropType<import("@fly-vue/lcdp-api").INavi>;
        };
        hideMenus: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            layoutConfig: ILayoutSetting;
            hideMenus: boolean;
        } & {
            navi?: import("@fly-vue/lcdp-api").INavi | undefined;
        }>>>;
        emit: (event: "on-remove" | "on-select" | "on-click-header", ...args: any[]) => void;
        config: Ref<ILayoutSetting>;
        selectedHeaderId: Ref<string | undefined>;
        globalConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
        headerList: import("vue").ComputedRef<IHeaderMenu[]>;
        onSelectHeader: (name: string) => void;
        selectDefaultHeader: () => void;
        getLabel: (menu: IHeaderMenu) => (h: any) => any;
        onHeaderClose: (menu: IHeaderMenu) => Promise<void>;
        genName: <T = any>(name: string, list: T[], prop: keyof T) => string;
        addHeader: () => void;
        handleDragDrop: (name: string, newName: string, a: number, b: number) => void;
        finalLogo: import("vue").ComputedRef<string>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-remove" | "on-select" | "on-click-header")[], string, Readonly<import("vue").ExtractPropTypes<{
        layoutConfig: {
            type: PropType<ILayoutSetting>;
            required: true;
        };
        navi: {
            type: PropType<import("@fly-vue/lcdp-api").INavi>;
        };
        hideMenus: {
            type: BooleanConstructor;
        };
    }>>, {
        hideMenus: boolean;
    }>;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
        fit: boolean;
        gutter: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        selected: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        middle: boolean;
        selectable: boolean;
        overflowHidden: boolean;
    }>;
    NaviSider: import("vue").DefineComponent<{
        data: null;
        theme: {
            default: string;
        };
    }, {
        __sfc: boolean;
        props: {
            data: IMenuInfo[];
            theme: "light" | "dark";
        };
        refTree: Ref<any>;
        emit: (event: "on-remove" | "on-select" | "on-drag" | "on-add-child", ...args: any[]) => void;
        onSelect: (node: any) => Promise<void>;
        onDrag: () => Promise<void>;
        addMenu: (menu: IMenuInfo) => void;
        remove: (menu: IMenuInfo) => Promise<void>;
        select: (id: string) => void;
        Tree: typeof import("element-ui").Tree;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
        Space: import("vue").DefineComponent<{}, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        Icon: import("vue").DefineComponent<{
            icon: null;
            size: null;
            color: null;
        }, {
            __sfc: boolean;
            props: {
                icon: string;
                size?: string | undefined;
                color?: string | undefined;
            };
            isIdeIcon: import("vue").ComputedRef<boolean>;
            isProIcon: import("vue").ComputedRef<boolean>;
            isIdesIcon: import("vue").ComputedRef<boolean>;
            isLcIcon: import("vue").ComputedRef<boolean>;
            colorMap: Record<string, string>;
            color: import("vue").ComputedRef<string>;
            IdeIcon: import("vue").DefineComponent<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }>>, {
                size: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            icon: null;
            size: null;
            color: null;
        }>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-remove" | "on-select" | "on-drag" | "on-add-child")[], string, Readonly<import("vue").ExtractPropTypes<{
        data: null;
        theme: {
            default: string;
        };
    }>>, {
        theme: string;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-load" | "on-change" | "on-save" | "on-click")[], string, Readonly<import("vue").ExtractPropTypes<{
    layoutConfig: {
        type: PropType<ILayoutSetting>;
        required: true;
    };
    hideHeaderMenus: {
        type: BooleanConstructor;
    };
    headerId: {
        type: StringConstructor;
    };
    headerTitle: {
        type: StringConstructor;
    };
}>>, {
    hideHeaderMenus: boolean;
}>;
export default _default;
