/// <reference types="lodash" />
import { ILayoutSetting } from '@fly-vue/lcdp-api';
import { INaviSelected } from '@fly-vue/ide-core';
declare const _default: import("vue").DefineComponent<{
    hideHeader: {
        type: BooleanConstructor;
    };
    hideSaveBtn: {
        type: BooleanConstructor;
    };
    hideLayoutSetting: {
        type: BooleanConstructor;
    };
    hideHeaderMenu: {
        type: BooleanConstructor;
    };
    headerId: {
        type: StringConstructor;
    };
    headerTitle: {
        type: StringConstructor;
    };
    pathPrefix: {
        type: StringConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        hideHeader: boolean;
        hideSaveBtn: boolean;
        hideLayoutSetting: boolean;
        hideHeaderMenu: boolean;
    } & {
        headerId?: string | undefined;
        headerTitle?: string | undefined;
        pathPrefix?: string | undefined;
    }>>>;
    defaultFrame: import("vue").Ref<any>;
    refNavi: import("vue").Ref<any>;
    selectedComponent: import("vue").Ref<{
        type: "page" | "headerMenu" | "siderMenu";
        target?: {
            id?: string | undefined;
            title: string;
            header?: string | undefined;
            path?: string | undefined;
            icon?: string | undefined;
            custom?: string | undefined;
            auth?: string[] | undefined;
            $secured?: string | undefined;
            target?: import("@fly-vue/lcdp-api").MenuTarget | undefined;
            children?: any[] | undefined;
        } | undefined;
    }>;
    titleMap: {
        page: string;
        headerMenu: string;
        siderMenu: string;
    };
    layoutList: {
        img: any;
        title: string;
        code: string;
        config: {
            headerFix: boolean;
            headerStick: boolean;
        };
    }[];
    layoutConfig: import("vue").Ref<{
        appTitle?: string | undefined;
        appDesc?: string | undefined;
        themeDark?: boolean | undefined;
        siderTheme?: "light" | "dark" | undefined;
        headerTheme?: "primary" | "light" | "dark" | undefined;
        headerStick?: boolean | undefined;
        tabs?: boolean | undefined;
        showTabsIcon?: boolean | undefined;
        tabsFix?: boolean | undefined;
        tabsReload?: boolean | undefined;
        siderFix?: boolean | undefined;
        headerFix?: boolean | undefined;
        headerHide?: boolean | undefined;
        headerMenu?: boolean | undefined;
        menuAccordion?: boolean | undefined;
        showSiderCollapse?: boolean | undefined;
        menuCollapse?: boolean | undefined;
        menuSiderReload?: boolean | undefined;
        menuHeaderReload?: boolean | undefined;
        showCollapseMenuTitle?: boolean | undefined;
        showReload?: boolean | undefined;
        showSearch?: boolean | undefined;
        showNotice?: boolean | undefined;
        showFullscreen?: boolean | undefined;
        showMobileLogo?: boolean | undefined;
        showBreadcrumb?: boolean | undefined;
        showBreadcrumbIcon?: boolean | undefined;
        showLog?: boolean | undefined;
        showI18n?: boolean | undefined;
        enableSetting?: boolean | undefined;
        logoutConfirm?: boolean | undefined;
        forceCleanCache?: boolean | undefined;
        frameCode?: string | undefined;
        logo?: string | undefined;
        logoSmall?: string | undefined;
        logoDark?: string | undefined;
        favicon?: string | undefined;
        disabledSiderMenu?: boolean | undefined;
    }>;
    layoutSettings: any;
    hideRightPane: import("vue").Ref<boolean>;
    showRightPane: import("vue").ComputedRef<boolean>;
    reload: () => Promise<void>;
    getUI: () => {
        pc: {
            theme?: string | undefined;
            setting: ILayoutSetting;
            customStyles?: string | undefined;
        };
        mobile?: {
            theme?: string | undefined;
            customStyles?: string | undefined;
        } | undefined;
        miniapp?: {
            theme?: string | undefined;
        } | undefined;
    };
    save: (showMsg?: boolean) => Promise<void>;
    saveUI: () => Promise<void>;
    saveMenu: () => Promise<void>;
    onSelect: (selected: INaviSelected) => void;
    onClick: (selected: INaviSelected) => void;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
        fit: boolean;
        gutter: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        selected: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        middle: boolean;
        selectable: boolean;
        overflowHidden: boolean;
    }>;
    Icon: import("vue").DefineComponent<{
        icon: null;
        size: null;
        color: null;
    }, {
        __sfc: boolean;
        props: {
            icon: string;
            size?: string | undefined;
            color?: string | undefined;
        };
        isIdeIcon: import("vue").ComputedRef<boolean>;
        isProIcon: import("vue").ComputedRef<boolean>;
        isIdesIcon: import("vue").ComputedRef<boolean>;
        isLcIcon: import("vue").ComputedRef<boolean>;
        colorMap: Record<string, string>;
        color: import("vue").ComputedRef<string>;
        IdeIcon: import("vue").DefineComponent<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            color: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            color: {
                type: StringConstructor;
            };
        }>>, {
            size: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        icon: null;
        size: null;
        color: null;
    }>>, {}>;
    ToggleBtn: import("vue").DefineComponent<{
        value: {
            type: BooleanConstructor;
        };
        tips: {
            type: StringConstructor;
            required: true;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            value: boolean;
            tips: string;
        }>>>;
        emit: (event: "input", ...args: any[]) => void;
        toggle: () => void;
        Link: import("vue").DefineComponent<{
            icon: null;
            size: {
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
            };
            loading: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            emit: (event: "click", ...args: any[]) => void;
            onClick: (e: any) => void;
            Icon: import("vue").DefineComponent<{
                icon: null;
                size: null;
                color: null;
            }, {
                __sfc: boolean;
                props: {
                    icon: string;
                    size?: string | undefined;
                    color?: string | undefined;
                };
                isIdeIcon: import("vue").ComputedRef<boolean>;
                isProIcon: import("vue").ComputedRef<boolean>;
                isIdesIcon: import("vue").ComputedRef<boolean>;
                isLcIcon: import("vue").ComputedRef<boolean>;
                colorMap: Record<string, string>;
                color: import("vue").ComputedRef<string>;
                IdeIcon: import("vue").DefineComponent<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }>>, {
                    size: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: null;
                size: null;
                color: null;
            }>>, {}>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
            icon: null;
            size: {
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
            };
            loading: {
                type: BooleanConstructor;
            };
        }>>, {
            size: string;
            loading: boolean;
            disabled: boolean;
        }>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: BooleanConstructor;
        };
        tips: {
            type: StringConstructor;
            required: true;
        };
    }>>, {
        value: boolean;
    }>;
    Space: import("vue").DefineComponent<{}, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    LcLine: import("vue").DefineComponent<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }>>, {
        position: string;
    }>;
    layoutSetting: import("vue").DefineComponent<{
        value: {
            default(): {};
        };
    }, {
        __sfc: boolean;
        props: {
            value: ILayoutSetting;
        };
        emit: (event: "input", ...args: any[]) => void;
        layoutConfig: {
            appTitle?: string | undefined;
            appDesc?: string | undefined;
            themeDark?: boolean | undefined;
            siderTheme?: "light" | "dark" | undefined;
            headerTheme?: "primary" | "light" | "dark" | undefined;
            headerStick?: boolean | undefined;
            tabs?: boolean | undefined;
            showTabsIcon?: boolean | undefined;
            tabsFix?: boolean | undefined;
            tabsReload?: boolean | undefined;
            siderFix?: boolean | undefined;
            headerFix?: boolean | undefined;
            headerHide?: boolean | undefined;
            headerMenu?: boolean | undefined;
            menuAccordion?: boolean | undefined;
            showSiderCollapse?: boolean | undefined;
            menuCollapse?: boolean | undefined;
            menuSiderReload?: boolean | undefined;
            menuHeaderReload?: boolean | undefined;
            showCollapseMenuTitle?: boolean | undefined;
            showReload?: boolean | undefined;
            showSearch?: boolean | undefined;
            showNotice?: boolean | undefined;
            showFullscreen?: boolean | undefined;
            showMobileLogo?: boolean | undefined;
            showBreadcrumb?: boolean | undefined;
            showBreadcrumbIcon?: boolean | undefined;
            showLog?: boolean | undefined;
            showI18n?: boolean | undefined;
            enableSetting?: boolean | undefined;
            logoutConfirm?: boolean | undefined;
            forceCleanCache?: boolean | undefined;
            frameCode?: string | undefined;
            logo?: string | undefined;
            logoSmall?: string | undefined;
            logoDark?: string | undefined;
            favicon?: string | undefined;
            disabledSiderMenu?: boolean | undefined;
        };
        activedCollapse: import("vue").Ref<string[]>;
        enabledSiderMenu: import("vue").Ref<boolean>;
        handleChangeConfig: import("lodash").DebouncedFunc<() => void>;
        doLayoutFull: () => void;
        doLayoutLeft: () => void;
        doLayoutTop: () => void;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Field: import("vue").DefineComponent<{
            title: null;
            titleAlign: {
                default: string;
            };
            hideTitle: {
                type: BooleanConstructor;
            };
            vertical: {
                type: BooleanConstructor;
            };
            des: null;
            headerWidth: {
                default: string;
            };
        }, {
            __sfc: boolean;
            Icon: import("vue").DefineComponent<{
                icon: null;
                size: null;
                color: null;
            }, {
                __sfc: boolean;
                props: {
                    icon: string;
                    size?: string | undefined;
                    color?: string | undefined;
                };
                isIdeIcon: import("vue").ComputedRef<boolean>;
                isProIcon: import("vue").ComputedRef<boolean>;
                isIdesIcon: import("vue").ComputedRef<boolean>;
                isLcIcon: import("vue").ComputedRef<boolean>;
                colorMap: Record<string, string>;
                color: import("vue").ComputedRef<string>;
                IdeIcon: import("vue").DefineComponent<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }>>, {
                    size: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: null;
                size: null;
                color: null;
            }>>, {}>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            title: null;
            titleAlign: {
                default: string;
            };
            hideTitle: {
                type: BooleanConstructor;
            };
            vertical: {
                type: BooleanConstructor;
            };
            des: null;
            headerWidth: {
                default: string;
            };
        }>>, {
            titleAlign: string;
            hideTitle: boolean;
            vertical: boolean;
            headerWidth: string;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        SelectableTag: import("vue").DefineComponent<{
            selected: {
                type: (BooleanConstructor | StringConstructor)[];
            };
            name: null;
            tag: {
                default: string;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
            bg: {
                type: BooleanConstructor;
                default: boolean;
            };
            badge: {
                type: BooleanConstructor;
            };
            badgeSize: {
                default: string;
            };
        }, {
            __sfc: boolean;
            props: {
                selected?: string | boolean | undefined;
                name?: string | undefined;
                tag: "row" | "column";
                padding: boolean;
                bg: boolean;
                badge?: boolean | undefined;
                badgeSize: string;
            };
            emit: (event: "on-select", ...args: any[]) => void;
            clazz: import("vue").ComputedRef<{
                selected: boolean;
                padding: boolean;
                bg: boolean;
            }>;
            onClick: () => void;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            badgeSelected: any;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-select"[], string, Readonly<import("vue").ExtractPropTypes<{
            selected: {
                type: (BooleanConstructor | StringConstructor)[];
            };
            name: null;
            tag: {
                default: string;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
            bg: {
                type: BooleanConstructor;
                default: boolean;
            };
            badge: {
                type: BooleanConstructor;
            };
            badgeSize: {
                default: string;
            };
        }>>, {
            padding: boolean;
            tag: string;
            bg: boolean;
            badge: boolean;
            badgeSize: string;
        }>;
        layoutFull: any;
        layoutLeft: any;
        layoutTop: any;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            default(): {};
        };
    }>>, {
        value: {};
    }>;
    MenuForm: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<import("@fly-vue/lcdp-api").IHeaderMenu | import("@fly-vue/lcdp-api").IMenuInfo>;
        };
        isHeader: {
            type: BooleanConstructor;
        };
        pathPrefix: {
            type: StringConstructor;
            default: string;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            pathPrefix: string;
            isHeader: boolean;
        } & {
            value?: import("@fly-vue/lcdp-api").IHeaderMenu | import("@fly-vue/lcdp-api").IMenuInfo | undefined;
        }>>>;
        emit: (event: "on-name-change", ...args: any[]) => void;
        name: import("vue").Ref<any>;
        enabledAuth: import("vue").Ref<any>;
        isEnableAuth: import("vue").ComputedRef<boolean>;
        normalAuth: import("vue").Ref<string[]>;
        extraAuth: import("vue").Ref<string[]>;
        extraAuthEnable: import("vue").Ref<boolean>;
        list: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IAuthorityDef[]>;
        expandedList: import("vue").Ref<string[]>;
        data: import("vue").ComputedRef<any>;
        reload: () => Promise<void>;
        reset: () => void;
        treeOptions: import("@fly-vue/ide-base").ITreeOptions;
        onSwitchAuth: (enable: boolean) => void;
        onNameChange: () => void;
        MenuTarget: typeof import("@fly-vue/lcdp-api").MenuTarget;
        SelectAuth: import("vue").DefineComponent<{
            value: {
                type: import("vue").PropType<string[]>;
            };
            placeholder: {
                type: StringConstructor;
                default: string;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                placeholder: string;
            } & {
                value?: string[] | undefined;
            }>>>;
            emit: (event: "on-loaded" | "input", ...args: any[]) => void;
            innerValue: import("vue").Ref<string[] | undefined> | import("vue").WritableComputedRef<string[] | undefined>;
            list: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IAuthorityDef[]>;
            data: import("vue").ComputedRef<IIViewTreeNode<import("@fly-vue/lcdp-api").IAuthorityDef | import("@fly-vue/lcdp-api").IActionDef>[]>;
            convertAuthTreeToIViewTree: (list?: import("@fly-vue/lcdp-api").IAuthorityDef[] | undefined, result?: IIViewTreeNode<import("@fly-vue/lcdp-api").IAuthorityDef | import("@fly-vue/lcdp-api").IActionDef>[] | undefined) => IIViewTreeNode<import("@fly-vue/lcdp-api").IAuthorityDef | import("@fly-vue/lcdp-api").IActionDef>[];
            onChange: (value: any) => void;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-loaded" | "input")[], string, Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<string[]>;
            };
            placeholder: {
                type: StringConstructor;
                default: string;
            };
        }>>, {
            placeholder: string;
        }>;
        SelectCustomIcon: import("vue").DefineComponent<{
            value: {
                type: StringConstructor;
            };
            placeholder: {
                type: StringConstructor;
                default: string;
            };
            clearable: {
                type: BooleanConstructor;
            };
            disabled: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                placeholder: string;
                disabled: boolean;
                clearable: boolean;
            } & {
                value?: string | undefined;
            }>>>;
            emit: (event: "input", ...args: any[]) => void;
            v: import("vue").Ref<string | undefined>;
            selected: import("vue").Ref<string | undefined>;
            showSelectIconPanel: () => void;
            displayIcon: import("vue").ComputedRef<string | undefined>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: StringConstructor;
            };
            placeholder: {
                type: StringConstructor;
                default: string;
            };
            clearable: {
                type: BooleanConstructor;
            };
            disabled: {
                type: BooleanConstructor;
            };
        }>>, {
            placeholder: string;
            disabled: boolean;
            clearable: boolean;
        }>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
        Space: import("vue").DefineComponent<{}, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        LcForm: import("vue").DefineComponent<{
            model: {
                type: ObjectConstructor;
            };
            rules: {
                type: ArrayConstructor;
            };
            labelPosition: {
                type: StringConstructor;
                default: string;
            };
            labelWidth: {
                type: NumberConstructor;
            };
        }, {
            __sfc: boolean;
            refForm1: import("vue").Ref<any>;
            Form: typeof import("view-design").Form;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            model: {
                type: ObjectConstructor;
            };
            rules: {
                type: ArrayConstructor;
            };
            labelPosition: {
                type: StringConstructor;
                default: string;
            };
            labelWidth: {
                type: NumberConstructor;
            };
        }>>, {
            labelPosition: string;
        }>;
        Field: import("vue").DefineComponent<{
            title: null;
            titleAlign: {
                default: string;
            };
            hideTitle: {
                type: BooleanConstructor;
            };
            vertical: {
                type: BooleanConstructor;
            };
            des: null;
            headerWidth: {
                default: string;
            };
        }, {
            __sfc: boolean;
            Icon: import("vue").DefineComponent<{
                icon: null;
                size: null;
                color: null;
            }, {
                __sfc: boolean;
                props: {
                    icon: string;
                    size?: string | undefined;
                    color?: string | undefined;
                };
                isIdeIcon: import("vue").ComputedRef<boolean>;
                isProIcon: import("vue").ComputedRef<boolean>;
                isIdesIcon: import("vue").ComputedRef<boolean>;
                isLcIcon: import("vue").ComputedRef<boolean>;
                colorMap: Record<string, string>;
                color: import("vue").ComputedRef<string>;
                IdeIcon: import("vue").DefineComponent<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }>>, {
                    size: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: null;
                size: null;
                color: null;
            }>>, {}>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            title: null;
            titleAlign: {
                default: string;
            };
            hideTitle: {
                type: BooleanConstructor;
            };
            vertical: {
                type: BooleanConstructor;
            };
            des: null;
            headerWidth: {
                default: string;
            };
        }>>, {
            titleAlign: string;
            hideTitle: boolean;
            vertical: boolean;
            headerWidth: string;
        }>;
        SelectIcon: import("vue").DefineComponent<{
            value: {
                type: StringConstructor;
            };
            placeholder: {
                type: StringConstructor;
                default: string;
            };
            clearable: {
                type: BooleanConstructor;
            };
            disabled: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                placeholder: string;
                disabled: boolean;
                clearable: boolean;
            } & {
                value?: string | undefined;
            }>>>;
            emit: (event: "input", ...args: any[]) => void;
            v: import("vue").Ref<string | undefined>;
            selected: import("vue").Ref<string | undefined>;
            isShow: import("vue").Ref<boolean>;
            search: import("vue").Ref<string>;
            list: import("vue").ComputedRef<string[]>;
            onSelect: (v: string) => void;
            displayIcon: import("vue").ComputedRef<string>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            LcModal: import("vue").DefineComponent<{
                value: {
                    type: BooleanConstructor;
                };
                title: {
                    type: StringConstructor;
                };
                width: {
                    type: (NumberConstructor | StringConstructor)[];
                };
                height: {
                    type: StringConstructor;
                };
                enableFullscreen: {
                    type: BooleanConstructor;
                };
                fullscreen: {
                    type: BooleanConstructor;
                };
                showHeaderLine: {
                    type: BooleanConstructor;
                };
                showCloseFooter: {
                    type: BooleanConstructor;
                };
                showFooter: {
                    type: BooleanConstructor;
                };
                zIndex: {
                    type: NumberConstructor;
                };
                closable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                maskClosable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    value: boolean;
                    fullscreen: boolean;
                    enableFullscreen: boolean;
                    showHeaderLine: boolean;
                    showCloseFooter: boolean;
                    showFooter: boolean;
                    closable: boolean;
                    maskClosable: boolean;
                } & {
                    height?: string | undefined;
                    width?: string | number | undefined;
                    title?: string | undefined;
                    zIndex?: number | undefined;
                }>>>;
                emit: (event: "input" | "on-ok" | "on-cancel" | "update:fullscreen", ...args: any[]) => void;
                value: import("vue").Ref<boolean>;
                isShow: import("vue").Ref<boolean>;
                fullscreen: import("vue").Ref<boolean> | import("vue").WritableComputedRef<boolean>;
                toggleFullScreen: () => void;
                onOk: () => void;
                onCancel: () => void;
                Link: import("vue").DefineComponent<{
                    icon: null;
                    size: {
                        default: string;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "click", ...args: any[]) => void;
                    onClick: (e: any) => void;
                    Icon: import("vue").DefineComponent<{
                        icon: null;
                        size: null;
                        color: null;
                    }, {
                        __sfc: boolean;
                        props: {
                            icon: string;
                            size?: string | undefined;
                            color?: string | undefined;
                        };
                        isIdeIcon: import("vue").ComputedRef<boolean>;
                        isProIcon: import("vue").ComputedRef<boolean>;
                        isIdesIcon: import("vue").ComputedRef<boolean>;
                        isLcIcon: import("vue").ComputedRef<boolean>;
                        colorMap: Record<string, string>;
                        color: import("vue").ComputedRef<string>;
                        IdeIcon: import("vue").DefineComponent<{
                            icon: {
                                type: StringConstructor;
                                required: true;
                            };
                            size: {
                                type: StringConstructor;
                                default: string;
                            };
                            color: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            icon: {
                                type: StringConstructor;
                                required: true;
                            };
                            size: {
                                type: StringConstructor;
                                default: string;
                            };
                            color: {
                                type: StringConstructor;
                            };
                        }>>, {
                            size: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        icon: null;
                        size: null;
                        color: null;
                    }>>, {}>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
                    icon: null;
                    size: {
                        default: string;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                }>>, {
                    size: string;
                    loading: boolean;
                    disabled: boolean;
                }>;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                FormBtnsClose: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    emit: (event: "on-close", ...args: any[]) => void;
                    onClose: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-close"[], string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok" | "on-cancel" | "update:fullscreen")[], string, Readonly<import("vue").ExtractPropTypes<{
                value: {
                    type: BooleanConstructor;
                };
                title: {
                    type: StringConstructor;
                };
                width: {
                    type: (NumberConstructor | StringConstructor)[];
                };
                height: {
                    type: StringConstructor;
                };
                enableFullscreen: {
                    type: BooleanConstructor;
                };
                fullscreen: {
                    type: BooleanConstructor;
                };
                showHeaderLine: {
                    type: BooleanConstructor;
                };
                showCloseFooter: {
                    type: BooleanConstructor;
                };
                showFooter: {
                    type: BooleanConstructor;
                };
                zIndex: {
                    type: NumberConstructor;
                };
                closable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                maskClosable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                value: boolean;
                fullscreen: boolean;
                enableFullscreen: boolean;
                showHeaderLine: boolean;
                showCloseFooter: boolean;
                showFooter: boolean;
                closable: boolean;
                maskClosable: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: StringConstructor;
            };
            placeholder: {
                type: StringConstructor;
                default: string;
            };
            clearable: {
                type: BooleanConstructor;
            };
            disabled: {
                type: BooleanConstructor;
            };
        }>>, {
            placeholder: string;
            disabled: boolean;
            clearable: boolean;
        }>;
        SelectPage: import("vue").DefineComponent<{
            value: {
                type: StringConstructor;
            };
            placeholder: {
                type: StringConstructor;
                default: string;
            };
            modalTitle: {
                type: StringConstructor;
                default: string;
            };
            disableInput: {
                type: BooleanConstructor;
            };
            valueUseId: {
                type: BooleanConstructor;
            };
            showClear: {
                type: BooleanConstructor;
            };
            treeOptions: {
                type: ObjectConstructor;
            };
            service: {
                type: ObjectConstructor;
            };
            isGetPageData: {
                type: BooleanConstructor;
            };
            selectPageData: {
                type: ArrayConstructor;
            };
            showExpr: {
                type: BooleanConstructor;
                default: boolean;
            };
            isOnlyPackage: {
                type: BooleanConstructor;
            };
            isPackageSelectable: {
                type: BooleanConstructor;
            };
            pathPrefix: {
                type: StringConstructor;
                default: string;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                pathPrefix: string;
                placeholder: string;
                modalTitle: string;
                disableInput: boolean;
                valueUseId: boolean;
                showClear: boolean;
                isGetPageData: boolean;
                showExpr: boolean;
                isOnlyPackage: boolean;
                isPackageSelectable: boolean;
            } & {
                value?: string | undefined;
                service?: Record<string, any> | undefined;
                treeOptions?: Record<string, any> | undefined;
                selectPageData?: unknown[] | undefined;
            }>>>;
            emit: (event: "on-select" | "input", ...args: any[]) => void;
            meta: import("@fly-vue/lcdp-api").IMetaProps;
            value: import("vue").Ref<string | undefined>;
            selected: import("vue").Ref<any>;
            isShow: import("vue").Ref<boolean>;
            keyword: import("vue").Ref<any>;
            refTree: import("vue").Ref<any>;
            def: import("@fly-vue/ide-base").ITreeOptions;
            appId: string | undefined;
            finalTreeOptions: import("vue").ComputedRef<import("@fly-vue/ide-base").ITreeOptions & Record<string, any>>;
            onSelect: (node: import("@fly-vue/ide-base").ITreeNode) => Promise<void>;
            clear: () => void;
            doReload: () => void;
            handleOnlyPackage: (nodes: import("@fly-vue/ide-base").ITreeNode[]) => boolean | import("@fly-vue/ide-base").IHasChildren<import("@fly-vue/ide-base").ITreeNode>[];
            onLoaded: (list: import("@fly-vue/ide-base").ITreeNode[]) => void;
            MetaTree: import("vue").DefineComponent<{
                showOperations: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                treeOptions: null;
                keyword: null;
                openTab: {
                    type: BooleanConstructor;
                };
                meta: null;
                fileType: null;
                tabOpener: null;
                enableSubPackage: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                objectAddForm: {
                    default(): import("vue").DefineComponent<{
                        package1: null;
                        object: null;
                        meta: null;
                        showParentInfo: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        template: null;
                    }, {
                        __sfc: boolean;
                        props: {
                            package1?: import("@fly-vue/lcdp-api").IMetaPackage | undefined;
                            object?: import("@fly-vue/lcdp-api").IMetaObject<any> | undefined;
                            meta: import("@fly-vue/lcdp-api").IMetaProps;
                            showParentInfo: boolean;
                            template?: Record<string, any> | undefined;
                        };
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        package1: import("vue").Ref<import("@fly-vue/lcdp-api").IMetaPackage | undefined> | undefined;
                        refInput: import("vue").Ref<any>;
                        meta: import("@fly-vue/lcdp-api").IMetaProps;
                        appId: string | undefined;
                        data: any;
                        isDataValid: import("vue").ComputedRef<any>;
                        fileName: (rule: any, value: string, cb: any) => any;
                        required: (rule: any, value: string, cb: any) => any;
                        onValidate: (props: any, status: any, error: any) => void;
                        reload: () => Promise<void>;
                        save: () => Promise<void>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                        LcText: import("vue").DefineComponent<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            } & {
                                size?: string | undefined;
                            }>>>;
                            slots: import("vue/types/v3-setup-context").Slots;
                            clazz: import("vue").ComputedRef<Record<string, any>>;
                            finalSize: import("vue").ComputedRef<string | null>;
                            style: import("vue").ComputedRef<any>;
                            doCopy: () => void;
                            Tips: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                                slots: import("vue/types/v3-setup-context").Slots;
                                tip: import("vue").ComputedRef<string | undefined>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        }>;
                        LcForm: import("vue").DefineComponent<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            refForm1: import("vue").Ref<any>;
                            Form: typeof import("view-design").Form;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }>>, {
                            labelPosition: string;
                        }>;
                        LcFormItem: import("vue").DefineComponent<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            LcText: import("vue").DefineComponent<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }, {
                                __sfc: boolean;
                                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                    bold: boolean;
                                    small: boolean;
                                    selected: boolean;
                                    noWrap: boolean;
                                    grey: boolean;
                                    copyable: boolean;
                                    middle: boolean;
                                    selectable: boolean;
                                    overflowHidden: boolean;
                                } & {
                                    size?: string | undefined;
                                }>>>;
                                slots: import("vue/types/v3-setup-context").Slots;
                                clazz: import("vue").ComputedRef<Record<string, any>>;
                                finalSize: import("vue").ComputedRef<string | null>;
                                style: import("vue").ComputedRef<any>;
                                doCopy: () => void;
                                Tips: import("vue").DefineComponent<{}, {
                                    __sfc: boolean;
                                    slots: import("vue/types/v3-setup-context").Slots;
                                    tip: import("vue").ComputedRef<string | undefined>;
                                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }>>, {
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            }>;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }>>, {
                            titleAlign: string;
                            hideTitle: boolean;
                            titleWidth: number;
                        }>;
                        FormBtns: import("vue").DefineComponent<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                            onCancel: () => void;
                            onOk: () => void;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            padding: boolean;
                            loading: boolean;
                            disabled: boolean;
                            okText: string;
                            showCancel: boolean;
                            cancelPosition: string;
                        }>;
                        LcLine: import("vue").DefineComponent<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }>>, {
                            position: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        package1: null;
                        object: null;
                        meta: null;
                        showParentInfo: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        template: null;
                    }>>, {
                        showParentInfo: boolean;
                    }>;
                };
                objectUpdateForm: {
                    default(): import("vue").DefineComponent<{
                        object: {
                            type: ObjectConstructor;
                            required: true;
                        };
                        meta: {
                            type: ObjectConstructor;
                            required: true;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            object: Record<string, any>;
                            meta: Record<string, any>;
                        }>>>;
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        object: import("vue").Ref<Record<string, any>>;
                        meta: import("vue").Ref<Record<string, any>>;
                        refInput: import("vue").Ref<any>;
                        appId: string | undefined;
                        data: any;
                        isDataValid: import("vue").ComputedRef<any>;
                        fileName: (rule: any, value: string, cb: any) => any;
                        required: (rule: any, value: string, cb: any) => any;
                        onValidate: (props: any, status: any, error: any) => void;
                        reload: () => Promise<void>;
                        save: () => Promise<void>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                        LcForm: import("vue").DefineComponent<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            refForm1: import("vue").Ref<any>;
                            Form: typeof import("view-design").Form;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }>>, {
                            labelPosition: string;
                        }>;
                        LcFormItem: import("vue").DefineComponent<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            LcText: import("vue").DefineComponent<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }, {
                                __sfc: boolean;
                                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                    bold: boolean;
                                    small: boolean;
                                    selected: boolean;
                                    noWrap: boolean;
                                    grey: boolean;
                                    copyable: boolean;
                                    middle: boolean;
                                    selectable: boolean;
                                    overflowHidden: boolean;
                                } & {
                                    size?: string | undefined;
                                }>>>;
                                slots: import("vue/types/v3-setup-context").Slots;
                                clazz: import("vue").ComputedRef<Record<string, any>>;
                                finalSize: import("vue").ComputedRef<string | null>;
                                style: import("vue").ComputedRef<any>;
                                doCopy: () => void;
                                Tips: import("vue").DefineComponent<{}, {
                                    __sfc: boolean;
                                    slots: import("vue/types/v3-setup-context").Slots;
                                    tip: import("vue").ComputedRef<string | undefined>;
                                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }>>, {
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            }>;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }>>, {
                            titleAlign: string;
                            hideTitle: boolean;
                            titleWidth: number;
                        }>;
                        FormBtns: import("vue").DefineComponent<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                            onCancel: () => void;
                            onOk: () => void;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            padding: boolean;
                            loading: boolean;
                            disabled: boolean;
                            okText: string;
                            showCancel: boolean;
                            cancelPosition: string;
                        }>;
                        LcLine: import("vue").DefineComponent<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }>>, {
                            position: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        object: {
                            type: ObjectConstructor;
                            required: true;
                        };
                        meta: {
                            type: ObjectConstructor;
                            required: true;
                        };
                    }>>, {}>;
                };
                objectCopyForm: {
                    default(): import("vue").DefineComponent<{
                        package1: null;
                        object: null;
                        meta: null;
                        showParentInfo: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        template: null;
                    }, {
                        __sfc: boolean;
                        props: {
                            package1?: import("@fly-vue/lcdp-api").IMetaPackage | undefined;
                            object?: import("@fly-vue/lcdp-api").IMetaObject<any> | undefined;
                            meta: import("@fly-vue/lcdp-api").IMetaProps;
                            showParentInfo: boolean;
                            template?: Record<string, any> | undefined;
                        };
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        package1: import("vue").Ref<import("@fly-vue/lcdp-api").IMetaPackage | undefined> | undefined;
                        refInput: import("vue").Ref<any>;
                        meta: import("@fly-vue/lcdp-api").IMetaProps;
                        appId: string | undefined;
                        data: any;
                        isDataValid: import("vue").ComputedRef<any>;
                        fileName: (rule: any, value: string, cb: any) => any;
                        required: (rule: any, value: string, cb: any) => any;
                        onValidate: (props: any, status: any, error: any) => void;
                        reload: () => Promise<void>;
                        save: () => Promise<void>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                        LcText: import("vue").DefineComponent<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            } & {
                                size?: string | undefined;
                            }>>>;
                            slots: import("vue/types/v3-setup-context").Slots;
                            clazz: import("vue").ComputedRef<Record<string, any>>;
                            finalSize: import("vue").ComputedRef<string | null>;
                            style: import("vue").ComputedRef<any>;
                            doCopy: () => void;
                            Tips: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                                slots: import("vue/types/v3-setup-context").Slots;
                                tip: import("vue").ComputedRef<string | undefined>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        }>;
                        LcForm: import("vue").DefineComponent<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            refForm1: import("vue").Ref<any>;
                            Form: typeof import("view-design").Form;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }>>, {
                            labelPosition: string;
                        }>;
                        LcFormItem: import("vue").DefineComponent<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            LcText: import("vue").DefineComponent<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }, {
                                __sfc: boolean;
                                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                    bold: boolean;
                                    small: boolean;
                                    selected: boolean;
                                    noWrap: boolean;
                                    grey: boolean;
                                    copyable: boolean;
                                    middle: boolean;
                                    selectable: boolean;
                                    overflowHidden: boolean;
                                } & {
                                    size?: string | undefined;
                                }>>>;
                                slots: import("vue/types/v3-setup-context").Slots;
                                clazz: import("vue").ComputedRef<Record<string, any>>;
                                finalSize: import("vue").ComputedRef<string | null>;
                                style: import("vue").ComputedRef<any>;
                                doCopy: () => void;
                                Tips: import("vue").DefineComponent<{}, {
                                    __sfc: boolean;
                                    slots: import("vue/types/v3-setup-context").Slots;
                                    tip: import("vue").ComputedRef<string | undefined>;
                                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }>>, {
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            }>;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }>>, {
                            titleAlign: string;
                            hideTitle: boolean;
                            titleWidth: number;
                        }>;
                        FormBtns: import("vue").DefineComponent<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                            onCancel: () => void;
                            onOk: () => void;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            padding: boolean;
                            loading: boolean;
                            disabled: boolean;
                            okText: string;
                            showCancel: boolean;
                            cancelPosition: string;
                        }>;
                        LcLine: import("vue").DefineComponent<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }>>, {
                            position: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        package1: null;
                        object: null;
                        meta: null;
                        showParentInfo: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        template: null;
                    }>>, {
                        showParentInfo: boolean;
                    }>;
                };
                packageAddForm: {
                    default(): import("vue").DefineComponent<{
                        parentId: null;
                        meta: null;
                    }, {
                        __sfc: boolean;
                        props: {
                            parentId?: string | undefined;
                            meta: import("@fly-vue/lcdp-api").IMetaProps;
                        };
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        parentId: import("vue").Ref<string | undefined> | undefined;
                        meta: import("@fly-vue/lcdp-api").IMetaProps;
                        refInput: import("vue").Ref<any>;
                        data: any;
                        isDataValid: import("vue").ComputedRef<any>;
                        fileName: (rule: any, value: string, cb: any) => any;
                        required: (rule: any, value: string, cb: any) => any;
                        onValidate: (props: any, status: any, error: any) => void;
                        appId: string | undefined;
                        reload: () => Promise<void>;
                        save: () => Promise<void>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                        LcForm: import("vue").DefineComponent<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            refForm1: import("vue").Ref<any>;
                            Form: typeof import("view-design").Form;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }>>, {
                            labelPosition: string;
                        }>;
                        LcFormItem: import("vue").DefineComponent<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            LcText: import("vue").DefineComponent<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }, {
                                __sfc: boolean;
                                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                    bold: boolean;
                                    small: boolean;
                                    selected: boolean;
                                    noWrap: boolean;
                                    grey: boolean;
                                    copyable: boolean;
                                    middle: boolean;
                                    selectable: boolean;
                                    overflowHidden: boolean;
                                } & {
                                    size?: string | undefined;
                                }>>>;
                                slots: import("vue/types/v3-setup-context").Slots;
                                clazz: import("vue").ComputedRef<Record<string, any>>;
                                finalSize: import("vue").ComputedRef<string | null>;
                                style: import("vue").ComputedRef<any>;
                                doCopy: () => void;
                                Tips: import("vue").DefineComponent<{}, {
                                    __sfc: boolean;
                                    slots: import("vue/types/v3-setup-context").Slots;
                                    tip: import("vue").ComputedRef<string | undefined>;
                                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }>>, {
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            }>;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }>>, {
                            titleAlign: string;
                            hideTitle: boolean;
                            titleWidth: number;
                        }>;
                        FormBtns: import("vue").DefineComponent<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                            onCancel: () => void;
                            onOk: () => void;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            padding: boolean;
                            loading: boolean;
                            disabled: boolean;
                            okText: string;
                            showCancel: boolean;
                            cancelPosition: string;
                        }>;
                        LcLine: import("vue").DefineComponent<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }>>, {
                            position: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        parentId: null;
                        meta: null;
                    }>>, {}>;
                };
                packageUpdateForm: {
                    default(): import("vue").DefineComponent<{
                        package1: {
                            type: ObjectConstructor;
                        };
                        meta: {
                            type: ObjectConstructor;
                            required: true;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            meta: Record<string, any>;
                        } & {
                            package1?: Record<string, any> | undefined;
                        }>>>;
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        package1: import("vue").Ref<Record<string, any> | undefined>;
                        meta: import("vue").Ref<Record<string, any>>;
                        refInput: import("vue").Ref<any>;
                        appId: string | undefined;
                        data: any;
                        isDataValid: import("vue").ComputedRef<any>;
                        fileName: (rule: any, value: string, cb: any) => any;
                        required: (rule: any, value: string, cb: any) => any;
                        onValidate: (props: any, status: any, error: any) => void;
                        oldTitle: string;
                        oldName: string;
                        reload: () => Promise<void>;
                        save: () => Promise<void>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                        LcForm: import("vue").DefineComponent<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            refForm1: import("vue").Ref<any>;
                            Form: typeof import("view-design").Form;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }>>, {
                            labelPosition: string;
                        }>;
                        LcFormItem: import("vue").DefineComponent<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            LcText: import("vue").DefineComponent<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }, {
                                __sfc: boolean;
                                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                    bold: boolean;
                                    small: boolean;
                                    selected: boolean;
                                    noWrap: boolean;
                                    grey: boolean;
                                    copyable: boolean;
                                    middle: boolean;
                                    selectable: boolean;
                                    overflowHidden: boolean;
                                } & {
                                    size?: string | undefined;
                                }>>>;
                                slots: import("vue/types/v3-setup-context").Slots;
                                clazz: import("vue").ComputedRef<Record<string, any>>;
                                finalSize: import("vue").ComputedRef<string | null>;
                                style: import("vue").ComputedRef<any>;
                                doCopy: () => void;
                                Tips: import("vue").DefineComponent<{}, {
                                    __sfc: boolean;
                                    slots: import("vue/types/v3-setup-context").Slots;
                                    tip: import("vue").ComputedRef<string | undefined>;
                                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }>>, {
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            }>;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }>>, {
                            titleAlign: string;
                            hideTitle: boolean;
                            titleWidth: number;
                        }>;
                        FormBtns: import("vue").DefineComponent<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                            onCancel: () => void;
                            onOk: () => void;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            padding: boolean;
                            loading: boolean;
                            disabled: boolean;
                            okText: string;
                            showCancel: boolean;
                            cancelPosition: string;
                        }>;
                        LcLine: import("vue").DefineComponent<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }>>, {
                            position: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        package1: {
                            type: ObjectConstructor;
                        };
                        meta: {
                            type: ObjectConstructor;
                            required: true;
                        };
                    }>>, {}>;
                };
                handleData: null;
                queryParams: null;
                maxPackageLevel: null;
                appId: null;
                selected: {
                    default: string;
                };
                immediate: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                placeholderId: null;
                withData: {
                    type: BooleanConstructor;
                };
                showCreateForm: null;
                beforeRemoveObject: null;
            }, {
                __sfc: boolean;
                props: {
                    showOperations: boolean;
                    treeOptions?: import("@fly-vue/ide-core").IMetaTreeOptions | undefined;
                    keyword?: string | undefined;
                    openTab?: boolean | undefined;
                    meta: import("@fly-vue/lcdp-api").IMetaProps;
                    fileType?: any;
                    tabOpener?: any;
                    enableSubPackage: boolean;
                    objectAddForm: string | object;
                    objectUpdateForm: string | object;
                    objectCopyForm: string | object;
                    packageAddForm: string | object;
                    packageUpdateForm: string | object;
                    handleData?: ((tree: import("@fly-vue/ide-base").ITreeNode[]) => void) | undefined;
                    queryParams?: Record<string, any> | undefined;
                    maxPackageLevel?: number | undefined;
                    appId?: string | undefined;
                    selected: string;
                    immediate: boolean;
                    placeholderId?: string | undefined;
                    withData?: boolean | undefined;
                    showCreateForm?: ((p: import("@fly-vue/lcdp-api").IMetaPackage) => void) | undefined;
                    beforeRemoveObject?: ((obj: import("@fly-vue/lcdp-api").IMetaObject<any>) => Promise<boolean>) | undefined;
                };
                emit: (event: "on-select" | "on-loaded" | "update:selected", ...args: any[]) => void;
                keyword: import("vue").Ref<string | undefined>;
                treeOptions: import("vue").ComputedRef<import("@fly-vue/ide-base").ITreeOptions>;
                refTree: import("vue").Ref<any>;
                appId: string | undefined;
                config: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
                reload: (doSelect?: string | boolean | undefined) => Promise<{
                    [x: string]: any;
                    name: string;
                    desc?: string | undefined;
                    icon?: string | undefined;
                    iconColor?: string | undefined;
                    code: string;
                    data?: any;
                    level?: number | undefined;
                    children?: any[] | undefined;
                }[]>;
                select: (id?: string | undefined) => void;
                list: import("vue").ComputedRef<import("@fly-vue/ide-base").ITreeNode[]>;
                getSelectedNode: () => undefined;
                selected: import("vue").Ref<string | undefined>;
                addPackage: {
                    refForm: import("vue").Ref<any>;
                    isShow: import("vue").Ref<boolean>;
                    parentId: import("vue").Ref<any>;
                    show: (parentPackage?: import("@fly-vue/lcdp-api").IMetaPackage | undefined) => Promise<void>;
                    onSaved: (package1: import("@fly-vue/lcdp-api").IMetaPackage) => Promise<void>;
                    onCancel: () => void;
                };
                removePackage: {
                    confirm: (p: import("@fly-vue/lcdp-api").IMetaPackage) => Promise<void>;
                };
                removeObject: {
                    confirm: (object: import("@fly-vue/lcdp-api").IMetaObject<any>) => Promise<void>;
                };
                copyObject: {
                    isShow: import("vue").Ref<boolean>;
                    package1: import("vue").Ref<any>;
                    obj: import("vue").Ref<import("@fly-vue/lcdp-api").IMetaObject<any> | undefined>;
                    copyId: (o: import("@fly-vue/lcdp-api").IMetaObject<any>) => void;
                    show: (o: import("@fly-vue/lcdp-api").IMetaObject<any> & {
                        source?: string | undefined;
                    }, parent?: import("@fly-vue/lcdp-api").IMetaPackage | undefined) => Promise<void>;
                    onSaved: (object?: import("@fly-vue/lcdp-api").IMetaObject<any> | undefined) => Promise<void>;
                    onCancel: () => void;
                    refForm: import("vue").Ref<any>;
                };
                inout: {
                    doImport: (data?: any) => (file: any) => Promise<void>;
                    doExport: (data?: any) => Promise<void>;
                    doExportFile: (data: any) => Promise<void>;
                };
                onShowCreateForm: (p: import("@fly-vue/lcdp-api").IMetaPackage) => void;
                updatePackageTarget: import("vue").Ref<any>;
                updatePackage: {
                    isShow: import("vue").Ref<boolean>;
                    show: (v?: any) => Promise<void>;
                    onShowed: (v?: any) => Promise<void>;
                    onCancel: () => void;
                };
                updateObjectTarget: import("vue").Ref<any>;
                updateObject: {
                    isShow: import("vue").Ref<boolean>;
                    show: (v?: any) => Promise<void>;
                    onShowed: (v?: any) => Promise<void>;
                    onCancel: () => void;
                };
                dropdownTree: import("vue").ComputedRef<Partial<import("@fly-vue/ide-base").ITreeNode>>;
                onSelect: (node: import("@fly-vue/ide-base").ITreeNode) => Promise<void>;
                openInLocal: (id: string) => void;
                moveTo: (source: import("@fly-vue/ide-base").ITreeNode, target?: import("@fly-vue/ide-base").ITreeNode | undefined) => Promise<void>;
                onOperationsVisibleChange: (node: import("@fly-vue/ide-base").ITreeNode, v: boolean) => Promise<void>;
                Groups: typeof import("@fly-vue/lcdp-api").Groups;
                ServerMode: typeof import("@fly-vue/lcdp-api").ServerMode;
                MetaDropdown: import("vue").DefineComponent<{
                    group: {
                        type: StringConstructor;
                        required: true;
                    };
                    hideLeaf: {
                        type: BooleanConstructor;
                    };
                    hideIds: {
                        type: StringConstructor;
                    };
                    data: {
                        type: ObjectConstructor;
                    };
                    trigger: {
                        type: StringConstructor;
                    };
                    width: {
                        type: StringConstructor;
                        default: string;
                    };
                    placement: {
                        type: StringConstructor;
                        default: string;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        width: string;
                        group: string;
                        hideLeaf: boolean;
                        placement: string;
                    } & {
                        data?: Record<string, any> | undefined;
                        hideIds?: string | undefined;
                        trigger?: string | undefined;
                    }>>>;
                    emit: (event: "on-select", ...args: any[]) => void;
                    list: import("vue").Ref<import("@fly-vue/ide-base").ITreeNode[] | undefined>;
                    finalList: import("vue").ComputedRef<any>;
                    isShowChildren: import("vue").ComputedRef<boolean>;
                    isShowArrow: (item: any) => boolean;
                    isShow: (node: import("@fly-vue/ide-base").ITreeNode) => boolean;
                    doSelect: (data: any) => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-select"[], string, Readonly<import("vue").ExtractPropTypes<{
                    group: {
                        type: StringConstructor;
                        required: true;
                    };
                    hideLeaf: {
                        type: BooleanConstructor;
                    };
                    hideIds: {
                        type: StringConstructor;
                    };
                    data: {
                        type: ObjectConstructor;
                    };
                    trigger: {
                        type: StringConstructor;
                    };
                    width: {
                        type: StringConstructor;
                        default: string;
                    };
                    placement: {
                        type: StringConstructor;
                        default: string;
                    };
                }>>, {
                    width: string;
                    hideLeaf: boolean;
                    placement: string;
                }>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                Icon: import("vue").DefineComponent<{
                    icon: null;
                    size: null;
                    color: null;
                }, {
                    __sfc: boolean;
                    props: {
                        icon: string;
                        size?: string | undefined;
                        color?: string | undefined;
                    };
                    isIdeIcon: import("vue").ComputedRef<boolean>;
                    isProIcon: import("vue").ComputedRef<boolean>;
                    isIdesIcon: import("vue").ComputedRef<boolean>;
                    isLcIcon: import("vue").ComputedRef<boolean>;
                    colorMap: Record<string, string>;
                    color: import("vue").ComputedRef<string>;
                    IdeIcon: import("vue").DefineComponent<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }>>, {
                        size: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    icon: null;
                    size: null;
                    color: null;
                }>>, {}>;
                LcModal: import("vue").DefineComponent<{
                    value: {
                        type: BooleanConstructor;
                    };
                    title: {
                        type: StringConstructor;
                    };
                    width: {
                        type: (NumberConstructor | StringConstructor)[];
                    };
                    height: {
                        type: StringConstructor;
                    };
                    enableFullscreen: {
                        type: BooleanConstructor;
                    };
                    fullscreen: {
                        type: BooleanConstructor;
                    };
                    showHeaderLine: {
                        type: BooleanConstructor;
                    };
                    showCloseFooter: {
                        type: BooleanConstructor;
                    };
                    showFooter: {
                        type: BooleanConstructor;
                    };
                    zIndex: {
                        type: NumberConstructor;
                    };
                    closable: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    maskClosable: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        value: boolean;
                        fullscreen: boolean;
                        enableFullscreen: boolean;
                        showHeaderLine: boolean;
                        showCloseFooter: boolean;
                        showFooter: boolean;
                        closable: boolean;
                        maskClosable: boolean;
                    } & {
                        height?: string | undefined;
                        width?: string | number | undefined;
                        title?: string | undefined;
                        zIndex?: number | undefined;
                    }>>>;
                    emit: (event: "input" | "on-ok" | "on-cancel" | "update:fullscreen", ...args: any[]) => void;
                    value: import("vue").Ref<boolean>;
                    isShow: import("vue").Ref<boolean>;
                    fullscreen: import("vue").Ref<boolean> | import("vue").WritableComputedRef<boolean>;
                    toggleFullScreen: () => void;
                    onOk: () => void;
                    onCancel: () => void;
                    Link: import("vue").DefineComponent<{
                        icon: null;
                        size: {
                            default: string;
                        };
                        disabled: {
                            type: BooleanConstructor;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        emit: (event: "click", ...args: any[]) => void;
                        onClick: (e: any) => void;
                        Icon: import("vue").DefineComponent<{
                            icon: null;
                            size: null;
                            color: null;
                        }, {
                            __sfc: boolean;
                            props: {
                                icon: string;
                                size?: string | undefined;
                                color?: string | undefined;
                            };
                            isIdeIcon: import("vue").ComputedRef<boolean>;
                            isProIcon: import("vue").ComputedRef<boolean>;
                            isIdesIcon: import("vue").ComputedRef<boolean>;
                            isLcIcon: import("vue").ComputedRef<boolean>;
                            colorMap: Record<string, string>;
                            color: import("vue").ComputedRef<string>;
                            IdeIcon: import("vue").DefineComponent<{
                                icon: {
                                    type: StringConstructor;
                                    required: true;
                                };
                                size: {
                                    type: StringConstructor;
                                    default: string;
                                };
                                color: {
                                    type: StringConstructor;
                                };
                            }, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                icon: {
                                    type: StringConstructor;
                                    required: true;
                                };
                                size: {
                                    type: StringConstructor;
                                    default: string;
                                };
                                color: {
                                    type: StringConstructor;
                                };
                            }>>, {
                                size: string;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            icon: null;
                            size: null;
                            color: null;
                        }>>, {}>;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
                        icon: null;
                        size: {
                            default: string;
                        };
                        disabled: {
                            type: BooleanConstructor;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                    }>>, {
                        size: string;
                        loading: boolean;
                        disabled: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                    LcLine: import("vue").DefineComponent<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }>>, {
                        position: string;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Column: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            fit?: boolean | undefined;
                            gutter?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-h-0': boolean | undefined;
                            gutter: boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                        fit: boolean;
                        gutter: boolean;
                    }>;
                    FormBtnsClose: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        emit: (event: "on-close", ...args: any[]) => void;
                        onClose: () => void;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-close"[], string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok" | "on-cancel" | "update:fullscreen")[], string, Readonly<import("vue").ExtractPropTypes<{
                    value: {
                        type: BooleanConstructor;
                    };
                    title: {
                        type: StringConstructor;
                    };
                    width: {
                        type: (NumberConstructor | StringConstructor)[];
                    };
                    height: {
                        type: StringConstructor;
                    };
                    enableFullscreen: {
                        type: BooleanConstructor;
                    };
                    fullscreen: {
                        type: BooleanConstructor;
                    };
                    showHeaderLine: {
                        type: BooleanConstructor;
                    };
                    showCloseFooter: {
                        type: BooleanConstructor;
                    };
                    showFooter: {
                        type: BooleanConstructor;
                    };
                    zIndex: {
                        type: NumberConstructor;
                    };
                    closable: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    maskClosable: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    value: boolean;
                    fullscreen: boolean;
                    enableFullscreen: boolean;
                    showHeaderLine: boolean;
                    showCloseFooter: boolean;
                    showFooter: boolean;
                    closable: boolean;
                    maskClosable: boolean;
                }>;
                Tree: any;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-loaded" | "update:selected")[], string, Readonly<import("vue").ExtractPropTypes<{
                showOperations: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                treeOptions: null;
                keyword: null;
                openTab: {
                    type: BooleanConstructor;
                };
                meta: null;
                fileType: null;
                tabOpener: null;
                enableSubPackage: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                objectAddForm: {
                    default(): import("vue").DefineComponent<{
                        package1: null;
                        object: null;
                        meta: null;
                        showParentInfo: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        template: null;
                    }, {
                        __sfc: boolean;
                        props: {
                            package1?: import("@fly-vue/lcdp-api").IMetaPackage | undefined;
                            object?: import("@fly-vue/lcdp-api").IMetaObject<any> | undefined;
                            meta: import("@fly-vue/lcdp-api").IMetaProps;
                            showParentInfo: boolean;
                            template?: Record<string, any> | undefined;
                        };
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        package1: import("vue").Ref<import("@fly-vue/lcdp-api").IMetaPackage | undefined> | undefined;
                        refInput: import("vue").Ref<any>;
                        meta: import("@fly-vue/lcdp-api").IMetaProps;
                        appId: string | undefined;
                        data: any;
                        isDataValid: import("vue").ComputedRef<any>;
                        fileName: (rule: any, value: string, cb: any) => any;
                        required: (rule: any, value: string, cb: any) => any;
                        onValidate: (props: any, status: any, error: any) => void;
                        reload: () => Promise<void>;
                        save: () => Promise<void>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                        LcText: import("vue").DefineComponent<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            } & {
                                size?: string | undefined;
                            }>>>;
                            slots: import("vue/types/v3-setup-context").Slots;
                            clazz: import("vue").ComputedRef<Record<string, any>>;
                            finalSize: import("vue").ComputedRef<string | null>;
                            style: import("vue").ComputedRef<any>;
                            doCopy: () => void;
                            Tips: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                                slots: import("vue/types/v3-setup-context").Slots;
                                tip: import("vue").ComputedRef<string | undefined>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        }>;
                        LcForm: import("vue").DefineComponent<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            refForm1: import("vue").Ref<any>;
                            Form: typeof import("view-design").Form;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }>>, {
                            labelPosition: string;
                        }>;
                        LcFormItem: import("vue").DefineComponent<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            LcText: import("vue").DefineComponent<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }, {
                                __sfc: boolean;
                                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                    bold: boolean;
                                    small: boolean;
                                    selected: boolean;
                                    noWrap: boolean;
                                    grey: boolean;
                                    copyable: boolean;
                                    middle: boolean;
                                    selectable: boolean;
                                    overflowHidden: boolean;
                                } & {
                                    size?: string | undefined;
                                }>>>;
                                slots: import("vue/types/v3-setup-context").Slots;
                                clazz: import("vue").ComputedRef<Record<string, any>>;
                                finalSize: import("vue").ComputedRef<string | null>;
                                style: import("vue").ComputedRef<any>;
                                doCopy: () => void;
                                Tips: import("vue").DefineComponent<{}, {
                                    __sfc: boolean;
                                    slots: import("vue/types/v3-setup-context").Slots;
                                    tip: import("vue").ComputedRef<string | undefined>;
                                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }>>, {
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            }>;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }>>, {
                            titleAlign: string;
                            hideTitle: boolean;
                            titleWidth: number;
                        }>;
                        FormBtns: import("vue").DefineComponent<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                            onCancel: () => void;
                            onOk: () => void;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            padding: boolean;
                            loading: boolean;
                            disabled: boolean;
                            okText: string;
                            showCancel: boolean;
                            cancelPosition: string;
                        }>;
                        LcLine: import("vue").DefineComponent<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }>>, {
                            position: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        package1: null;
                        object: null;
                        meta: null;
                        showParentInfo: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        template: null;
                    }>>, {
                        showParentInfo: boolean;
                    }>;
                };
                objectUpdateForm: {
                    default(): import("vue").DefineComponent<{
                        object: {
                            type: ObjectConstructor;
                            required: true;
                        };
                        meta: {
                            type: ObjectConstructor;
                            required: true;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            object: Record<string, any>;
                            meta: Record<string, any>;
                        }>>>;
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        object: import("vue").Ref<Record<string, any>>;
                        meta: import("vue").Ref<Record<string, any>>;
                        refInput: import("vue").Ref<any>;
                        appId: string | undefined;
                        data: any;
                        isDataValid: import("vue").ComputedRef<any>;
                        fileName: (rule: any, value: string, cb: any) => any;
                        required: (rule: any, value: string, cb: any) => any;
                        onValidate: (props: any, status: any, error: any) => void;
                        reload: () => Promise<void>;
                        save: () => Promise<void>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                        LcForm: import("vue").DefineComponent<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            refForm1: import("vue").Ref<any>;
                            Form: typeof import("view-design").Form;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }>>, {
                            labelPosition: string;
                        }>;
                        LcFormItem: import("vue").DefineComponent<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            LcText: import("vue").DefineComponent<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }, {
                                __sfc: boolean;
                                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                    bold: boolean;
                                    small: boolean;
                                    selected: boolean;
                                    noWrap: boolean;
                                    grey: boolean;
                                    copyable: boolean;
                                    middle: boolean;
                                    selectable: boolean;
                                    overflowHidden: boolean;
                                } & {
                                    size?: string | undefined;
                                }>>>;
                                slots: import("vue/types/v3-setup-context").Slots;
                                clazz: import("vue").ComputedRef<Record<string, any>>;
                                finalSize: import("vue").ComputedRef<string | null>;
                                style: import("vue").ComputedRef<any>;
                                doCopy: () => void;
                                Tips: import("vue").DefineComponent<{}, {
                                    __sfc: boolean;
                                    slots: import("vue/types/v3-setup-context").Slots;
                                    tip: import("vue").ComputedRef<string | undefined>;
                                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }>>, {
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            }>;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }>>, {
                            titleAlign: string;
                            hideTitle: boolean;
                            titleWidth: number;
                        }>;
                        FormBtns: import("vue").DefineComponent<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                            onCancel: () => void;
                            onOk: () => void;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            padding: boolean;
                            loading: boolean;
                            disabled: boolean;
                            okText: string;
                            showCancel: boolean;
                            cancelPosition: string;
                        }>;
                        LcLine: import("vue").DefineComponent<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }>>, {
                            position: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        object: {
                            type: ObjectConstructor;
                            required: true;
                        };
                        meta: {
                            type: ObjectConstructor;
                            required: true;
                        };
                    }>>, {}>;
                };
                objectCopyForm: {
                    default(): import("vue").DefineComponent<{
                        package1: null;
                        object: null;
                        meta: null;
                        showParentInfo: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        template: null;
                    }, {
                        __sfc: boolean;
                        props: {
                            package1?: import("@fly-vue/lcdp-api").IMetaPackage | undefined;
                            object?: import("@fly-vue/lcdp-api").IMetaObject<any> | undefined;
                            meta: import("@fly-vue/lcdp-api").IMetaProps;
                            showParentInfo: boolean;
                            template?: Record<string, any> | undefined;
                        };
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        package1: import("vue").Ref<import("@fly-vue/lcdp-api").IMetaPackage | undefined> | undefined;
                        refInput: import("vue").Ref<any>;
                        meta: import("@fly-vue/lcdp-api").IMetaProps;
                        appId: string | undefined;
                        data: any;
                        isDataValid: import("vue").ComputedRef<any>;
                        fileName: (rule: any, value: string, cb: any) => any;
                        required: (rule: any, value: string, cb: any) => any;
                        onValidate: (props: any, status: any, error: any) => void;
                        reload: () => Promise<void>;
                        save: () => Promise<void>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                        LcText: import("vue").DefineComponent<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            } & {
                                size?: string | undefined;
                            }>>>;
                            slots: import("vue/types/v3-setup-context").Slots;
                            clazz: import("vue").ComputedRef<Record<string, any>>;
                            finalSize: import("vue").ComputedRef<string | null>;
                            style: import("vue").ComputedRef<any>;
                            doCopy: () => void;
                            Tips: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                                slots: import("vue/types/v3-setup-context").Slots;
                                tip: import("vue").ComputedRef<string | undefined>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        }>;
                        LcForm: import("vue").DefineComponent<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            refForm1: import("vue").Ref<any>;
                            Form: typeof import("view-design").Form;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }>>, {
                            labelPosition: string;
                        }>;
                        LcFormItem: import("vue").DefineComponent<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            LcText: import("vue").DefineComponent<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }, {
                                __sfc: boolean;
                                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                    bold: boolean;
                                    small: boolean;
                                    selected: boolean;
                                    noWrap: boolean;
                                    grey: boolean;
                                    copyable: boolean;
                                    middle: boolean;
                                    selectable: boolean;
                                    overflowHidden: boolean;
                                } & {
                                    size?: string | undefined;
                                }>>>;
                                slots: import("vue/types/v3-setup-context").Slots;
                                clazz: import("vue").ComputedRef<Record<string, any>>;
                                finalSize: import("vue").ComputedRef<string | null>;
                                style: import("vue").ComputedRef<any>;
                                doCopy: () => void;
                                Tips: import("vue").DefineComponent<{}, {
                                    __sfc: boolean;
                                    slots: import("vue/types/v3-setup-context").Slots;
                                    tip: import("vue").ComputedRef<string | undefined>;
                                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }>>, {
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            }>;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }>>, {
                            titleAlign: string;
                            hideTitle: boolean;
                            titleWidth: number;
                        }>;
                        FormBtns: import("vue").DefineComponent<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                            onCancel: () => void;
                            onOk: () => void;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            padding: boolean;
                            loading: boolean;
                            disabled: boolean;
                            okText: string;
                            showCancel: boolean;
                            cancelPosition: string;
                        }>;
                        LcLine: import("vue").DefineComponent<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }>>, {
                            position: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        package1: null;
                        object: null;
                        meta: null;
                        showParentInfo: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        template: null;
                    }>>, {
                        showParentInfo: boolean;
                    }>;
                };
                packageAddForm: {
                    default(): import("vue").DefineComponent<{
                        parentId: null;
                        meta: null;
                    }, {
                        __sfc: boolean;
                        props: {
                            parentId?: string | undefined;
                            meta: import("@fly-vue/lcdp-api").IMetaProps;
                        };
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        parentId: import("vue").Ref<string | undefined> | undefined;
                        meta: import("@fly-vue/lcdp-api").IMetaProps;
                        refInput: import("vue").Ref<any>;
                        data: any;
                        isDataValid: import("vue").ComputedRef<any>;
                        fileName: (rule: any, value: string, cb: any) => any;
                        required: (rule: any, value: string, cb: any) => any;
                        onValidate: (props: any, status: any, error: any) => void;
                        appId: string | undefined;
                        reload: () => Promise<void>;
                        save: () => Promise<void>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                        LcForm: import("vue").DefineComponent<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            refForm1: import("vue").Ref<any>;
                            Form: typeof import("view-design").Form;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }>>, {
                            labelPosition: string;
                        }>;
                        LcFormItem: import("vue").DefineComponent<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            LcText: import("vue").DefineComponent<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }, {
                                __sfc: boolean;
                                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                    bold: boolean;
                                    small: boolean;
                                    selected: boolean;
                                    noWrap: boolean;
                                    grey: boolean;
                                    copyable: boolean;
                                    middle: boolean;
                                    selectable: boolean;
                                    overflowHidden: boolean;
                                } & {
                                    size?: string | undefined;
                                }>>>;
                                slots: import("vue/types/v3-setup-context").Slots;
                                clazz: import("vue").ComputedRef<Record<string, any>>;
                                finalSize: import("vue").ComputedRef<string | null>;
                                style: import("vue").ComputedRef<any>;
                                doCopy: () => void;
                                Tips: import("vue").DefineComponent<{}, {
                                    __sfc: boolean;
                                    slots: import("vue/types/v3-setup-context").Slots;
                                    tip: import("vue").ComputedRef<string | undefined>;
                                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }>>, {
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            }>;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }>>, {
                            titleAlign: string;
                            hideTitle: boolean;
                            titleWidth: number;
                        }>;
                        FormBtns: import("vue").DefineComponent<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                            onCancel: () => void;
                            onOk: () => void;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            padding: boolean;
                            loading: boolean;
                            disabled: boolean;
                            okText: string;
                            showCancel: boolean;
                            cancelPosition: string;
                        }>;
                        LcLine: import("vue").DefineComponent<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }>>, {
                            position: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        parentId: null;
                        meta: null;
                    }>>, {}>;
                };
                packageUpdateForm: {
                    default(): import("vue").DefineComponent<{
                        package1: {
                            type: ObjectConstructor;
                        };
                        meta: {
                            type: ObjectConstructor;
                            required: true;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            meta: Record<string, any>;
                        } & {
                            package1?: Record<string, any> | undefined;
                        }>>>;
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        package1: import("vue").Ref<Record<string, any> | undefined>;
                        meta: import("vue").Ref<Record<string, any>>;
                        refInput: import("vue").Ref<any>;
                        appId: string | undefined;
                        data: any;
                        isDataValid: import("vue").ComputedRef<any>;
                        fileName: (rule: any, value: string, cb: any) => any;
                        required: (rule: any, value: string, cb: any) => any;
                        onValidate: (props: any, status: any, error: any) => void;
                        oldTitle: string;
                        oldName: string;
                        reload: () => Promise<void>;
                        save: () => Promise<void>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                        LcForm: import("vue").DefineComponent<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            refForm1: import("vue").Ref<any>;
                            Form: typeof import("view-design").Form;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            model: {
                                type: ObjectConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            labelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            labelWidth: {
                                type: NumberConstructor;
                            };
                        }>>, {
                            labelPosition: string;
                        }>;
                        LcFormItem: import("vue").DefineComponent<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            LcText: import("vue").DefineComponent<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }, {
                                __sfc: boolean;
                                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                    bold: boolean;
                                    small: boolean;
                                    selected: boolean;
                                    noWrap: boolean;
                                    grey: boolean;
                                    copyable: boolean;
                                    middle: boolean;
                                    selectable: boolean;
                                    overflowHidden: boolean;
                                } & {
                                    size?: string | undefined;
                                }>>>;
                                slots: import("vue/types/v3-setup-context").Slots;
                                clazz: import("vue").ComputedRef<Record<string, any>>;
                                finalSize: import("vue").ComputedRef<string | null>;
                                style: import("vue").ComputedRef<any>;
                                doCopy: () => void;
                                Tips: import("vue").DefineComponent<{}, {
                                    __sfc: boolean;
                                    slots: import("vue/types/v3-setup-context").Slots;
                                    tip: import("vue").ComputedRef<string | undefined>;
                                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                size: {
                                    type: StringConstructor;
                                };
                                noWrap: {
                                    type: BooleanConstructor;
                                };
                                bold: {
                                    type: BooleanConstructor;
                                };
                                grey: {
                                    type: BooleanConstructor;
                                };
                                copyable: {
                                    type: BooleanConstructor;
                                };
                                small: {
                                    type: BooleanConstructor;
                                };
                                middle: {
                                    type: BooleanConstructor;
                                };
                                selectable: {
                                    type: BooleanConstructor;
                                };
                                selected: {
                                    type: BooleanConstructor;
                                };
                                overflowHidden: {
                                    type: BooleanConstructor;
                                    default: boolean;
                                };
                            }>>, {
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            }>;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            title: {
                                type: StringConstructor;
                            };
                            titleWidth: {
                                type: NumberConstructor;
                                default: number;
                            };
                            titleAlign: {
                                type: StringConstructor;
                                enums: string[];
                                default: string;
                            };
                            hideTitle: {
                                type: BooleanConstructor;
                            };
                            rules: {
                                type: ArrayConstructor;
                            };
                            prop: {
                                type: StringConstructor;
                            };
                            label: {
                                type: StringConstructor;
                            };
                        }>>, {
                            titleAlign: string;
                            hideTitle: boolean;
                            titleWidth: number;
                        }>;
                        FormBtns: import("vue").DefineComponent<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                            onCancel: () => void;
                            onOk: () => void;
                            Row: import("vue").DefineComponent<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }, {
                                __sfc: boolean;
                                props: {
                                    itemsCenter?: boolean | undefined;
                                    justifyCenter?: boolean | undefined;
                                    center?: boolean | undefined;
                                    wrap?: boolean | undefined;
                                    grow?: boolean | undefined;
                                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                                };
                                clazz: import("vue").ComputedRef<{
                                    'ui-items-center': boolean | undefined;
                                    'ui-justify-center': boolean | undefined;
                                    'ui-flex-wrap': boolean | undefined;
                                    'ui-flex-grow': boolean | undefined;
                                    'ui-gap-1': boolean;
                                    'ui-gap-2': boolean;
                                    'ui-gap-3': boolean;
                                    'ui-gap-4': boolean;
                                    'ui-gap-5': boolean;
                                    'ui-gap-6': boolean;
                                }>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                                itemsCenter: {
                                    type: BooleanConstructor;
                                };
                                justifyCenter: {
                                    type: BooleanConstructor;
                                };
                                center: {
                                    type: BooleanConstructor;
                                };
                                wrap: {
                                    type: BooleanConstructor;
                                };
                                grow: {
                                    type: BooleanConstructor;
                                };
                                gap: {
                                    type: (BooleanConstructor | NumberConstructor)[];
                                };
                            }>>, {
                                itemsCenter: boolean;
                                justifyCenter: boolean;
                                center: boolean;
                                wrap: boolean;
                                grow: boolean;
                            }>;
                            Space: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                            disabled: {
                                type: BooleanConstructor;
                            };
                            okText: {
                                type: StringConstructor;
                                default: string;
                            };
                            showCancel: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            cancelPosition: {
                                type: StringConstructor;
                                default: string;
                            };
                            loading: {
                                type: BooleanConstructor;
                            };
                            padding: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            padding: boolean;
                            loading: boolean;
                            disabled: boolean;
                            okText: string;
                            showCancel: boolean;
                            cancelPosition: string;
                        }>;
                        LcLine: import("vue").DefineComponent<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            type: null;
                            position: {
                                default: string;
                            };
                            size: null;
                        }>>, {
                            position: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        package1: {
                            type: ObjectConstructor;
                        };
                        meta: {
                            type: ObjectConstructor;
                            required: true;
                        };
                    }>>, {}>;
                };
                handleData: null;
                queryParams: null;
                maxPackageLevel: null;
                appId: null;
                selected: {
                    default: string;
                };
                immediate: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                placeholderId: null;
                withData: {
                    type: BooleanConstructor;
                };
                showCreateForm: null;
                beforeRemoveObject: null;
            }>>, {
                openTab: boolean;
                selected: string;
                showOperations: boolean;
                enableSubPackage: boolean;
                objectAddForm: import("vue").DefineComponent<{
                    package1: null;
                    object: null;
                    meta: null;
                    showParentInfo: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    template: null;
                }, {
                    __sfc: boolean;
                    props: {
                        package1?: import("@fly-vue/lcdp-api").IMetaPackage | undefined;
                        object?: import("@fly-vue/lcdp-api").IMetaObject<any> | undefined;
                        meta: import("@fly-vue/lcdp-api").IMetaProps;
                        showParentInfo: boolean;
                        template?: Record<string, any> | undefined;
                    };
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    package1: import("vue").Ref<import("@fly-vue/lcdp-api").IMetaPackage | undefined> | undefined;
                    refInput: import("vue").Ref<any>;
                    meta: import("@fly-vue/lcdp-api").IMetaProps;
                    appId: string | undefined;
                    data: any;
                    isDataValid: import("vue").ComputedRef<any>;
                    fileName: (rule: any, value: string, cb: any) => any;
                    required: (rule: any, value: string, cb: any) => any;
                    onValidate: (props: any, status: any, error: any) => void;
                    reload: () => Promise<void>;
                    save: () => Promise<void>;
                    Column: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            fit?: boolean | undefined;
                            gutter?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-h-0': boolean | undefined;
                            gutter: boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                        fit: boolean;
                        gutter: boolean;
                    }>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    LcForm: import("vue").DefineComponent<{
                        model: {
                            type: ObjectConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        labelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        labelWidth: {
                            type: NumberConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        refForm1: import("vue").Ref<any>;
                        Form: typeof import("view-design").Form;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        model: {
                            type: ObjectConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        labelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        labelWidth: {
                            type: NumberConstructor;
                        };
                    }>>, {
                        labelPosition: string;
                    }>;
                    LcFormItem: import("vue").DefineComponent<{
                        title: {
                            type: StringConstructor;
                        };
                        titleWidth: {
                            type: NumberConstructor;
                            default: number;
                        };
                        titleAlign: {
                            type: StringConstructor;
                            enums: string[];
                            default: string;
                        };
                        hideTitle: {
                            type: BooleanConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        prop: {
                            type: StringConstructor;
                        };
                        label: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        LcText: import("vue").DefineComponent<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            } & {
                                size?: string | undefined;
                            }>>>;
                            slots: import("vue/types/v3-setup-context").Slots;
                            clazz: import("vue").ComputedRef<Record<string, any>>;
                            finalSize: import("vue").ComputedRef<string | null>;
                            style: import("vue").ComputedRef<any>;
                            doCopy: () => void;
                            Tips: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                                slots: import("vue/types/v3-setup-context").Slots;
                                tip: import("vue").ComputedRef<string | undefined>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        }>;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        title: {
                            type: StringConstructor;
                        };
                        titleWidth: {
                            type: NumberConstructor;
                            default: number;
                        };
                        titleAlign: {
                            type: StringConstructor;
                            enums: string[];
                            default: string;
                        };
                        hideTitle: {
                            type: BooleanConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        prop: {
                            type: StringConstructor;
                        };
                        label: {
                            type: StringConstructor;
                        };
                    }>>, {
                        titleAlign: string;
                        hideTitle: boolean;
                        titleWidth: number;
                    }>;
                    FormBtns: import("vue").DefineComponent<{
                        disabled: {
                            type: BooleanConstructor;
                        };
                        okText: {
                            type: StringConstructor;
                            default: string;
                        };
                        showCancel: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        cancelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                        padding: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        onCancel: () => void;
                        onOk: () => void;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        disabled: {
                            type: BooleanConstructor;
                        };
                        okText: {
                            type: StringConstructor;
                            default: string;
                        };
                        showCancel: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        cancelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                        padding: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        padding: boolean;
                        loading: boolean;
                        disabled: boolean;
                        okText: string;
                        showCancel: boolean;
                        cancelPosition: string;
                    }>;
                    LcLine: import("vue").DefineComponent<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }>>, {
                        position: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                    package1: null;
                    object: null;
                    meta: null;
                    showParentInfo: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    template: null;
                }>>, {
                    showParentInfo: boolean;
                }>;
                objectUpdateForm: import("vue").DefineComponent<{
                    object: {
                        type: ObjectConstructor;
                        required: true;
                    };
                    meta: {
                        type: ObjectConstructor;
                        required: true;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        object: Record<string, any>;
                        meta: Record<string, any>;
                    }>>>;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    object: import("vue").Ref<Record<string, any>>;
                    meta: import("vue").Ref<Record<string, any>>;
                    refInput: import("vue").Ref<any>;
                    appId: string | undefined;
                    data: any;
                    isDataValid: import("vue").ComputedRef<any>;
                    fileName: (rule: any, value: string, cb: any) => any;
                    required: (rule: any, value: string, cb: any) => any;
                    onValidate: (props: any, status: any, error: any) => void;
                    reload: () => Promise<void>;
                    save: () => Promise<void>;
                    Column: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            fit?: boolean | undefined;
                            gutter?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-h-0': boolean | undefined;
                            gutter: boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                        fit: boolean;
                        gutter: boolean;
                    }>;
                    LcForm: import("vue").DefineComponent<{
                        model: {
                            type: ObjectConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        labelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        labelWidth: {
                            type: NumberConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        refForm1: import("vue").Ref<any>;
                        Form: typeof import("view-design").Form;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        model: {
                            type: ObjectConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        labelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        labelWidth: {
                            type: NumberConstructor;
                        };
                    }>>, {
                        labelPosition: string;
                    }>;
                    LcFormItem: import("vue").DefineComponent<{
                        title: {
                            type: StringConstructor;
                        };
                        titleWidth: {
                            type: NumberConstructor;
                            default: number;
                        };
                        titleAlign: {
                            type: StringConstructor;
                            enums: string[];
                            default: string;
                        };
                        hideTitle: {
                            type: BooleanConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        prop: {
                            type: StringConstructor;
                        };
                        label: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        LcText: import("vue").DefineComponent<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            } & {
                                size?: string | undefined;
                            }>>>;
                            slots: import("vue/types/v3-setup-context").Slots;
                            clazz: import("vue").ComputedRef<Record<string, any>>;
                            finalSize: import("vue").ComputedRef<string | null>;
                            style: import("vue").ComputedRef<any>;
                            doCopy: () => void;
                            Tips: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                                slots: import("vue/types/v3-setup-context").Slots;
                                tip: import("vue").ComputedRef<string | undefined>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        }>;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        title: {
                            type: StringConstructor;
                        };
                        titleWidth: {
                            type: NumberConstructor;
                            default: number;
                        };
                        titleAlign: {
                            type: StringConstructor;
                            enums: string[];
                            default: string;
                        };
                        hideTitle: {
                            type: BooleanConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        prop: {
                            type: StringConstructor;
                        };
                        label: {
                            type: StringConstructor;
                        };
                    }>>, {
                        titleAlign: string;
                        hideTitle: boolean;
                        titleWidth: number;
                    }>;
                    FormBtns: import("vue").DefineComponent<{
                        disabled: {
                            type: BooleanConstructor;
                        };
                        okText: {
                            type: StringConstructor;
                            default: string;
                        };
                        showCancel: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        cancelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                        padding: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        onCancel: () => void;
                        onOk: () => void;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        disabled: {
                            type: BooleanConstructor;
                        };
                        okText: {
                            type: StringConstructor;
                            default: string;
                        };
                        showCancel: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        cancelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                        padding: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        padding: boolean;
                        loading: boolean;
                        disabled: boolean;
                        okText: string;
                        showCancel: boolean;
                        cancelPosition: string;
                    }>;
                    LcLine: import("vue").DefineComponent<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }>>, {
                        position: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                    object: {
                        type: ObjectConstructor;
                        required: true;
                    };
                    meta: {
                        type: ObjectConstructor;
                        required: true;
                    };
                }>>, {}>;
                objectCopyForm: import("vue").DefineComponent<{
                    package1: null;
                    object: null;
                    meta: null;
                    showParentInfo: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    template: null;
                }, {
                    __sfc: boolean;
                    props: {
                        package1?: import("@fly-vue/lcdp-api").IMetaPackage | undefined;
                        object?: import("@fly-vue/lcdp-api").IMetaObject<any> | undefined;
                        meta: import("@fly-vue/lcdp-api").IMetaProps;
                        showParentInfo: boolean;
                        template?: Record<string, any> | undefined;
                    };
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    package1: import("vue").Ref<import("@fly-vue/lcdp-api").IMetaPackage | undefined> | undefined;
                    refInput: import("vue").Ref<any>;
                    meta: import("@fly-vue/lcdp-api").IMetaProps;
                    appId: string | undefined;
                    data: any;
                    isDataValid: import("vue").ComputedRef<any>;
                    fileName: (rule: any, value: string, cb: any) => any;
                    required: (rule: any, value: string, cb: any) => any;
                    onValidate: (props: any, status: any, error: any) => void;
                    reload: () => Promise<void>;
                    save: () => Promise<void>;
                    Column: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            fit?: boolean | undefined;
                            gutter?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-h-0': boolean | undefined;
                            gutter: boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                        fit: boolean;
                        gutter: boolean;
                    }>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    LcForm: import("vue").DefineComponent<{
                        model: {
                            type: ObjectConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        labelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        labelWidth: {
                            type: NumberConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        refForm1: import("vue").Ref<any>;
                        Form: typeof import("view-design").Form;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        model: {
                            type: ObjectConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        labelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        labelWidth: {
                            type: NumberConstructor;
                        };
                    }>>, {
                        labelPosition: string;
                    }>;
                    LcFormItem: import("vue").DefineComponent<{
                        title: {
                            type: StringConstructor;
                        };
                        titleWidth: {
                            type: NumberConstructor;
                            default: number;
                        };
                        titleAlign: {
                            type: StringConstructor;
                            enums: string[];
                            default: string;
                        };
                        hideTitle: {
                            type: BooleanConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        prop: {
                            type: StringConstructor;
                        };
                        label: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        LcText: import("vue").DefineComponent<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            } & {
                                size?: string | undefined;
                            }>>>;
                            slots: import("vue/types/v3-setup-context").Slots;
                            clazz: import("vue").ComputedRef<Record<string, any>>;
                            finalSize: import("vue").ComputedRef<string | null>;
                            style: import("vue").ComputedRef<any>;
                            doCopy: () => void;
                            Tips: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                                slots: import("vue/types/v3-setup-context").Slots;
                                tip: import("vue").ComputedRef<string | undefined>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        }>;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        title: {
                            type: StringConstructor;
                        };
                        titleWidth: {
                            type: NumberConstructor;
                            default: number;
                        };
                        titleAlign: {
                            type: StringConstructor;
                            enums: string[];
                            default: string;
                        };
                        hideTitle: {
                            type: BooleanConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        prop: {
                            type: StringConstructor;
                        };
                        label: {
                            type: StringConstructor;
                        };
                    }>>, {
                        titleAlign: string;
                        hideTitle: boolean;
                        titleWidth: number;
                    }>;
                    FormBtns: import("vue").DefineComponent<{
                        disabled: {
                            type: BooleanConstructor;
                        };
                        okText: {
                            type: StringConstructor;
                            default: string;
                        };
                        showCancel: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        cancelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                        padding: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        onCancel: () => void;
                        onOk: () => void;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        disabled: {
                            type: BooleanConstructor;
                        };
                        okText: {
                            type: StringConstructor;
                            default: string;
                        };
                        showCancel: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        cancelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                        padding: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        padding: boolean;
                        loading: boolean;
                        disabled: boolean;
                        okText: string;
                        showCancel: boolean;
                        cancelPosition: string;
                    }>;
                    LcLine: import("vue").DefineComponent<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }>>, {
                        position: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                    package1: null;
                    object: null;
                    meta: null;
                    showParentInfo: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    template: null;
                }>>, {
                    showParentInfo: boolean;
                }>;
                packageAddForm: import("vue").DefineComponent<{
                    parentId: null;
                    meta: null;
                }, {
                    __sfc: boolean;
                    props: {
                        parentId?: string | undefined;
                        meta: import("@fly-vue/lcdp-api").IMetaProps;
                    };
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    parentId: import("vue").Ref<string | undefined> | undefined;
                    meta: import("@fly-vue/lcdp-api").IMetaProps;
                    refInput: import("vue").Ref<any>;
                    data: any;
                    isDataValid: import("vue").ComputedRef<any>;
                    fileName: (rule: any, value: string, cb: any) => any;
                    required: (rule: any, value: string, cb: any) => any;
                    onValidate: (props: any, status: any, error: any) => void;
                    appId: string | undefined;
                    reload: () => Promise<void>;
                    save: () => Promise<void>;
                    Column: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            fit?: boolean | undefined;
                            gutter?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-h-0': boolean | undefined;
                            gutter: boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                        fit: boolean;
                        gutter: boolean;
                    }>;
                    LcForm: import("vue").DefineComponent<{
                        model: {
                            type: ObjectConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        labelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        labelWidth: {
                            type: NumberConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        refForm1: import("vue").Ref<any>;
                        Form: typeof import("view-design").Form;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        model: {
                            type: ObjectConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        labelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        labelWidth: {
                            type: NumberConstructor;
                        };
                    }>>, {
                        labelPosition: string;
                    }>;
                    LcFormItem: import("vue").DefineComponent<{
                        title: {
                            type: StringConstructor;
                        };
                        titleWidth: {
                            type: NumberConstructor;
                            default: number;
                        };
                        titleAlign: {
                            type: StringConstructor;
                            enums: string[];
                            default: string;
                        };
                        hideTitle: {
                            type: BooleanConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        prop: {
                            type: StringConstructor;
                        };
                        label: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        LcText: import("vue").DefineComponent<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            } & {
                                size?: string | undefined;
                            }>>>;
                            slots: import("vue/types/v3-setup-context").Slots;
                            clazz: import("vue").ComputedRef<Record<string, any>>;
                            finalSize: import("vue").ComputedRef<string | null>;
                            style: import("vue").ComputedRef<any>;
                            doCopy: () => void;
                            Tips: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                                slots: import("vue/types/v3-setup-context").Slots;
                                tip: import("vue").ComputedRef<string | undefined>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        }>;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        title: {
                            type: StringConstructor;
                        };
                        titleWidth: {
                            type: NumberConstructor;
                            default: number;
                        };
                        titleAlign: {
                            type: StringConstructor;
                            enums: string[];
                            default: string;
                        };
                        hideTitle: {
                            type: BooleanConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        prop: {
                            type: StringConstructor;
                        };
                        label: {
                            type: StringConstructor;
                        };
                    }>>, {
                        titleAlign: string;
                        hideTitle: boolean;
                        titleWidth: number;
                    }>;
                    FormBtns: import("vue").DefineComponent<{
                        disabled: {
                            type: BooleanConstructor;
                        };
                        okText: {
                            type: StringConstructor;
                            default: string;
                        };
                        showCancel: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        cancelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                        padding: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        onCancel: () => void;
                        onOk: () => void;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        disabled: {
                            type: BooleanConstructor;
                        };
                        okText: {
                            type: StringConstructor;
                            default: string;
                        };
                        showCancel: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        cancelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                        padding: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        padding: boolean;
                        loading: boolean;
                        disabled: boolean;
                        okText: string;
                        showCancel: boolean;
                        cancelPosition: string;
                    }>;
                    LcLine: import("vue").DefineComponent<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }>>, {
                        position: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                    parentId: null;
                    meta: null;
                }>>, {}>;
                packageUpdateForm: import("vue").DefineComponent<{
                    package1: {
                        type: ObjectConstructor;
                    };
                    meta: {
                        type: ObjectConstructor;
                        required: true;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        meta: Record<string, any>;
                    } & {
                        package1?: Record<string, any> | undefined;
                    }>>>;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    package1: import("vue").Ref<Record<string, any> | undefined>;
                    meta: import("vue").Ref<Record<string, any>>;
                    refInput: import("vue").Ref<any>;
                    appId: string | undefined;
                    data: any;
                    isDataValid: import("vue").ComputedRef<any>;
                    fileName: (rule: any, value: string, cb: any) => any;
                    required: (rule: any, value: string, cb: any) => any;
                    onValidate: (props: any, status: any, error: any) => void;
                    oldTitle: string;
                    oldName: string;
                    reload: () => Promise<void>;
                    save: () => Promise<void>;
                    Column: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            fit?: boolean | undefined;
                            gutter?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-h-0': boolean | undefined;
                            gutter: boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                        fit: boolean;
                        gutter: boolean;
                    }>;
                    LcForm: import("vue").DefineComponent<{
                        model: {
                            type: ObjectConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        labelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        labelWidth: {
                            type: NumberConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        refForm1: import("vue").Ref<any>;
                        Form: typeof import("view-design").Form;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        model: {
                            type: ObjectConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        labelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        labelWidth: {
                            type: NumberConstructor;
                        };
                    }>>, {
                        labelPosition: string;
                    }>;
                    LcFormItem: import("vue").DefineComponent<{
                        title: {
                            type: StringConstructor;
                        };
                        titleWidth: {
                            type: NumberConstructor;
                            default: number;
                        };
                        titleAlign: {
                            type: StringConstructor;
                            enums: string[];
                            default: string;
                        };
                        hideTitle: {
                            type: BooleanConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        prop: {
                            type: StringConstructor;
                        };
                        label: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        LcText: import("vue").DefineComponent<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }, {
                            __sfc: boolean;
                            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                                bold: boolean;
                                small: boolean;
                                selected: boolean;
                                noWrap: boolean;
                                grey: boolean;
                                copyable: boolean;
                                middle: boolean;
                                selectable: boolean;
                                overflowHidden: boolean;
                            } & {
                                size?: string | undefined;
                            }>>>;
                            slots: import("vue/types/v3-setup-context").Slots;
                            clazz: import("vue").ComputedRef<Record<string, any>>;
                            finalSize: import("vue").ComputedRef<string | null>;
                            style: import("vue").ComputedRef<any>;
                            doCopy: () => void;
                            Tips: import("vue").DefineComponent<{}, {
                                __sfc: boolean;
                                slots: import("vue/types/v3-setup-context").Slots;
                                tip: import("vue").ComputedRef<string | undefined>;
                            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            size: {
                                type: StringConstructor;
                            };
                            noWrap: {
                                type: BooleanConstructor;
                            };
                            bold: {
                                type: BooleanConstructor;
                            };
                            grey: {
                                type: BooleanConstructor;
                            };
                            copyable: {
                                type: BooleanConstructor;
                            };
                            small: {
                                type: BooleanConstructor;
                            };
                            middle: {
                                type: BooleanConstructor;
                            };
                            selectable: {
                                type: BooleanConstructor;
                            };
                            selected: {
                                type: BooleanConstructor;
                            };
                            overflowHidden: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                        }>>, {
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        }>;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        title: {
                            type: StringConstructor;
                        };
                        titleWidth: {
                            type: NumberConstructor;
                            default: number;
                        };
                        titleAlign: {
                            type: StringConstructor;
                            enums: string[];
                            default: string;
                        };
                        hideTitle: {
                            type: BooleanConstructor;
                        };
                        rules: {
                            type: ArrayConstructor;
                        };
                        prop: {
                            type: StringConstructor;
                        };
                        label: {
                            type: StringConstructor;
                        };
                    }>>, {
                        titleAlign: string;
                        hideTitle: boolean;
                        titleWidth: number;
                    }>;
                    FormBtns: import("vue").DefineComponent<{
                        disabled: {
                            type: BooleanConstructor;
                        };
                        okText: {
                            type: StringConstructor;
                            default: string;
                        };
                        showCancel: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        cancelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                        padding: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                        onCancel: () => void;
                        onOk: () => void;
                        Row: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-wrap': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                        }>;
                        Space: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                        disabled: {
                            type: BooleanConstructor;
                        };
                        okText: {
                            type: StringConstructor;
                            default: string;
                        };
                        showCancel: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        cancelPosition: {
                            type: StringConstructor;
                            default: string;
                        };
                        loading: {
                            type: BooleanConstructor;
                        };
                        padding: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        padding: boolean;
                        loading: boolean;
                        disabled: boolean;
                        okText: string;
                        showCancel: boolean;
                        cancelPosition: string;
                    }>;
                    LcLine: import("vue").DefineComponent<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        type: null;
                        position: {
                            default: string;
                        };
                        size: null;
                    }>>, {
                        position: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
                    package1: {
                        type: ObjectConstructor;
                    };
                    meta: {
                        type: ObjectConstructor;
                        required: true;
                    };
                }>>, {}>;
                immediate: boolean;
                withData: boolean;
            }>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            Link: import("vue").DefineComponent<{
                icon: null;
                size: {
                    default: string;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                loading: {
                    type: BooleanConstructor;
                };
            }, {
                __sfc: boolean;
                emit: (event: "click", ...args: any[]) => void;
                onClick: (e: any) => void;
                Icon: import("vue").DefineComponent<{
                    icon: null;
                    size: null;
                    color: null;
                }, {
                    __sfc: boolean;
                    props: {
                        icon: string;
                        size?: string | undefined;
                        color?: string | undefined;
                    };
                    isIdeIcon: import("vue").ComputedRef<boolean>;
                    isProIcon: import("vue").ComputedRef<boolean>;
                    isIdesIcon: import("vue").ComputedRef<boolean>;
                    isLcIcon: import("vue").ComputedRef<boolean>;
                    colorMap: Record<string, string>;
                    color: import("vue").ComputedRef<string>;
                    IdeIcon: import("vue").DefineComponent<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }>>, {
                        size: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    icon: null;
                    size: null;
                    color: null;
                }>>, {}>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
                icon: null;
                size: {
                    default: string;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                loading: {
                    type: BooleanConstructor;
                };
            }>>, {
                size: string;
                loading: boolean;
                disabled: boolean;
            }>;
            SearchInput: import("vue").DefineComponent<{
                value: null;
                placeholder: {
                    default: string;
                };
                autoFocus: {
                    type: BooleanConstructor;
                };
                clearable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                background: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                size: null;
            }, {
                __sfc: boolean;
                props: {
                    value?: string | undefined;
                    placeholder: string;
                    autoFocus?: boolean | undefined;
                    clearable: boolean;
                    disabled?: boolean | undefined;
                    background: boolean;
                    size?: "small" | "large" | undefined;
                };
                emit: (event: "input" | "on-blur" | "on-enter", ...args: any[]) => void;
                innerValue: import("vue").Ref<string | undefined> | import("vue").WritableComputedRef<string | undefined>;
                refInput: import("vue").Ref<any>;
                onKeydown: ({ keyCode }: {
                    keyCode: number;
                }) => void;
                onBlur: () => void;
                focus: () => void;
                clazz: import("vue").ComputedRef<{
                    bg: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-blur" | "on-enter")[], string, Readonly<import("vue").ExtractPropTypes<{
                value: null;
                placeholder: {
                    default: string;
                };
                autoFocus: {
                    type: BooleanConstructor;
                };
                clearable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                background: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                size: null;
            }>>, {
                placeholder: string;
                disabled: boolean;
                autoFocus: boolean;
                clearable: boolean;
                background: boolean;
            }>;
            Space: import("vue").DefineComponent<{}, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            LcModal: import("vue").DefineComponent<{
                value: {
                    type: BooleanConstructor;
                };
                title: {
                    type: StringConstructor;
                };
                width: {
                    type: (NumberConstructor | StringConstructor)[];
                };
                height: {
                    type: StringConstructor;
                };
                enableFullscreen: {
                    type: BooleanConstructor;
                };
                fullscreen: {
                    type: BooleanConstructor;
                };
                showHeaderLine: {
                    type: BooleanConstructor;
                };
                showCloseFooter: {
                    type: BooleanConstructor;
                };
                showFooter: {
                    type: BooleanConstructor;
                };
                zIndex: {
                    type: NumberConstructor;
                };
                closable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                maskClosable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    value: boolean;
                    fullscreen: boolean;
                    enableFullscreen: boolean;
                    showHeaderLine: boolean;
                    showCloseFooter: boolean;
                    showFooter: boolean;
                    closable: boolean;
                    maskClosable: boolean;
                } & {
                    height?: string | undefined;
                    width?: string | number | undefined;
                    title?: string | undefined;
                    zIndex?: number | undefined;
                }>>>;
                emit: (event: "input" | "on-ok" | "on-cancel" | "update:fullscreen", ...args: any[]) => void;
                value: import("vue").Ref<boolean>;
                isShow: import("vue").Ref<boolean>;
                fullscreen: import("vue").Ref<boolean> | import("vue").WritableComputedRef<boolean>;
                toggleFullScreen: () => void;
                onOk: () => void;
                onCancel: () => void;
                Link: import("vue").DefineComponent<{
                    icon: null;
                    size: {
                        default: string;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "click", ...args: any[]) => void;
                    onClick: (e: any) => void;
                    Icon: import("vue").DefineComponent<{
                        icon: null;
                        size: null;
                        color: null;
                    }, {
                        __sfc: boolean;
                        props: {
                            icon: string;
                            size?: string | undefined;
                            color?: string | undefined;
                        };
                        isIdeIcon: import("vue").ComputedRef<boolean>;
                        isProIcon: import("vue").ComputedRef<boolean>;
                        isIdesIcon: import("vue").ComputedRef<boolean>;
                        isLcIcon: import("vue").ComputedRef<boolean>;
                        colorMap: Record<string, string>;
                        color: import("vue").ComputedRef<string>;
                        IdeIcon: import("vue").DefineComponent<{
                            icon: {
                                type: StringConstructor;
                                required: true;
                            };
                            size: {
                                type: StringConstructor;
                                default: string;
                            };
                            color: {
                                type: StringConstructor;
                            };
                        }, {
                            __sfc: boolean;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                            icon: {
                                type: StringConstructor;
                                required: true;
                            };
                            size: {
                                type: StringConstructor;
                                default: string;
                            };
                            color: {
                                type: StringConstructor;
                            };
                        }>>, {
                            size: string;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        icon: null;
                        size: null;
                        color: null;
                    }>>, {}>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
                    icon: null;
                    size: {
                        default: string;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                }>>, {
                    size: string;
                    loading: boolean;
                    disabled: boolean;
                }>;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                FormBtnsClose: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    emit: (event: "on-close", ...args: any[]) => void;
                    onClose: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-close"[], string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok" | "on-cancel" | "update:fullscreen")[], string, Readonly<import("vue").ExtractPropTypes<{
                value: {
                    type: BooleanConstructor;
                };
                title: {
                    type: StringConstructor;
                };
                width: {
                    type: (NumberConstructor | StringConstructor)[];
                };
                height: {
                    type: StringConstructor;
                };
                enableFullscreen: {
                    type: BooleanConstructor;
                };
                fullscreen: {
                    type: BooleanConstructor;
                };
                showHeaderLine: {
                    type: BooleanConstructor;
                };
                showCloseFooter: {
                    type: BooleanConstructor;
                };
                showFooter: {
                    type: BooleanConstructor;
                };
                zIndex: {
                    type: NumberConstructor;
                };
                closable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                maskClosable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                value: boolean;
                fullscreen: boolean;
                enableFullscreen: boolean;
                showHeaderLine: boolean;
                showCloseFooter: boolean;
                showFooter: boolean;
                closable: boolean;
                maskClosable: boolean;
            }>;
            LcLine: import("vue").DefineComponent<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }>>, {
                position: string;
            }>;
            ExprBtn: import("vue").DefineComponent<{
                service: {
                    type: ObjectConstructor;
                };
                value: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
                    value?: string | undefined;
                    service?: Record<string, any> | undefined;
                }>>>;
                emit: (event: "input", ...args: any[]) => void;
                initialValue: import("vue").Ref<string | undefined>;
                showExpressionDialog: (onOk?: any) => Promise<void>;
                onClick: () => void;
                exprCallBack: (str: string) => void;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
                service: {
                    type: ObjectConstructor;
                };
                value: {
                    type: StringConstructor;
                };
            }>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "input")[], string, Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: StringConstructor;
            };
            placeholder: {
                type: StringConstructor;
                default: string;
            };
            modalTitle: {
                type: StringConstructor;
                default: string;
            };
            disableInput: {
                type: BooleanConstructor;
            };
            valueUseId: {
                type: BooleanConstructor;
            };
            showClear: {
                type: BooleanConstructor;
            };
            treeOptions: {
                type: ObjectConstructor;
            };
            service: {
                type: ObjectConstructor;
            };
            isGetPageData: {
                type: BooleanConstructor;
            };
            selectPageData: {
                type: ArrayConstructor;
            };
            showExpr: {
                type: BooleanConstructor;
                default: boolean;
            };
            isOnlyPackage: {
                type: BooleanConstructor;
            };
            isPackageSelectable: {
                type: BooleanConstructor;
            };
            pathPrefix: {
                type: StringConstructor;
                default: string;
            };
        }>>, {
            pathPrefix: string;
            placeholder: string;
            modalTitle: string;
            disableInput: boolean;
            valueUseId: boolean;
            showClear: boolean;
            isGetPageData: boolean;
            showExpr: boolean;
            isOnlyPackage: boolean;
            isPackageSelectable: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-name-change"[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<import("@fly-vue/lcdp-api").IHeaderMenu | import("@fly-vue/lcdp-api").IMenuInfo>;
        };
        isHeader: {
            type: BooleanConstructor;
        };
        pathPrefix: {
            type: StringConstructor;
            default: string;
        };
    }>>, {
        pathPrefix: string;
        isHeader: boolean;
    }>;
    PreviewContainer: import("vue").DefineComponent<{}, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    Navi: import("vue").DefineComponent<{
        layoutConfig: {
            type: import("vue").PropType<ILayoutSetting>;
            required: true;
        };
        hideHeaderMenus: {
            type: BooleanConstructor;
        };
        headerId: {
            type: StringConstructor;
        };
        headerTitle: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            layoutConfig: ILayoutSetting;
            hideHeaderMenus: boolean;
        } & {
            headerId?: string | undefined;
            headerTitle?: string | undefined;
        }>>>;
        config: import("vue").Ref<ILayoutSetting>;
        emit: (event: "on-select" | "on-load" | "on-change" | "on-save" | "on-click", ...args: any[]) => void;
        refHeader: import("vue").Ref<any>;
        editing: import("vue").Ref<import("@fly-vue/lcdp-api").IHeaderMenu | import("@fly-vue/lcdp-api").IMenuInfo | undefined>;
        editingHeader: import("vue").Ref<any>;
        refSider: import("vue").Ref<any>;
        siderList: import("vue").Ref<{
            id?: string | undefined;
            title: string;
            header?: string | undefined;
            path?: string | undefined;
            icon?: string | undefined;
            custom?: string | undefined;
            auth?: string[] | undefined;
            $secured?: string | undefined;
            target?: import("@fly-vue/lcdp-api").MenuTarget | undefined;
            children?: any[] | undefined;
        }[]>;
        navi: import("vue").Ref<import("@fly-vue/lcdp-api").INavi | undefined>;
        reload: (headerId?: string | undefined, headerTitle?: string | undefined) => Promise<void>;
        selectedHeaderName: import("vue").Ref<any>;
        saveHeader: (headerId?: string | undefined) => Promise<void>;
        setSiderList: () => void;
        addSider: () => Promise<void>;
        onSelectHeader: (menu: import("@fly-vue/lcdp-api").IHeaderMenu) => void;
        onSelectSidebar: (menu: import("@fly-vue/lcdp-api").IMenuInfo) => void;
        onSelectPage: () => void;
        onAddMenu: (p: import("@fly-vue/lcdp-api").IMenuInfo) => Promise<void>;
        onRemove: (menu: import("@fly-vue/lcdp-api").IMenuInfo) => Promise<void>;
        onRemoveHeader: (header: import("@fly-vue/lcdp-api").IHeaderMenu) => void;
        onDrag: (newMenus: import("@fly-vue/lcdp-api").IMenuInfo[]) => void;
        getSiderListExcludeByHeaderName: (headerName: string) => import("@fly-vue/lcdp-api").IMenuInfo[];
        getNaviSelectedType: () => INaviSelected;
        selectDefaultHeader: () => void;
        NaviHeader: import("vue").DefineComponent<{
            layoutConfig: {
                type: import("vue").PropType<ILayoutSetting>;
                required: true;
            };
            navi: {
                type: import("vue").PropType<import("@fly-vue/lcdp-api").INavi>;
            };
            hideMenus: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                layoutConfig: ILayoutSetting;
                hideMenus: boolean;
            } & {
                navi?: import("@fly-vue/lcdp-api").INavi | undefined;
            }>>>;
            emit: (event: "on-remove" | "on-select" | "on-click-header", ...args: any[]) => void;
            config: import("vue").Ref<ILayoutSetting>;
            selectedHeaderId: import("vue").Ref<string | undefined>;
            globalConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
            headerList: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IHeaderMenu[]>;
            onSelectHeader: (name: string) => void;
            selectDefaultHeader: () => void;
            getLabel: (menu: import("@fly-vue/lcdp-api").IHeaderMenu) => (h: any) => any;
            onHeaderClose: (menu: import("@fly-vue/lcdp-api").IHeaderMenu) => Promise<void>;
            genName: <T = any>(name: string, list: T[], prop: keyof T) => string;
            addHeader: () => void;
            handleDragDrop: (name: string, newName: string, a: number, b: number) => void;
            finalLogo: import("vue").ComputedRef<string>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-remove" | "on-select" | "on-click-header")[], string, Readonly<import("vue").ExtractPropTypes<{
            layoutConfig: {
                type: import("vue").PropType<ILayoutSetting>;
                required: true;
            };
            navi: {
                type: import("vue").PropType<import("@fly-vue/lcdp-api").INavi>;
            };
            hideMenus: {
                type: BooleanConstructor;
            };
        }>>, {
            hideMenus: boolean;
        }>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
        NaviSider: import("vue").DefineComponent<{
            data: null;
            theme: {
                default: string;
            };
        }, {
            __sfc: boolean;
            props: {
                data: import("@fly-vue/lcdp-api").IMenuInfo[];
                theme: "light" | "dark";
            };
            refTree: import("vue").Ref<any>;
            emit: (event: "on-remove" | "on-select" | "on-drag" | "on-add-child", ...args: any[]) => void;
            onSelect: (node: any) => Promise<void>;
            onDrag: () => Promise<void>;
            addMenu: (menu: import("@fly-vue/lcdp-api").IMenuInfo) => void;
            remove: (menu: import("@fly-vue/lcdp-api").IMenuInfo) => Promise<void>;
            select: (id: string) => void;
            Tree: typeof import("element-ui").Tree;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            Space: import("vue").DefineComponent<{}, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            Icon: import("vue").DefineComponent<{
                icon: null;
                size: null;
                color: null;
            }, {
                __sfc: boolean;
                props: {
                    icon: string;
                    size?: string | undefined;
                    color?: string | undefined;
                };
                isIdeIcon: import("vue").ComputedRef<boolean>;
                isProIcon: import("vue").ComputedRef<boolean>;
                isIdesIcon: import("vue").ComputedRef<boolean>;
                isLcIcon: import("vue").ComputedRef<boolean>;
                colorMap: Record<string, string>;
                color: import("vue").ComputedRef<string>;
                IdeIcon: import("vue").DefineComponent<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }>>, {
                    size: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: null;
                size: null;
                color: null;
            }>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-remove" | "on-select" | "on-drag" | "on-add-child")[], string, Readonly<import("vue").ExtractPropTypes<{
            data: null;
            theme: {
                default: string;
            };
        }>>, {
            theme: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-load" | "on-change" | "on-save" | "on-click")[], string, Readonly<import("vue").ExtractPropTypes<{
        layoutConfig: {
            type: import("vue").PropType<ILayoutSetting>;
            required: true;
        };
        hideHeaderMenus: {
            type: BooleanConstructor;
        };
        headerId: {
            type: StringConstructor;
        };
        headerTitle: {
            type: StringConstructor;
        };
    }>>, {
        hideHeaderMenus: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-load" | "on-change" | "on-save")[], string, Readonly<import("vue").ExtractPropTypes<{
    hideHeader: {
        type: BooleanConstructor;
    };
    hideSaveBtn: {
        type: BooleanConstructor;
    };
    hideLayoutSetting: {
        type: BooleanConstructor;
    };
    hideHeaderMenu: {
        type: BooleanConstructor;
    };
    headerId: {
        type: StringConstructor;
    };
    headerTitle: {
        type: StringConstructor;
    };
    pathPrefix: {
        type: StringConstructor;
    };
}>>, {
    hideHeader: boolean;
    hideSaveBtn: boolean;
    hideLayoutSetting: boolean;
    hideHeaderMenu: boolean;
}>;
export default _default;
