import { IMetaObject, IMetaPackage, IMetaProps } from '@fly-vue/lcdp-api';
import { ITreeNode } from '@fly-vue/ide-base';
import { FileType, TabOpener, IMetaTreeOptions } from '@fly-vue/ide-core';
import { ExtractPropTypes } from 'vue';
declare const _default: import("vue").DefineComponent<{
    appId: null;
    openTab: {
        type: BooleanConstructor;
    };
    selected: null;
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholderId: null;
    packageName: null;
    foldable: {
        type: BooleanConstructor;
    };
    isFold: {
        type: BooleanConstructor;
    };
    showMenus: {
        type: BooleanConstructor;
    };
    options: null;
}, {
    __sfc: boolean;
    props: {
        appId?: string | undefined;
        openTab?: boolean | undefined;
        selected?: string | undefined;
        immediate: boolean;
        placeholderId?: string | undefined;
        packageName?: string | undefined;
        foldable?: boolean | undefined;
        isFold?: boolean | undefined;
        showMenus?: boolean | undefined;
        options?: IMetaTreeOptions | undefined;
    };
    emit: (event: "on-select" | "on-loaded" | "update:isFold", ...args: any[]) => void;
    appId: string | undefined;
    meta: IMetaProps;
    refMetaTree: import("vue").Ref<any>;
    refDropdown: import("vue").Ref<any>;
    isFold: import("vue").Ref<boolean | undefined>;
    isShowPageTitleDropDown: import("vue").Ref<boolean>;
    selectedPackage: import("vue").Ref<ITreeNode | undefined>;
    selected: import("vue").Ref<string | undefined>;
    keyword: import("vue").Ref<string>;
    microApps: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IMicroApp[]>;
    isEnableEntity: import("vue").ComputedRef<boolean>;
    layoutList: import("vue").Ref<{
        [x: string]: any;
        name: string;
        desc?: string | undefined;
        icon?: string | undefined;
        iconColor?: string | undefined;
        code: string;
        data?: any;
        level?: number | undefined;
        children?: any[] | undefined;
    }[]>;
    layoutListOptions: import("@fly-vue/ide-base").ITreeOptions;
    onSelectLayout: ({ code, name, icon }: any) => void;
    selectedPageTitle: import("vue").Ref<string>;
    focusSearch: import("vue").Ref<boolean>;
    fileType: FileType;
    tabOpener: TabOpener;
    treeOptions: IMetaTreeOptions;
    reloadPackageList: (selectId?: string | undefined) => Promise<void>;
    doImport: (data?: any) => (file: any) => Promise<void>;
    doExport: () => Promise<void>;
    showAddPackage: () => void;
    toggleExpandAll: () => void;
    onSelect: (node: ITreeNode) => void;
    onSelectMenu: (node: ITreeNode) => void;
    showAddObject: () => void;
    showCreatePage: (p: IMetaPackage) => void;
    showAddRefPage: (foler?: IMetaPackage | undefined) => void;
    showCreateEntityPage: () => void;
    onLoaded: (list: any[]) => void;
    toggleFold: () => void;
    handleData: (tree: ITreeNode[]) => void;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
        fit: boolean;
        gutter: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        selected: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        middle: boolean;
        selectable: boolean;
        overflowHidden: boolean;
    }>;
    Icon: import("vue").DefineComponent<{
        icon: null;
        size: null;
        color: null;
    }, {
        __sfc: boolean;
        props: {
            icon: string;
            size?: string | undefined;
            color?: string | undefined;
        };
        isIdeIcon: import("vue").ComputedRef<boolean>;
        isProIcon: import("vue").ComputedRef<boolean>;
        isIdesIcon: import("vue").ComputedRef<boolean>;
        isLcIcon: import("vue").ComputedRef<boolean>;
        colorMap: Record<string, string>;
        color: import("vue").ComputedRef<string>;
        IdeIcon: import("vue").DefineComponent<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            color: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            color: {
                type: StringConstructor;
            };
        }>>, {
            size: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
        icon: null;
        size: null;
        color: null;
    }>>, {}>;
    LcLine: import("vue").DefineComponent<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }>>, {
        position: string;
    }>;
    Link: import("vue").DefineComponent<{
        icon: null;
        size: {
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
        };
        loading: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        emit: (event: "click", ...args: any[]) => void;
        onClick: (e: any) => void;
        Icon: import("vue").DefineComponent<{
            icon: null;
            size: null;
            color: null;
        }, {
            __sfc: boolean;
            props: {
                icon: string;
                size?: string | undefined;
                color?: string | undefined;
            };
            isIdeIcon: import("vue").ComputedRef<boolean>;
            isProIcon: import("vue").ComputedRef<boolean>;
            isIdesIcon: import("vue").ComputedRef<boolean>;
            isLcIcon: import("vue").ComputedRef<boolean>;
            colorMap: Record<string, string>;
            color: import("vue").ComputedRef<string>;
            IdeIcon: import("vue").DefineComponent<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }>>, {
                size: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            icon: null;
            size: null;
            color: null;
        }>>, {}>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<ExtractPropTypes<{
        icon: null;
        size: {
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
        };
        loading: {
            type: BooleanConstructor;
        };
    }>>, {
        size: string;
        loading: boolean;
        disabled: boolean;
    }>;
    SimpleDropdown: import("vue").DefineComponent<{
        value: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            value: boolean;
        }>>>;
        emit: (event: "input", ...args: any[]) => void;
        vm: {
            proxy: import("vue").default<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => import("vue").default<Record<string, any>, Record<string, any>, never, never, any>>;
        } | null;
        refThis: import("vue").Ref<any>;
        showDropdown: import("vue").Ref<boolean> | import("vue").WritableComputedRef<boolean>;
        showed: import("vue").Ref<boolean>;
        top: import("vue").ComputedRef<string>;
        init: () => void;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<ExtractPropTypes<{
        value: {
            type: BooleanConstructor;
        };
    }>>, {
        value: boolean;
    }>;
    Tree: any;
    MetaTree: import("vue").DefineComponent<{
        showOperations: {
            type: BooleanConstructor;
            default: boolean;
        };
        treeOptions: null;
        keyword: null;
        openTab: {
            type: BooleanConstructor;
        };
        meta: null;
        fileType: null;
        tabOpener: null;
        enableSubPackage: {
            type: BooleanConstructor;
            default: boolean;
        };
        objectAddForm: {
            default(): import("vue").DefineComponent<{
                package1: null;
                object: null;
                meta: null;
                showParentInfo: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                template: null;
            }, {
                __sfc: boolean;
                props: {
                    package1?: IMetaPackage | undefined;
                    object?: IMetaObject<any> | undefined;
                    meta: IMetaProps;
                    showParentInfo: boolean;
                    template?: Record<string, any> | undefined;
                };
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                package1: import("vue").Ref<IMetaPackage | undefined> | undefined;
                refInput: import("vue").Ref<any>;
                meta: IMetaProps;
                appId: string | undefined;
                data: any;
                isDataValid: import("vue").ComputedRef<any>;
                fileName: (rule: any, value: string, cb: any) => any;
                required: (rule: any, value: string, cb: any) => any;
                onValidate: (props: any, status: any, error: any) => void;
                reload: () => Promise<void>;
                save: () => Promise<void>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                LcForm: import("vue").DefineComponent<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }, {
                    __sfc: boolean;
                    refForm1: import("vue").Ref<any>;
                    Form: typeof import("view-design").Form;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }>>, {
                    labelPosition: string;
                }>;
                LcFormItem: import("vue").DefineComponent<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }>>, {
                    titleAlign: string;
                    hideTitle: boolean;
                    titleWidth: number;
                }>;
                FormBtns: import("vue").DefineComponent<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    onCancel: () => void;
                    onOk: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    loading: boolean;
                    disabled: boolean;
                    okText: string;
                    showCancel: boolean;
                    cancelPosition: string;
                }>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                package1: null;
                object: null;
                meta: null;
                showParentInfo: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                template: null;
            }>>, {
                showParentInfo: boolean;
            }>;
        };
        objectUpdateForm: {
            default(): import("vue").DefineComponent<{
                object: {
                    type: ObjectConstructor;
                    required: true;
                };
                meta: {
                    type: ObjectConstructor;
                    required: true;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    object: Record<string, any>;
                    meta: Record<string, any>;
                }>>>;
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                object: import("vue").Ref<Record<string, any>>;
                meta: import("vue").Ref<Record<string, any>>;
                refInput: import("vue").Ref<any>;
                appId: string | undefined;
                data: any;
                isDataValid: import("vue").ComputedRef<any>;
                fileName: (rule: any, value: string, cb: any) => any;
                required: (rule: any, value: string, cb: any) => any;
                onValidate: (props: any, status: any, error: any) => void;
                reload: () => Promise<void>;
                save: () => Promise<void>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcForm: import("vue").DefineComponent<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }, {
                    __sfc: boolean;
                    refForm1: import("vue").Ref<any>;
                    Form: typeof import("view-design").Form;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }>>, {
                    labelPosition: string;
                }>;
                LcFormItem: import("vue").DefineComponent<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }>>, {
                    titleAlign: string;
                    hideTitle: boolean;
                    titleWidth: number;
                }>;
                FormBtns: import("vue").DefineComponent<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    onCancel: () => void;
                    onOk: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    loading: boolean;
                    disabled: boolean;
                    okText: string;
                    showCancel: boolean;
                    cancelPosition: string;
                }>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                object: {
                    type: ObjectConstructor;
                    required: true;
                };
                meta: {
                    type: ObjectConstructor;
                    required: true;
                };
            }>>, {}>;
        };
        objectCopyForm: {
            default(): import("vue").DefineComponent<{
                package1: null;
                object: null;
                meta: null;
                showParentInfo: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                template: null;
            }, {
                __sfc: boolean;
                props: {
                    package1?: IMetaPackage | undefined;
                    object?: IMetaObject<any> | undefined;
                    meta: IMetaProps;
                    showParentInfo: boolean;
                    template?: Record<string, any> | undefined;
                };
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                package1: import("vue").Ref<IMetaPackage | undefined> | undefined;
                refInput: import("vue").Ref<any>;
                meta: IMetaProps;
                appId: string | undefined;
                data: any;
                isDataValid: import("vue").ComputedRef<any>;
                fileName: (rule: any, value: string, cb: any) => any;
                required: (rule: any, value: string, cb: any) => any;
                onValidate: (props: any, status: any, error: any) => void;
                reload: () => Promise<void>;
                save: () => Promise<void>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                LcForm: import("vue").DefineComponent<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }, {
                    __sfc: boolean;
                    refForm1: import("vue").Ref<any>;
                    Form: typeof import("view-design").Form;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }>>, {
                    labelPosition: string;
                }>;
                LcFormItem: import("vue").DefineComponent<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }>>, {
                    titleAlign: string;
                    hideTitle: boolean;
                    titleWidth: number;
                }>;
                FormBtns: import("vue").DefineComponent<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    onCancel: () => void;
                    onOk: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    loading: boolean;
                    disabled: boolean;
                    okText: string;
                    showCancel: boolean;
                    cancelPosition: string;
                }>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                package1: null;
                object: null;
                meta: null;
                showParentInfo: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                template: null;
            }>>, {
                showParentInfo: boolean;
            }>;
        };
        packageAddForm: {
            default(): import("vue").DefineComponent<{
                parentId: null;
                meta: null;
            }, {
                __sfc: boolean;
                props: {
                    parentId?: string | undefined;
                    meta: IMetaProps;
                };
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                parentId: import("vue").Ref<string | undefined> | undefined;
                meta: IMetaProps;
                refInput: import("vue").Ref<any>;
                data: any;
                isDataValid: import("vue").ComputedRef<any>;
                fileName: (rule: any, value: string, cb: any) => any;
                required: (rule: any, value: string, cb: any) => any;
                onValidate: (props: any, status: any, error: any) => void;
                appId: string | undefined;
                reload: () => Promise<void>;
                save: () => Promise<void>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcForm: import("vue").DefineComponent<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }, {
                    __sfc: boolean;
                    refForm1: import("vue").Ref<any>;
                    Form: typeof import("view-design").Form;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }>>, {
                    labelPosition: string;
                }>;
                LcFormItem: import("vue").DefineComponent<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }>>, {
                    titleAlign: string;
                    hideTitle: boolean;
                    titleWidth: number;
                }>;
                FormBtns: import("vue").DefineComponent<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    onCancel: () => void;
                    onOk: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    loading: boolean;
                    disabled: boolean;
                    okText: string;
                    showCancel: boolean;
                    cancelPosition: string;
                }>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                parentId: null;
                meta: null;
            }>>, {}>;
        };
        packageUpdateForm: {
            default(): import("vue").DefineComponent<{
                package1: {
                    type: ObjectConstructor;
                };
                meta: {
                    type: ObjectConstructor;
                    required: true;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    meta: Record<string, any>;
                } & {
                    package1?: Record<string, any> | undefined;
                }>>>;
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                package1: import("vue").Ref<Record<string, any> | undefined>;
                meta: import("vue").Ref<Record<string, any>>;
                refInput: import("vue").Ref<any>;
                appId: string | undefined;
                data: any;
                isDataValid: import("vue").ComputedRef<any>;
                fileName: (rule: any, value: string, cb: any) => any;
                required: (rule: any, value: string, cb: any) => any;
                onValidate: (props: any, status: any, error: any) => void;
                oldTitle: string;
                oldName: string;
                reload: () => Promise<void>;
                save: () => Promise<void>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcForm: import("vue").DefineComponent<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }, {
                    __sfc: boolean;
                    refForm1: import("vue").Ref<any>;
                    Form: typeof import("view-design").Form;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }>>, {
                    labelPosition: string;
                }>;
                LcFormItem: import("vue").DefineComponent<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }>>, {
                    titleAlign: string;
                    hideTitle: boolean;
                    titleWidth: number;
                }>;
                FormBtns: import("vue").DefineComponent<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    onCancel: () => void;
                    onOk: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    loading: boolean;
                    disabled: boolean;
                    okText: string;
                    showCancel: boolean;
                    cancelPosition: string;
                }>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                package1: {
                    type: ObjectConstructor;
                };
                meta: {
                    type: ObjectConstructor;
                    required: true;
                };
            }>>, {}>;
        };
        handleData: null;
        queryParams: null;
        maxPackageLevel: null;
        appId: null;
        selected: {
            default: string;
        };
        immediate: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholderId: null;
        withData: {
            type: BooleanConstructor;
        };
        showCreateForm: null;
        beforeRemoveObject: null;
    }, {
        __sfc: boolean;
        props: {
            showOperations: boolean;
            treeOptions?: IMetaTreeOptions | undefined;
            keyword?: string | undefined;
            openTab?: boolean | undefined;
            meta: IMetaProps;
            fileType?: any;
            tabOpener?: any;
            enableSubPackage: boolean;
            objectAddForm: string | object;
            objectUpdateForm: string | object;
            objectCopyForm: string | object;
            packageAddForm: string | object;
            packageUpdateForm: string | object;
            handleData?: ((tree: ITreeNode[]) => void) | undefined;
            queryParams?: Record<string, any> | undefined;
            maxPackageLevel?: number | undefined;
            appId?: string | undefined;
            selected: string;
            immediate: boolean;
            placeholderId?: string | undefined;
            withData?: boolean | undefined;
            showCreateForm?: ((p: IMetaPackage) => void) | undefined;
            beforeRemoveObject?: ((obj: IMetaObject<any>) => Promise<boolean>) | undefined;
        };
        emit: (event: "on-select" | "on-loaded" | "update:selected", ...args: any[]) => void;
        keyword: import("vue").Ref<string | undefined>;
        treeOptions: import("vue").ComputedRef<import("@fly-vue/ide-base").ITreeOptions>;
        refTree: import("vue").Ref<any>;
        appId: string | undefined;
        config: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
        reload: (doSelect?: string | boolean | undefined) => Promise<{
            [x: string]: any;
            name: string;
            desc?: string | undefined;
            icon?: string | undefined;
            iconColor?: string | undefined;
            code: string;
            data?: any;
            level?: number | undefined;
            children?: any[] | undefined;
        }[]>;
        select: (id?: string | undefined) => void;
        list: import("vue").ComputedRef<ITreeNode[]>;
        getSelectedNode: () => undefined;
        selected: import("vue").Ref<string | undefined>;
        addPackage: {
            refForm: import("vue").Ref<any>;
            isShow: import("vue").Ref<boolean>;
            parentId: import("vue").Ref<any>;
            show: (parentPackage?: IMetaPackage | undefined) => Promise<void>;
            onSaved: (package1: IMetaPackage) => Promise<void>;
            onCancel: () => void;
        };
        removePackage: {
            confirm: (p: IMetaPackage) => Promise<void>;
        };
        removeObject: {
            confirm: (object: IMetaObject<any>) => Promise<void>;
        };
        copyObject: {
            isShow: import("vue").Ref<boolean>;
            package1: import("vue").Ref<any>;
            obj: import("vue").Ref<IMetaObject<any> | undefined>;
            copyId: (o: IMetaObject<any>) => void;
            show: (o: IMetaObject<any> & {
                source?: string | undefined;
            }, parent?: IMetaPackage | undefined) => Promise<void>;
            onSaved: (object?: IMetaObject<any> | undefined) => Promise<void>;
            onCancel: () => void;
            refForm: import("vue").Ref<any>;
        };
        inout: {
            doImport: (data?: any) => (file: any) => Promise<void>;
            doExport: (data?: any) => Promise<void>;
            doExportFile: (data: any) => Promise<void>;
        };
        onShowCreateForm: (p: IMetaPackage) => void;
        updatePackageTarget: import("vue").Ref<any>;
        updatePackage: {
            isShow: import("vue").Ref<boolean>;
            show: (v?: any) => Promise<void>;
            onShowed: (v?: any) => Promise<void>;
            onCancel: () => void;
        };
        updateObjectTarget: import("vue").Ref<any>;
        updateObject: {
            isShow: import("vue").Ref<boolean>;
            show: (v?: any) => Promise<void>;
            onShowed: (v?: any) => Promise<void>;
            onCancel: () => void;
        };
        dropdownTree: import("vue").ComputedRef<Partial<ITreeNode>>;
        onSelect: (node: ITreeNode) => Promise<void>;
        openInLocal: (id: string) => void;
        moveTo: (source: ITreeNode, target?: ITreeNode | undefined) => Promise<void>;
        onOperationsVisibleChange: (node: ITreeNode, v: boolean) => Promise<void>;
        Groups: typeof import("@fly-vue/lcdp-api").Groups;
        ServerMode: typeof import("@fly-vue/lcdp-api").ServerMode;
        MetaDropdown: import("vue").DefineComponent<{
            group: {
                type: StringConstructor;
                required: true;
            };
            hideLeaf: {
                type: BooleanConstructor;
            };
            hideIds: {
                type: StringConstructor;
            };
            data: {
                type: ObjectConstructor;
            };
            trigger: {
                type: StringConstructor;
            };
            width: {
                type: StringConstructor;
                default: string;
            };
            placement: {
                type: StringConstructor;
                default: string;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                width: string;
                group: string;
                hideLeaf: boolean;
                placement: string;
            } & {
                data?: Record<string, any> | undefined;
                hideIds?: string | undefined;
                trigger?: string | undefined;
            }>>>;
            emit: (event: "on-select", ...args: any[]) => void;
            list: import("vue").Ref<ITreeNode[] | undefined>;
            finalList: import("vue").ComputedRef<any>;
            isShowChildren: import("vue").ComputedRef<boolean>;
            isShowArrow: (item: any) => boolean;
            isShow: (node: ITreeNode) => boolean;
            doSelect: (data: any) => void;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            Space: import("vue").DefineComponent<{}, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-select"[], string, Readonly<ExtractPropTypes<{
            group: {
                type: StringConstructor;
                required: true;
            };
            hideLeaf: {
                type: BooleanConstructor;
            };
            hideIds: {
                type: StringConstructor;
            };
            data: {
                type: ObjectConstructor;
            };
            trigger: {
                type: StringConstructor;
            };
            width: {
                type: StringConstructor;
                default: string;
            };
            placement: {
                type: StringConstructor;
                default: string;
            };
        }>>, {
            width: string;
            hideLeaf: boolean;
            placement: string;
        }>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
        Icon: import("vue").DefineComponent<{
            icon: null;
            size: null;
            color: null;
        }, {
            __sfc: boolean;
            props: {
                icon: string;
                size?: string | undefined;
                color?: string | undefined;
            };
            isIdeIcon: import("vue").ComputedRef<boolean>;
            isProIcon: import("vue").ComputedRef<boolean>;
            isIdesIcon: import("vue").ComputedRef<boolean>;
            isLcIcon: import("vue").ComputedRef<boolean>;
            colorMap: Record<string, string>;
            color: import("vue").ComputedRef<string>;
            IdeIcon: import("vue").DefineComponent<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }>>, {
                size: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            icon: null;
            size: null;
            color: null;
        }>>, {}>;
        LcModal: import("vue").DefineComponent<{
            value: {
                type: BooleanConstructor;
            };
            title: {
                type: StringConstructor;
            };
            width: {
                type: (NumberConstructor | StringConstructor)[];
            };
            height: {
                type: StringConstructor;
            };
            enableFullscreen: {
                type: BooleanConstructor;
            };
            fullscreen: {
                type: BooleanConstructor;
            };
            showHeaderLine: {
                type: BooleanConstructor;
            };
            showCloseFooter: {
                type: BooleanConstructor;
            };
            showFooter: {
                type: BooleanConstructor;
            };
            zIndex: {
                type: NumberConstructor;
            };
            closable: {
                type: BooleanConstructor;
                default: boolean;
            };
            maskClosable: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                value: boolean;
                fullscreen: boolean;
                enableFullscreen: boolean;
                showHeaderLine: boolean;
                showCloseFooter: boolean;
                showFooter: boolean;
                closable: boolean;
                maskClosable: boolean;
            } & {
                height?: string | undefined;
                width?: string | number | undefined;
                title?: string | undefined;
                zIndex?: number | undefined;
            }>>>;
            emit: (event: "input" | "on-ok" | "on-cancel" | "update:fullscreen", ...args: any[]) => void;
            value: import("vue").Ref<boolean>;
            isShow: import("vue").Ref<boolean>;
            fullscreen: import("vue").Ref<boolean> | import("vue").WritableComputedRef<boolean>;
            toggleFullScreen: () => void;
            onOk: () => void;
            onCancel: () => void;
            Link: import("vue").DefineComponent<{
                icon: null;
                size: {
                    default: string;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                loading: {
                    type: BooleanConstructor;
                };
            }, {
                __sfc: boolean;
                emit: (event: "click", ...args: any[]) => void;
                onClick: (e: any) => void;
                Icon: import("vue").DefineComponent<{
                    icon: null;
                    size: null;
                    color: null;
                }, {
                    __sfc: boolean;
                    props: {
                        icon: string;
                        size?: string | undefined;
                        color?: string | undefined;
                    };
                    isIdeIcon: import("vue").ComputedRef<boolean>;
                    isProIcon: import("vue").ComputedRef<boolean>;
                    isIdesIcon: import("vue").ComputedRef<boolean>;
                    isLcIcon: import("vue").ComputedRef<boolean>;
                    colorMap: Record<string, string>;
                    color: import("vue").ComputedRef<string>;
                    IdeIcon: import("vue").DefineComponent<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }>>, {
                        size: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    icon: null;
                    size: null;
                    color: null;
                }>>, {}>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<ExtractPropTypes<{
                icon: null;
                size: {
                    default: string;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                loading: {
                    type: BooleanConstructor;
                };
            }>>, {
                size: string;
                loading: boolean;
                disabled: boolean;
            }>;
            Space: import("vue").DefineComponent<{}, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            LcLine: import("vue").DefineComponent<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }>>, {
                position: string;
            }>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            FormBtnsClose: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                emit: (event: "on-close", ...args: any[]) => void;
                onClose: () => void;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-close"[], string, Readonly<ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok" | "on-cancel" | "update:fullscreen")[], string, Readonly<ExtractPropTypes<{
            value: {
                type: BooleanConstructor;
            };
            title: {
                type: StringConstructor;
            };
            width: {
                type: (NumberConstructor | StringConstructor)[];
            };
            height: {
                type: StringConstructor;
            };
            enableFullscreen: {
                type: BooleanConstructor;
            };
            fullscreen: {
                type: BooleanConstructor;
            };
            showHeaderLine: {
                type: BooleanConstructor;
            };
            showCloseFooter: {
                type: BooleanConstructor;
            };
            showFooter: {
                type: BooleanConstructor;
            };
            zIndex: {
                type: NumberConstructor;
            };
            closable: {
                type: BooleanConstructor;
                default: boolean;
            };
            maskClosable: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            value: boolean;
            fullscreen: boolean;
            enableFullscreen: boolean;
            showHeaderLine: boolean;
            showCloseFooter: boolean;
            showFooter: boolean;
            closable: boolean;
            maskClosable: boolean;
        }>;
        Tree: any;
        Space: import("vue").DefineComponent<{}, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-loaded" | "update:selected")[], string, Readonly<ExtractPropTypes<{
        showOperations: {
            type: BooleanConstructor;
            default: boolean;
        };
        treeOptions: null;
        keyword: null;
        openTab: {
            type: BooleanConstructor;
        };
        meta: null;
        fileType: null;
        tabOpener: null;
        enableSubPackage: {
            type: BooleanConstructor;
            default: boolean;
        };
        objectAddForm: {
            default(): import("vue").DefineComponent<{
                package1: null;
                object: null;
                meta: null;
                showParentInfo: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                template: null;
            }, {
                __sfc: boolean;
                props: {
                    package1?: IMetaPackage | undefined;
                    object?: IMetaObject<any> | undefined;
                    meta: IMetaProps;
                    showParentInfo: boolean;
                    template?: Record<string, any> | undefined;
                };
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                package1: import("vue").Ref<IMetaPackage | undefined> | undefined;
                refInput: import("vue").Ref<any>;
                meta: IMetaProps;
                appId: string | undefined;
                data: any;
                isDataValid: import("vue").ComputedRef<any>;
                fileName: (rule: any, value: string, cb: any) => any;
                required: (rule: any, value: string, cb: any) => any;
                onValidate: (props: any, status: any, error: any) => void;
                reload: () => Promise<void>;
                save: () => Promise<void>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                LcForm: import("vue").DefineComponent<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }, {
                    __sfc: boolean;
                    refForm1: import("vue").Ref<any>;
                    Form: typeof import("view-design").Form;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }>>, {
                    labelPosition: string;
                }>;
                LcFormItem: import("vue").DefineComponent<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }>>, {
                    titleAlign: string;
                    hideTitle: boolean;
                    titleWidth: number;
                }>;
                FormBtns: import("vue").DefineComponent<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    onCancel: () => void;
                    onOk: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    loading: boolean;
                    disabled: boolean;
                    okText: string;
                    showCancel: boolean;
                    cancelPosition: string;
                }>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                package1: null;
                object: null;
                meta: null;
                showParentInfo: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                template: null;
            }>>, {
                showParentInfo: boolean;
            }>;
        };
        objectUpdateForm: {
            default(): import("vue").DefineComponent<{
                object: {
                    type: ObjectConstructor;
                    required: true;
                };
                meta: {
                    type: ObjectConstructor;
                    required: true;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    object: Record<string, any>;
                    meta: Record<string, any>;
                }>>>;
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                object: import("vue").Ref<Record<string, any>>;
                meta: import("vue").Ref<Record<string, any>>;
                refInput: import("vue").Ref<any>;
                appId: string | undefined;
                data: any;
                isDataValid: import("vue").ComputedRef<any>;
                fileName: (rule: any, value: string, cb: any) => any;
                required: (rule: any, value: string, cb: any) => any;
                onValidate: (props: any, status: any, error: any) => void;
                reload: () => Promise<void>;
                save: () => Promise<void>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcForm: import("vue").DefineComponent<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }, {
                    __sfc: boolean;
                    refForm1: import("vue").Ref<any>;
                    Form: typeof import("view-design").Form;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }>>, {
                    labelPosition: string;
                }>;
                LcFormItem: import("vue").DefineComponent<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }>>, {
                    titleAlign: string;
                    hideTitle: boolean;
                    titleWidth: number;
                }>;
                FormBtns: import("vue").DefineComponent<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    onCancel: () => void;
                    onOk: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    loading: boolean;
                    disabled: boolean;
                    okText: string;
                    showCancel: boolean;
                    cancelPosition: string;
                }>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                object: {
                    type: ObjectConstructor;
                    required: true;
                };
                meta: {
                    type: ObjectConstructor;
                    required: true;
                };
            }>>, {}>;
        };
        objectCopyForm: {
            default(): import("vue").DefineComponent<{
                package1: null;
                object: null;
                meta: null;
                showParentInfo: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                template: null;
            }, {
                __sfc: boolean;
                props: {
                    package1?: IMetaPackage | undefined;
                    object?: IMetaObject<any> | undefined;
                    meta: IMetaProps;
                    showParentInfo: boolean;
                    template?: Record<string, any> | undefined;
                };
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                package1: import("vue").Ref<IMetaPackage | undefined> | undefined;
                refInput: import("vue").Ref<any>;
                meta: IMetaProps;
                appId: string | undefined;
                data: any;
                isDataValid: import("vue").ComputedRef<any>;
                fileName: (rule: any, value: string, cb: any) => any;
                required: (rule: any, value: string, cb: any) => any;
                onValidate: (props: any, status: any, error: any) => void;
                reload: () => Promise<void>;
                save: () => Promise<void>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                LcForm: import("vue").DefineComponent<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }, {
                    __sfc: boolean;
                    refForm1: import("vue").Ref<any>;
                    Form: typeof import("view-design").Form;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }>>, {
                    labelPosition: string;
                }>;
                LcFormItem: import("vue").DefineComponent<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }>>, {
                    titleAlign: string;
                    hideTitle: boolean;
                    titleWidth: number;
                }>;
                FormBtns: import("vue").DefineComponent<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    onCancel: () => void;
                    onOk: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    loading: boolean;
                    disabled: boolean;
                    okText: string;
                    showCancel: boolean;
                    cancelPosition: string;
                }>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                package1: null;
                object: null;
                meta: null;
                showParentInfo: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                template: null;
            }>>, {
                showParentInfo: boolean;
            }>;
        };
        packageAddForm: {
            default(): import("vue").DefineComponent<{
                parentId: null;
                meta: null;
            }, {
                __sfc: boolean;
                props: {
                    parentId?: string | undefined;
                    meta: IMetaProps;
                };
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                parentId: import("vue").Ref<string | undefined> | undefined;
                meta: IMetaProps;
                refInput: import("vue").Ref<any>;
                data: any;
                isDataValid: import("vue").ComputedRef<any>;
                fileName: (rule: any, value: string, cb: any) => any;
                required: (rule: any, value: string, cb: any) => any;
                onValidate: (props: any, status: any, error: any) => void;
                appId: string | undefined;
                reload: () => Promise<void>;
                save: () => Promise<void>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcForm: import("vue").DefineComponent<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }, {
                    __sfc: boolean;
                    refForm1: import("vue").Ref<any>;
                    Form: typeof import("view-design").Form;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }>>, {
                    labelPosition: string;
                }>;
                LcFormItem: import("vue").DefineComponent<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }>>, {
                    titleAlign: string;
                    hideTitle: boolean;
                    titleWidth: number;
                }>;
                FormBtns: import("vue").DefineComponent<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    onCancel: () => void;
                    onOk: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    loading: boolean;
                    disabled: boolean;
                    okText: string;
                    showCancel: boolean;
                    cancelPosition: string;
                }>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                parentId: null;
                meta: null;
            }>>, {}>;
        };
        packageUpdateForm: {
            default(): import("vue").DefineComponent<{
                package1: {
                    type: ObjectConstructor;
                };
                meta: {
                    type: ObjectConstructor;
                    required: true;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    meta: Record<string, any>;
                } & {
                    package1?: Record<string, any> | undefined;
                }>>>;
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                package1: import("vue").Ref<Record<string, any> | undefined>;
                meta: import("vue").Ref<Record<string, any>>;
                refInput: import("vue").Ref<any>;
                appId: string | undefined;
                data: any;
                isDataValid: import("vue").ComputedRef<any>;
                fileName: (rule: any, value: string, cb: any) => any;
                required: (rule: any, value: string, cb: any) => any;
                onValidate: (props: any, status: any, error: any) => void;
                oldTitle: string;
                oldName: string;
                reload: () => Promise<void>;
                save: () => Promise<void>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
                LcForm: import("vue").DefineComponent<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }, {
                    __sfc: boolean;
                    refForm1: import("vue").Ref<any>;
                    Form: typeof import("view-design").Form;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    model: {
                        type: ObjectConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    labelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    labelWidth: {
                        type: NumberConstructor;
                    };
                }>>, {
                    labelPosition: string;
                }>;
                LcFormItem: import("vue").DefineComponent<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    LcText: import("vue").DefineComponent<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                            bold: boolean;
                            small: boolean;
                            selected: boolean;
                            noWrap: boolean;
                            grey: boolean;
                            copyable: boolean;
                            middle: boolean;
                            selectable: boolean;
                            overflowHidden: boolean;
                        } & {
                            size?: string | undefined;
                        }>>>;
                        slots: import("vue/types/v3-setup-context").Slots;
                        clazz: import("vue").ComputedRef<Record<string, any>>;
                        finalSize: import("vue").ComputedRef<string | null>;
                        style: import("vue").ComputedRef<any>;
                        doCopy: () => void;
                        Tips: import("vue").DefineComponent<{}, {
                            __sfc: boolean;
                            slots: import("vue/types/v3-setup-context").Slots;
                            tip: import("vue").ComputedRef<string | undefined>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        size: {
                            type: StringConstructor;
                        };
                        noWrap: {
                            type: BooleanConstructor;
                        };
                        bold: {
                            type: BooleanConstructor;
                        };
                        grey: {
                            type: BooleanConstructor;
                        };
                        copyable: {
                            type: BooleanConstructor;
                        };
                        small: {
                            type: BooleanConstructor;
                        };
                        middle: {
                            type: BooleanConstructor;
                        };
                        selectable: {
                            type: BooleanConstructor;
                        };
                        selected: {
                            type: BooleanConstructor;
                        };
                        overflowHidden: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    }>;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    title: {
                        type: StringConstructor;
                    };
                    titleWidth: {
                        type: NumberConstructor;
                        default: number;
                    };
                    titleAlign: {
                        type: StringConstructor;
                        enums: string[];
                        default: string;
                    };
                    hideTitle: {
                        type: BooleanConstructor;
                    };
                    rules: {
                        type: ArrayConstructor;
                    };
                    prop: {
                        type: StringConstructor;
                    };
                    label: {
                        type: StringConstructor;
                    };
                }>>, {
                    titleAlign: string;
                    hideTitle: boolean;
                    titleWidth: number;
                }>;
                FormBtns: import("vue").DefineComponent<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                    onCancel: () => void;
                    onOk: () => void;
                    Row: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-wrap': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                    }>;
                    Space: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                    disabled: {
                        type: BooleanConstructor;
                    };
                    okText: {
                        type: StringConstructor;
                        default: string;
                    };
                    showCancel: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    cancelPosition: {
                        type: StringConstructor;
                        default: string;
                    };
                    loading: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    loading: boolean;
                    disabled: boolean;
                    okText: string;
                    showCancel: boolean;
                    cancelPosition: string;
                }>;
                LcLine: import("vue").DefineComponent<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    type: null;
                    position: {
                        default: string;
                    };
                    size: null;
                }>>, {
                    position: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                package1: {
                    type: ObjectConstructor;
                };
                meta: {
                    type: ObjectConstructor;
                    required: true;
                };
            }>>, {}>;
        };
        handleData: null;
        queryParams: null;
        maxPackageLevel: null;
        appId: null;
        selected: {
            default: string;
        };
        immediate: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholderId: null;
        withData: {
            type: BooleanConstructor;
        };
        showCreateForm: null;
        beforeRemoveObject: null;
    }>>, {
        openTab: boolean;
        selected: string;
        showOperations: boolean;
        enableSubPackage: boolean;
        objectAddForm: import("vue").DefineComponent<{
            package1: null;
            object: null;
            meta: null;
            showParentInfo: {
                type: BooleanConstructor;
                default: boolean;
            };
            template: null;
        }, {
            __sfc: boolean;
            props: {
                package1?: IMetaPackage | undefined;
                object?: IMetaObject<any> | undefined;
                meta: IMetaProps;
                showParentInfo: boolean;
                template?: Record<string, any> | undefined;
            };
            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
            package1: import("vue").Ref<IMetaPackage | undefined> | undefined;
            refInput: import("vue").Ref<any>;
            meta: IMetaProps;
            appId: string | undefined;
            data: any;
            isDataValid: import("vue").ComputedRef<any>;
            fileName: (rule: any, value: string, cb: any) => any;
            required: (rule: any, value: string, cb: any) => any;
            onValidate: (props: any, status: any, error: any) => void;
            reload: () => Promise<void>;
            save: () => Promise<void>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            LcForm: import("vue").DefineComponent<{
                model: {
                    type: ObjectConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                labelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                labelWidth: {
                    type: NumberConstructor;
                };
            }, {
                __sfc: boolean;
                refForm1: import("vue").Ref<any>;
                Form: typeof import("view-design").Form;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                model: {
                    type: ObjectConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                labelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                labelWidth: {
                    type: NumberConstructor;
                };
            }>>, {
                labelPosition: string;
            }>;
            LcFormItem: import("vue").DefineComponent<{
                title: {
                    type: StringConstructor;
                };
                titleWidth: {
                    type: NumberConstructor;
                    default: number;
                };
                titleAlign: {
                    type: StringConstructor;
                    enums: string[];
                    default: string;
                };
                hideTitle: {
                    type: BooleanConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                prop: {
                    type: StringConstructor;
                };
                label: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                title: {
                    type: StringConstructor;
                };
                titleWidth: {
                    type: NumberConstructor;
                    default: number;
                };
                titleAlign: {
                    type: StringConstructor;
                    enums: string[];
                    default: string;
                };
                hideTitle: {
                    type: BooleanConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                prop: {
                    type: StringConstructor;
                };
                label: {
                    type: StringConstructor;
                };
            }>>, {
                titleAlign: string;
                hideTitle: boolean;
                titleWidth: number;
            }>;
            FormBtns: import("vue").DefineComponent<{
                disabled: {
                    type: BooleanConstructor;
                };
                okText: {
                    type: StringConstructor;
                    default: string;
                };
                showCancel: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                cancelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                loading: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                onCancel: () => void;
                onOk: () => void;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                disabled: {
                    type: BooleanConstructor;
                };
                okText: {
                    type: StringConstructor;
                    default: string;
                };
                showCancel: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                cancelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                loading: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                padding: boolean;
                loading: boolean;
                disabled: boolean;
                okText: string;
                showCancel: boolean;
                cancelPosition: string;
            }>;
            LcLine: import("vue").DefineComponent<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }>>, {
                position: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
            package1: null;
            object: null;
            meta: null;
            showParentInfo: {
                type: BooleanConstructor;
                default: boolean;
            };
            template: null;
        }>>, {
            showParentInfo: boolean;
        }>;
        objectUpdateForm: import("vue").DefineComponent<{
            object: {
                type: ObjectConstructor;
                required: true;
            };
            meta: {
                type: ObjectConstructor;
                required: true;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                object: Record<string, any>;
                meta: Record<string, any>;
            }>>>;
            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
            object: import("vue").Ref<Record<string, any>>;
            meta: import("vue").Ref<Record<string, any>>;
            refInput: import("vue").Ref<any>;
            appId: string | undefined;
            data: any;
            isDataValid: import("vue").ComputedRef<any>;
            fileName: (rule: any, value: string, cb: any) => any;
            required: (rule: any, value: string, cb: any) => any;
            onValidate: (props: any, status: any, error: any) => void;
            reload: () => Promise<void>;
            save: () => Promise<void>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            LcForm: import("vue").DefineComponent<{
                model: {
                    type: ObjectConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                labelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                labelWidth: {
                    type: NumberConstructor;
                };
            }, {
                __sfc: boolean;
                refForm1: import("vue").Ref<any>;
                Form: typeof import("view-design").Form;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                model: {
                    type: ObjectConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                labelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                labelWidth: {
                    type: NumberConstructor;
                };
            }>>, {
                labelPosition: string;
            }>;
            LcFormItem: import("vue").DefineComponent<{
                title: {
                    type: StringConstructor;
                };
                titleWidth: {
                    type: NumberConstructor;
                    default: number;
                };
                titleAlign: {
                    type: StringConstructor;
                    enums: string[];
                    default: string;
                };
                hideTitle: {
                    type: BooleanConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                prop: {
                    type: StringConstructor;
                };
                label: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                title: {
                    type: StringConstructor;
                };
                titleWidth: {
                    type: NumberConstructor;
                    default: number;
                };
                titleAlign: {
                    type: StringConstructor;
                    enums: string[];
                    default: string;
                };
                hideTitle: {
                    type: BooleanConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                prop: {
                    type: StringConstructor;
                };
                label: {
                    type: StringConstructor;
                };
            }>>, {
                titleAlign: string;
                hideTitle: boolean;
                titleWidth: number;
            }>;
            FormBtns: import("vue").DefineComponent<{
                disabled: {
                    type: BooleanConstructor;
                };
                okText: {
                    type: StringConstructor;
                    default: string;
                };
                showCancel: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                cancelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                loading: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                onCancel: () => void;
                onOk: () => void;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                disabled: {
                    type: BooleanConstructor;
                };
                okText: {
                    type: StringConstructor;
                    default: string;
                };
                showCancel: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                cancelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                loading: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                padding: boolean;
                loading: boolean;
                disabled: boolean;
                okText: string;
                showCancel: boolean;
                cancelPosition: string;
            }>;
            LcLine: import("vue").DefineComponent<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }>>, {
                position: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
            object: {
                type: ObjectConstructor;
                required: true;
            };
            meta: {
                type: ObjectConstructor;
                required: true;
            };
        }>>, {}>;
        objectCopyForm: import("vue").DefineComponent<{
            package1: null;
            object: null;
            meta: null;
            showParentInfo: {
                type: BooleanConstructor;
                default: boolean;
            };
            template: null;
        }, {
            __sfc: boolean;
            props: {
                package1?: IMetaPackage | undefined;
                object?: IMetaObject<any> | undefined;
                meta: IMetaProps;
                showParentInfo: boolean;
                template?: Record<string, any> | undefined;
            };
            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
            package1: import("vue").Ref<IMetaPackage | undefined> | undefined;
            refInput: import("vue").Ref<any>;
            meta: IMetaProps;
            appId: string | undefined;
            data: any;
            isDataValid: import("vue").ComputedRef<any>;
            fileName: (rule: any, value: string, cb: any) => any;
            required: (rule: any, value: string, cb: any) => any;
            onValidate: (props: any, status: any, error: any) => void;
            reload: () => Promise<void>;
            save: () => Promise<void>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            LcForm: import("vue").DefineComponent<{
                model: {
                    type: ObjectConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                labelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                labelWidth: {
                    type: NumberConstructor;
                };
            }, {
                __sfc: boolean;
                refForm1: import("vue").Ref<any>;
                Form: typeof import("view-design").Form;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                model: {
                    type: ObjectConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                labelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                labelWidth: {
                    type: NumberConstructor;
                };
            }>>, {
                labelPosition: string;
            }>;
            LcFormItem: import("vue").DefineComponent<{
                title: {
                    type: StringConstructor;
                };
                titleWidth: {
                    type: NumberConstructor;
                    default: number;
                };
                titleAlign: {
                    type: StringConstructor;
                    enums: string[];
                    default: string;
                };
                hideTitle: {
                    type: BooleanConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                prop: {
                    type: StringConstructor;
                };
                label: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                title: {
                    type: StringConstructor;
                };
                titleWidth: {
                    type: NumberConstructor;
                    default: number;
                };
                titleAlign: {
                    type: StringConstructor;
                    enums: string[];
                    default: string;
                };
                hideTitle: {
                    type: BooleanConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                prop: {
                    type: StringConstructor;
                };
                label: {
                    type: StringConstructor;
                };
            }>>, {
                titleAlign: string;
                hideTitle: boolean;
                titleWidth: number;
            }>;
            FormBtns: import("vue").DefineComponent<{
                disabled: {
                    type: BooleanConstructor;
                };
                okText: {
                    type: StringConstructor;
                    default: string;
                };
                showCancel: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                cancelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                loading: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                onCancel: () => void;
                onOk: () => void;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                disabled: {
                    type: BooleanConstructor;
                };
                okText: {
                    type: StringConstructor;
                    default: string;
                };
                showCancel: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                cancelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                loading: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                padding: boolean;
                loading: boolean;
                disabled: boolean;
                okText: string;
                showCancel: boolean;
                cancelPosition: string;
            }>;
            LcLine: import("vue").DefineComponent<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }>>, {
                position: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
            package1: null;
            object: null;
            meta: null;
            showParentInfo: {
                type: BooleanConstructor;
                default: boolean;
            };
            template: null;
        }>>, {
            showParentInfo: boolean;
        }>;
        packageAddForm: import("vue").DefineComponent<{
            parentId: null;
            meta: null;
        }, {
            __sfc: boolean;
            props: {
                parentId?: string | undefined;
                meta: IMetaProps;
            };
            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
            parentId: import("vue").Ref<string | undefined> | undefined;
            meta: IMetaProps;
            refInput: import("vue").Ref<any>;
            data: any;
            isDataValid: import("vue").ComputedRef<any>;
            fileName: (rule: any, value: string, cb: any) => any;
            required: (rule: any, value: string, cb: any) => any;
            onValidate: (props: any, status: any, error: any) => void;
            appId: string | undefined;
            reload: () => Promise<void>;
            save: () => Promise<void>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            LcForm: import("vue").DefineComponent<{
                model: {
                    type: ObjectConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                labelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                labelWidth: {
                    type: NumberConstructor;
                };
            }, {
                __sfc: boolean;
                refForm1: import("vue").Ref<any>;
                Form: typeof import("view-design").Form;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                model: {
                    type: ObjectConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                labelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                labelWidth: {
                    type: NumberConstructor;
                };
            }>>, {
                labelPosition: string;
            }>;
            LcFormItem: import("vue").DefineComponent<{
                title: {
                    type: StringConstructor;
                };
                titleWidth: {
                    type: NumberConstructor;
                    default: number;
                };
                titleAlign: {
                    type: StringConstructor;
                    enums: string[];
                    default: string;
                };
                hideTitle: {
                    type: BooleanConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                prop: {
                    type: StringConstructor;
                };
                label: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                title: {
                    type: StringConstructor;
                };
                titleWidth: {
                    type: NumberConstructor;
                    default: number;
                };
                titleAlign: {
                    type: StringConstructor;
                    enums: string[];
                    default: string;
                };
                hideTitle: {
                    type: BooleanConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                prop: {
                    type: StringConstructor;
                };
                label: {
                    type: StringConstructor;
                };
            }>>, {
                titleAlign: string;
                hideTitle: boolean;
                titleWidth: number;
            }>;
            FormBtns: import("vue").DefineComponent<{
                disabled: {
                    type: BooleanConstructor;
                };
                okText: {
                    type: StringConstructor;
                    default: string;
                };
                showCancel: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                cancelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                loading: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                onCancel: () => void;
                onOk: () => void;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                disabled: {
                    type: BooleanConstructor;
                };
                okText: {
                    type: StringConstructor;
                    default: string;
                };
                showCancel: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                cancelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                loading: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                padding: boolean;
                loading: boolean;
                disabled: boolean;
                okText: string;
                showCancel: boolean;
                cancelPosition: string;
            }>;
            LcLine: import("vue").DefineComponent<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }>>, {
                position: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
            parentId: null;
            meta: null;
        }>>, {}>;
        packageUpdateForm: import("vue").DefineComponent<{
            package1: {
                type: ObjectConstructor;
            };
            meta: {
                type: ObjectConstructor;
                required: true;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                meta: Record<string, any>;
            } & {
                package1?: Record<string, any> | undefined;
            }>>>;
            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
            package1: import("vue").Ref<Record<string, any> | undefined>;
            meta: import("vue").Ref<Record<string, any>>;
            refInput: import("vue").Ref<any>;
            appId: string | undefined;
            data: any;
            isDataValid: import("vue").ComputedRef<any>;
            fileName: (rule: any, value: string, cb: any) => any;
            required: (rule: any, value: string, cb: any) => any;
            onValidate: (props: any, status: any, error: any) => void;
            oldTitle: string;
            oldName: string;
            reload: () => Promise<void>;
            save: () => Promise<void>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            LcForm: import("vue").DefineComponent<{
                model: {
                    type: ObjectConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                labelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                labelWidth: {
                    type: NumberConstructor;
                };
            }, {
                __sfc: boolean;
                refForm1: import("vue").Ref<any>;
                Form: typeof import("view-design").Form;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                model: {
                    type: ObjectConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                labelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                labelWidth: {
                    type: NumberConstructor;
                };
            }>>, {
                labelPosition: string;
            }>;
            LcFormItem: import("vue").DefineComponent<{
                title: {
                    type: StringConstructor;
                };
                titleWidth: {
                    type: NumberConstructor;
                    default: number;
                };
                titleAlign: {
                    type: StringConstructor;
                    enums: string[];
                    default: string;
                };
                hideTitle: {
                    type: BooleanConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                prop: {
                    type: StringConstructor;
                };
                label: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                title: {
                    type: StringConstructor;
                };
                titleWidth: {
                    type: NumberConstructor;
                    default: number;
                };
                titleAlign: {
                    type: StringConstructor;
                    enums: string[];
                    default: string;
                };
                hideTitle: {
                    type: BooleanConstructor;
                };
                rules: {
                    type: ArrayConstructor;
                };
                prop: {
                    type: StringConstructor;
                };
                label: {
                    type: StringConstructor;
                };
            }>>, {
                titleAlign: string;
                hideTitle: boolean;
                titleWidth: number;
            }>;
            FormBtns: import("vue").DefineComponent<{
                disabled: {
                    type: BooleanConstructor;
                };
                okText: {
                    type: StringConstructor;
                    default: string;
                };
                showCancel: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                cancelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                loading: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
                onCancel: () => void;
                onOk: () => void;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Space: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
                disabled: {
                    type: BooleanConstructor;
                };
                okText: {
                    type: StringConstructor;
                    default: string;
                };
                showCancel: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                cancelPosition: {
                    type: StringConstructor;
                    default: string;
                };
                loading: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                padding: boolean;
                loading: boolean;
                disabled: boolean;
                okText: string;
                showCancel: boolean;
                cancelPosition: string;
            }>;
            LcLine: import("vue").DefineComponent<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }>>, {
                position: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
            package1: {
                type: ObjectConstructor;
            };
            meta: {
                type: ObjectConstructor;
                required: true;
            };
        }>>, {}>;
        immediate: boolean;
        withData: boolean;
    }>;
    PageAddForm: import("vue").DefineComponent<{
        package1: {
            type: ObjectConstructor;
        };
        meta: {
            type: import("vue").PropType<IMetaProps>;
            required: true;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            meta: IMetaProps;
        } & {
            package1?: Record<string, any> | undefined;
        }>>>;
        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
        listOptions: import("@fly-vue/ide-base").IListOptions;
        package1: import("vue").Ref<Record<string, any> | undefined>;
        startedScroll: import("vue").Ref<boolean>;
        refInput: import("vue").Ref<any>;
        data: any;
        isDataValid: import("vue").ComputedRef<any>;
        fileName: (rule: any, value: string, cb: any) => any;
        required: (rule: any, value: string, cb: any) => any;
        onValidate: (props: any, status: any, error: any) => void;
        appId: string | undefined;
        folders: import("vue").Ref<{
            objects: {
                data?: any;
                id?: string | undefined;
                name: string;
                packageName: string;
                title: string;
            }[];
            packages: any[];
            id?: string | undefined;
            name: string;
            packageName: string;
            title: string;
        }[]>;
        discoverFolders: any;
        supportedPlatforms: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IPlatform[]>;
        supportedPlatformItems: import("vue").ComputedRef<import("@fly-vue/ide-core").IPlatformItem[]>;
        platform: import("vue").Ref<import("@fly-vue/lcdp-api").IPlatform>;
        refScrollArea: import("vue").Ref<any>;
        loaded: import("vue").Ref<boolean>;
        selectedLocalFolderId: import("vue").Ref<string | undefined>;
        selectedFolderId: import("vue").Ref<string | undefined>;
        selectedTemplate: import("vue").Ref<(IMetaObject<any> & {
            versionId?: string | undefined;
            icon?: string | undefined;
        }) | undefined>;
        selectedTemplateJson: Record<string, any>;
        currentTemplateJson: import("vue").Ref<any>;
        vIf: import("vue").Ref<boolean>;
        config: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
        fixFolders: IMetaPackage[];
        reload: () => Promise<void>;
        reloadTemplates: () => Promise<void>;
        reloadDiscover: () => Promise<void>;
        onSelectTemplate: (template?: IMetaObject<any> | undefined) => void;
        save: () => Promise<void>;
        onShowFolderId: import("@vueuse/shared").PromisifyFn<(id: any) => void>;
        scrollTo: () => Promise<void>;
        getFolderTemplates: (folder: IMetaPackage) => IMetaObject<any>[];
        localTemplates: import("vue").ComputedRef<IMetaObject<any>[]>;
        Groups: typeof import("@fly-vue/lcdp-api").Groups;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
        List: import("vue").DefineComponent<{
            data: null;
            keyword: {
                default: string;
            };
            options: {
                default(): {};
            };
            isDraggable: {
                type: BooleanConstructor;
            };
            showDivider: {
                type: BooleanConstructor;
            };
            showNoData: {
                type: BooleanConstructor;
                default: boolean;
            };
            showSelected: {
                type: BooleanConstructor;
                default: boolean;
            };
            selected: null;
            customIsSelected: null;
            size: null;
            wrap: {
                type: BooleanConstructor;
            };
            direction: {
                default: string;
            };
            gap: {
                type: BooleanConstructor;
            };
            bordered: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
            noDataText: {
                default: string;
            };
            associateRoute: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            defaultOptions: import("@fly-vue/ide-base").IListOptions;
            props: {
                data: any[];
                keyword: string;
                options: import("@fly-vue/ide-base").IListOptions;
                isDraggable?: boolean | undefined;
                showDivider?: boolean | undefined;
                showNoData: boolean;
                showSelected: boolean;
                selected?: string | undefined;
                customIsSelected?: ((item: any) => boolean) | undefined;
                size?: string | undefined;
                wrap?: boolean | undefined;
                direction: "row" | "column";
                gap?: boolean | undefined;
                bordered?: boolean | undefined;
                padding: boolean;
                noDataText: string;
                associateRoute?: boolean | undefined;
            };
            emit: (event: "on-select" | "update:selected" | "on-drag" | "mousedown", ...args: any[]) => void;
            data: import("vue").Ref<any[]>;
            keyword: import("vue").Ref<string>;
            route: any;
            opt: import("vue").ComputedRef<{
                icon?: string | undefined;
                iconProp?: string | undefined;
                titleProp?: string | undefined;
                descProp?: string | undefined;
                idProp?: string | undefined;
                itemHeight?: string | undefined;
                itemWidth?: string | undefined;
            }>;
            clazz: import("vue").ComputedRef<{
                'ui-flex-col': boolean;
                'ui-flex-row': boolean;
                'ui-flex-wrap': boolean | undefined;
                'ui-gap-4': boolean | undefined;
            }>;
            onSelect: (data: any) => void;
            selected: import("vue").Ref<string | undefined>;
            select: (id?: string | undefined) => Promise<void>;
            isSelected: (data: any) => any;
            list: import("vue").ComputedRef<any[]>;
            handleRoute: (route: any) => void;
            onChange: (v: any) => Promise<void>;
            draggable: import("vue").VueConstructor<{
                options: any;
                list: any[];
                value: any[];
                noTransitionOnDrag?: boolean | undefined;
                clone: any;
                tag?: string | null | undefined;
                move: any;
                componentData: any;
            } & import("vue").default<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => import("vue").default<Record<string, any>, Record<string, any>, never, never, any>> & import("vue").default<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => import("vue").default<Record<string, any>, Record<string, any>, never, never, any>>>;
            ListItem: import("vue").DefineComponent<{
                bordered: {
                    type: BooleanConstructor;
                };
                data: null;
                options: null;
                isSelected: {
                    type: BooleanConstructor;
                };
                size: null;
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: {
                    bordered?: boolean | undefined;
                    data: Record<string, any>;
                    options: import("@fly-vue/ide-base").IListOptions;
                    isSelected?: boolean | undefined;
                    size?: string | undefined;
                    padding: boolean;
                };
                emit: (event: "on-select" | "on-drag" | "mousedown" | "on-expand", ...args: any[]) => void;
                data: import("vue").Ref<Record<string, any>>;
                options: import("vue").Ref<import("@fly-vue/ide-base").IListOptions>;
                clazz: import("vue").ComputedRef<{
                    bordered: boolean | undefined;
                    'ui-bg-selected ui-text-selectedText ui-font-bold': boolean | undefined;
                    'ui-px-4': boolean;
                    'ui-py-1': boolean;
                    'ui-py-2': boolean;
                }>;
                opt: import("@fly-vue/ide-base").IListOptions;
                select: () => void;
                Icon: import("vue").DefineComponent<{
                    icon: null;
                    size: null;
                    color: null;
                }, {
                    __sfc: boolean;
                    props: {
                        icon: string;
                        size?: string | undefined;
                        color?: string | undefined;
                    };
                    isIdeIcon: import("vue").ComputedRef<boolean>;
                    isProIcon: import("vue").ComputedRef<boolean>;
                    isIdesIcon: import("vue").ComputedRef<boolean>;
                    isLcIcon: import("vue").ComputedRef<boolean>;
                    colorMap: Record<string, string>;
                    color: import("vue").ComputedRef<string>;
                    IdeIcon: import("vue").DefineComponent<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }>>, {
                        size: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    icon: null;
                    size: null;
                    color: null;
                }>>, {}>;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
                Row: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-drag" | "mousedown" | "on-expand")[], string, Readonly<ExtractPropTypes<{
                bordered: {
                    type: BooleanConstructor;
                };
                data: null;
                options: null;
                isSelected: {
                    type: BooleanConstructor;
                };
                size: null;
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                padding: boolean;
                bordered: boolean;
                isSelected: boolean;
            }>;
            LcLine: import("vue").DefineComponent<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                type: null;
                position: {
                    default: string;
                };
                size: null;
            }>>, {
                position: string;
            }>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "update:selected" | "on-drag" | "mousedown")[], string, Readonly<ExtractPropTypes<{
            data: null;
            keyword: {
                default: string;
            };
            options: {
                default(): {};
            };
            isDraggable: {
                type: BooleanConstructor;
            };
            showDivider: {
                type: BooleanConstructor;
            };
            showNoData: {
                type: BooleanConstructor;
                default: boolean;
            };
            showSelected: {
                type: BooleanConstructor;
                default: boolean;
            };
            selected: null;
            customIsSelected: null;
            size: null;
            wrap: {
                type: BooleanConstructor;
            };
            direction: {
                default: string;
            };
            gap: {
                type: BooleanConstructor;
            };
            bordered: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
            noDataText: {
                default: string;
            };
            associateRoute: {
                type: BooleanConstructor;
            };
        }>>, {
            padding: boolean;
            options: {};
            isDraggable: boolean;
            wrap: boolean;
            gap: boolean;
            showNoData: boolean;
            noDataText: string;
            keyword: string;
            direction: string;
            showDivider: boolean;
            showSelected: boolean;
            bordered: boolean;
            associateRoute: boolean;
        }>;
        NoData: import("vue").DefineComponent<{
            text: {
                default: string;
            };
            desc: null;
            img: null;
        }, {
            __sfc: boolean;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            noData: any;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            text: {
                default: string;
            };
            desc: null;
            img: null;
        }>>, {
            text: string;
        }>;
        LcImage: import("vue").DefineComponent<{
            src: null;
            lazy: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            RenderWhenBeSeen: import("vue").DefineComponent<{
                enabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: {
                    enabled: boolean;
                };
                vIf: import("vue").Ref<boolean>;
                Observable: import("vue").DefineComponent<{
                    enabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        enabled: boolean;
                    };
                    emit: (event: "on-observe" | "on-show" | "on-hide", ...args: any[]) => void;
                    target: import("vue").Ref<any>;
                    Column: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            fit?: boolean | undefined;
                            gutter?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-h-0': boolean | undefined;
                            gutter: boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                        fit: boolean;
                        gutter: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-observe" | "on-show" | "on-hide")[], string, Readonly<ExtractPropTypes<{
                    enabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    enabled: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                enabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                enabled: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            src: null;
            lazy: {
                type: BooleanConstructor;
            };
        }>>, {
            lazy: boolean;
        }>;
        Observable: import("vue").DefineComponent<{
            enabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: {
                enabled: boolean;
            };
            emit: (event: "on-observe" | "on-show" | "on-hide", ...args: any[]) => void;
            target: import("vue").Ref<any>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-observe" | "on-show" | "on-hide")[], string, Readonly<ExtractPropTypes<{
            enabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            enabled: boolean;
        }>;
        LcForm: import("vue").DefineComponent<{
            model: {
                type: ObjectConstructor;
            };
            rules: {
                type: ArrayConstructor;
            };
            labelPosition: {
                type: StringConstructor;
                default: string;
            };
            labelWidth: {
                type: NumberConstructor;
            };
        }, {
            __sfc: boolean;
            refForm1: import("vue").Ref<any>;
            Form: typeof import("view-design").Form;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            model: {
                type: ObjectConstructor;
            };
            rules: {
                type: ArrayConstructor;
            };
            labelPosition: {
                type: StringConstructor;
                default: string;
            };
            labelWidth: {
                type: NumberConstructor;
            };
        }>>, {
            labelPosition: string;
        }>;
        LcFormItem: import("vue").DefineComponent<{
            title: {
                type: StringConstructor;
            };
            titleWidth: {
                type: NumberConstructor;
                default: number;
            };
            titleAlign: {
                type: StringConstructor;
                enums: string[];
                default: string;
            };
            hideTitle: {
                type: BooleanConstructor;
            };
            rules: {
                type: ArrayConstructor;
            };
            prop: {
                type: StringConstructor;
            };
            label: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
            Space: import("vue").DefineComponent<{}, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            title: {
                type: StringConstructor;
            };
            titleWidth: {
                type: NumberConstructor;
                default: number;
            };
            titleAlign: {
                type: StringConstructor;
                enums: string[];
                default: string;
            };
            hideTitle: {
                type: BooleanConstructor;
            };
            rules: {
                type: ArrayConstructor;
            };
            prop: {
                type: StringConstructor;
            };
            label: {
                type: StringConstructor;
            };
        }>>, {
            titleAlign: string;
            hideTitle: boolean;
            titleWidth: number;
        }>;
        FormBtns: import("vue").DefineComponent<{
            disabled: {
                type: BooleanConstructor;
            };
            okText: {
                type: StringConstructor;
                default: string;
            };
            showCancel: {
                type: BooleanConstructor;
                default: boolean;
            };
            cancelPosition: {
                type: StringConstructor;
                default: string;
            };
            loading: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
            onCancel: () => void;
            onOk: () => void;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            Space: import("vue").DefineComponent<{}, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
            disabled: {
                type: BooleanConstructor;
            };
            okText: {
                type: StringConstructor;
                default: string;
            };
            showCancel: {
                type: BooleanConstructor;
                default: boolean;
            };
            cancelPosition: {
                type: StringConstructor;
                default: string;
            };
            loading: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            padding: boolean;
            loading: boolean;
            disabled: boolean;
            okText: string;
            showCancel: boolean;
            cancelPosition: string;
        }>;
        LcLine: import("vue").DefineComponent<{
            type: null;
            position: {
                default: string;
            };
            size: null;
        }, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
            type: null;
            position: {
                default: string;
            };
            size: null;
        }>>, {
            position: string;
        }>;
        SelectableTag: import("vue").DefineComponent<{
            selected: {
                type: (BooleanConstructor | StringConstructor)[];
            };
            name: null;
            tag: {
                default: string;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
            bg: {
                type: BooleanConstructor;
                default: boolean;
            };
            badge: {
                type: BooleanConstructor;
            };
            badgeSize: {
                default: string;
            };
        }, {
            __sfc: boolean;
            props: {
                selected?: string | boolean | undefined;
                name?: string | undefined;
                tag: "row" | "column";
                padding: boolean;
                bg: boolean;
                badge?: boolean | undefined;
                badgeSize: string;
            };
            emit: (event: "on-select", ...args: any[]) => void;
            clazz: import("vue").ComputedRef<{
                selected: boolean;
                padding: boolean;
                bg: boolean;
            }>;
            onClick: () => void;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            badgeSelected: any;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-select"[], string, Readonly<ExtractPropTypes<{
            selected: {
                type: (BooleanConstructor | StringConstructor)[];
            };
            name: null;
            tag: {
                default: string;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
            bg: {
                type: BooleanConstructor;
                default: boolean;
            };
            badge: {
                type: BooleanConstructor;
            };
            badgeSize: {
                default: string;
            };
        }>>, {
            padding: boolean;
            tag: string;
            bg: boolean;
            badge: boolean;
            badgeSize: string;
        }>;
        PreviewCard: import("vue").DefineComponent<{
            selected: {
                type: BooleanConstructor;
            };
            icon: null;
            payload: null;
            group: null;
            id: null;
            versionId: null;
            platform: null;
            empty: {
                type: BooleanConstructor;
            };
            title: null;
            cardClass: null;
            width: {
                default: string;
            };
            height: {
                default: string;
            };
            noScroll: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            props: {
                selected?: boolean | undefined;
                icon?: string | undefined;
                payload?: Record<string, any> | undefined;
                group?: import("@fly-vue/lcdp-api").Groups | undefined;
                id?: string | undefined;
                versionId?: string | undefined;
                platform?: string | undefined;
                empty?: boolean | undefined;
                title?: string | undefined;
                cardClass?: string | undefined;
                width: string;
                height: string;
                noScroll?: boolean | undefined;
            };
            emit: (event: "on-select" | "on-load", ...args: any[]) => void;
            LazyPreviewLowcodePage: import("vue").DefineComponent<{
                appId: null;
                group: null;
                id: null;
                versionId: null;
                platform: {
                    default: string;
                };
            }, {
                __sfc: boolean;
                props: {
                    appId?: string | undefined;
                    group: import("@fly-vue/lcdp-api").Groups;
                    id: string;
                    versionId?: string | undefined;
                    platform: import("@fly-vue/lcdp-api").IPlatform;
                };
                emit: (event: "on-load", ...args: any[]) => void;
                payload: import("vue").Ref<any>;
                onShow: () => Promise<void>;
                PreviewLowcodePage: import("vue").DefineComponent<{
                    payload: {
                        type: ObjectConstructor;
                        required: true;
                    };
                    scale: {
                        type: NumberConstructor;
                        default: number;
                    };
                    enableOpenPreviewDialog: {
                        type: BooleanConstructor;
                    };
                    enabledEdit: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        padding: boolean;
                        payload: Record<string, any>;
                        scale: number;
                        enableOpenPreviewDialog: boolean;
                        enabledEdit: boolean;
                    } & {}>>>;
                    emit: (event: "on-loaded", ...args: any[]) => void;
                    loaded: import("vue").Ref<boolean>;
                    rendererConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                    finalPayload: import("vue").ComputedRef<any>;
                    onRendered: () => void;
                    open: () => void;
                    LcdpRenderer: import("vue").DefineComponent<{
                        onRender: {
                            type: import("vue").PropType<(context: any) => any>;
                            required: boolean;
                        };
                        onRendered: {
                            type: import("vue").PropType<(context: any) => any>;
                            required: boolean;
                        };
                        payload: {
                            type: (ObjectConstructor | StringConstructor)[];
                            requried: boolean;
                        };
                        config: {
                            type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                        };
                        ignoreMicroAppIdInQuery: {
                            type: BooleanConstructor;
                        };
                    }, {
                        isAdpativePage: import("vue").Ref<boolean>;
                        comDef: import("vue").Ref<import("vue").DefineComponent<{
                            onRender: {
                                type: import("vue").PropType<(context: any) => any>;
                                required: boolean;
                            };
                            onRendered: {
                                type: import("vue").PropType<(context: any) => any>;
                                required: boolean;
                            };
                            payload: {
                                type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                            };
                        }, {
                            preprocessed: import("vue").Ref<boolean>;
                            compiledPage: any;
                            compiledPageRef: any;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                            onRender: {
                                type: import("vue").PropType<(context: any) => any>;
                                required: boolean;
                            };
                            onRendered: {
                                type: import("vue").PropType<(context: any) => any>;
                                required: boolean;
                            };
                            payload: {
                                type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                            };
                        }>>, {}>>;
                        masterPayload: any;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        onRender: {
                            type: import("vue").PropType<(context: any) => any>;
                            required: boolean;
                        };
                        onRendered: {
                            type: import("vue").PropType<(context: any) => any>;
                            required: boolean;
                        };
                        payload: {
                            type: (ObjectConstructor | StringConstructor)[];
                            requried: boolean;
                        };
                        config: {
                            type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                        };
                        ignoreMicroAppIdInQuery: {
                            type: BooleanConstructor;
                        };
                    }>>, {
                        ignoreMicroAppIdInQuery: boolean;
                    }>;
                    Column: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            fit?: boolean | undefined;
                            gutter?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-h-0': boolean | undefined;
                            gutter: boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                        fit: boolean;
                        gutter: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-loaded"[], string, Readonly<ExtractPropTypes<{
                    payload: {
                        type: ObjectConstructor;
                        required: true;
                    };
                    scale: {
                        type: NumberConstructor;
                        default: number;
                    };
                    enableOpenPreviewDialog: {
                        type: BooleanConstructor;
                    };
                    enabledEdit: {
                        type: BooleanConstructor;
                    };
                    padding: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    padding: boolean;
                    scale: number;
                    enableOpenPreviewDialog: boolean;
                    enabledEdit: boolean;
                }>;
                Observable: import("vue").DefineComponent<{
                    enabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        enabled: boolean;
                    };
                    emit: (event: "on-observe" | "on-show" | "on-hide", ...args: any[]) => void;
                    target: import("vue").Ref<any>;
                    Column: import("vue").DefineComponent<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            itemsCenter?: boolean | undefined;
                            justifyCenter?: boolean | undefined;
                            center?: boolean | undefined;
                            wrap?: boolean | undefined;
                            fit?: boolean | undefined;
                            gutter?: boolean | undefined;
                            grow?: boolean | undefined;
                            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                        };
                        clazz: import("vue").ComputedRef<{
                            'ui-items-center': boolean | undefined;
                            'ui-justify-center': boolean | undefined;
                            'ui-flex-grow': boolean | undefined;
                            'ui-h-0': boolean | undefined;
                            gutter: boolean | undefined;
                            'ui-gap-1': boolean;
                            'ui-gap-2': boolean;
                            'ui-gap-3': boolean;
                            'ui-gap-4': boolean;
                            'ui-gap-5': boolean;
                            'ui-gap-6': boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        itemsCenter: {
                            type: BooleanConstructor;
                        };
                        justifyCenter: {
                            type: BooleanConstructor;
                        };
                        center: {
                            type: BooleanConstructor;
                        };
                        wrap: {
                            type: BooleanConstructor;
                        };
                        fit: {
                            type: BooleanConstructor;
                        };
                        gutter: {
                            type: BooleanConstructor;
                        };
                        grow: {
                            type: BooleanConstructor;
                        };
                        gap: {
                            type: (BooleanConstructor | NumberConstructor)[];
                        };
                    }>>, {
                        itemsCenter: boolean;
                        justifyCenter: boolean;
                        center: boolean;
                        wrap: boolean;
                        grow: boolean;
                        fit: boolean;
                        gutter: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-observe" | "on-show" | "on-hide")[], string, Readonly<ExtractPropTypes<{
                    enabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    enabled: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-load"[], string, Readonly<ExtractPropTypes<{
                appId: null;
                group: null;
                id: null;
                versionId: null;
                platform: {
                    default: string;
                };
            }>>, {
                platform: string;
            }>;
            PreviewLowcodePage: import("vue").DefineComponent<{
                payload: {
                    type: ObjectConstructor;
                    required: true;
                };
                scale: {
                    type: NumberConstructor;
                    default: number;
                };
                enableOpenPreviewDialog: {
                    type: BooleanConstructor;
                };
                enabledEdit: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    padding: boolean;
                    payload: Record<string, any>;
                    scale: number;
                    enableOpenPreviewDialog: boolean;
                    enabledEdit: boolean;
                } & {}>>>;
                emit: (event: "on-loaded", ...args: any[]) => void;
                loaded: import("vue").Ref<boolean>;
                rendererConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                finalPayload: import("vue").ComputedRef<any>;
                onRendered: () => void;
                open: () => void;
                LcdpRenderer: import("vue").DefineComponent<{
                    onRender: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: (ObjectConstructor | StringConstructor)[];
                        requried: boolean;
                    };
                    config: {
                        type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                    };
                    ignoreMicroAppIdInQuery: {
                        type: BooleanConstructor;
                    };
                }, {
                    isAdpativePage: import("vue").Ref<boolean>;
                    comDef: import("vue").Ref<import("vue").DefineComponent<{
                        onRender: {
                            type: import("vue").PropType<(context: any) => any>;
                            required: boolean;
                        };
                        onRendered: {
                            type: import("vue").PropType<(context: any) => any>;
                            required: boolean;
                        };
                        payload: {
                            type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                        };
                    }, {
                        preprocessed: import("vue").Ref<boolean>;
                        compiledPage: any;
                        compiledPageRef: any;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                        onRender: {
                            type: import("vue").PropType<(context: any) => any>;
                            required: boolean;
                        };
                        onRendered: {
                            type: import("vue").PropType<(context: any) => any>;
                            required: boolean;
                        };
                        payload: {
                            type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                        };
                    }>>, {}>>;
                    masterPayload: any;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    onRender: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: (ObjectConstructor | StringConstructor)[];
                        requried: boolean;
                    };
                    config: {
                        type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                    };
                    ignoreMicroAppIdInQuery: {
                        type: BooleanConstructor;
                    };
                }>>, {
                    ignoreMicroAppIdInQuery: boolean;
                }>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-loaded"[], string, Readonly<ExtractPropTypes<{
                payload: {
                    type: ObjectConstructor;
                    required: true;
                };
                scale: {
                    type: NumberConstructor;
                    default: number;
                };
                enableOpenPreviewDialog: {
                    type: BooleanConstructor;
                };
                enabledEdit: {
                    type: BooleanConstructor;
                };
                padding: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                padding: boolean;
                scale: number;
                enableOpenPreviewDialog: boolean;
                enabledEdit: boolean;
            }>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
            LcImage: import("vue").DefineComponent<{
                src: null;
                lazy: {
                    type: BooleanConstructor;
                };
            }, {
                __sfc: boolean;
                RenderWhenBeSeen: import("vue").DefineComponent<{
                    enabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        enabled: boolean;
                    };
                    vIf: import("vue").Ref<boolean>;
                    Observable: import("vue").DefineComponent<{
                        enabled: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }, {
                        __sfc: boolean;
                        props: {
                            enabled: boolean;
                        };
                        emit: (event: "on-observe" | "on-show" | "on-hide", ...args: any[]) => void;
                        target: import("vue").Ref<any>;
                        Column: import("vue").DefineComponent<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }, {
                            __sfc: boolean;
                            props: {
                                itemsCenter?: boolean | undefined;
                                justifyCenter?: boolean | undefined;
                                center?: boolean | undefined;
                                wrap?: boolean | undefined;
                                fit?: boolean | undefined;
                                gutter?: boolean | undefined;
                                grow?: boolean | undefined;
                                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                            };
                            clazz: import("vue").ComputedRef<{
                                'ui-items-center': boolean | undefined;
                                'ui-justify-center': boolean | undefined;
                                'ui-flex-grow': boolean | undefined;
                                'ui-h-0': boolean | undefined;
                                gutter: boolean | undefined;
                                'ui-gap-1': boolean;
                                'ui-gap-2': boolean;
                                'ui-gap-3': boolean;
                                'ui-gap-4': boolean;
                                'ui-gap-5': boolean;
                                'ui-gap-6': boolean;
                            }>;
                        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                            itemsCenter: {
                                type: BooleanConstructor;
                            };
                            justifyCenter: {
                                type: BooleanConstructor;
                            };
                            center: {
                                type: BooleanConstructor;
                            };
                            wrap: {
                                type: BooleanConstructor;
                            };
                            fit: {
                                type: BooleanConstructor;
                            };
                            gutter: {
                                type: BooleanConstructor;
                            };
                            grow: {
                                type: BooleanConstructor;
                            };
                            gap: {
                                type: (BooleanConstructor | NumberConstructor)[];
                            };
                        }>>, {
                            itemsCenter: boolean;
                            justifyCenter: boolean;
                            center: boolean;
                            wrap: boolean;
                            grow: boolean;
                            fit: boolean;
                            gutter: boolean;
                        }>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-observe" | "on-show" | "on-hide")[], string, Readonly<ExtractPropTypes<{
                        enabled: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                    }>>, {
                        enabled: boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    enabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    enabled: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                src: null;
                lazy: {
                    type: BooleanConstructor;
                };
            }>>, {
                lazy: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-load")[], string, Readonly<ExtractPropTypes<{
            selected: {
                type: BooleanConstructor;
            };
            icon: null;
            payload: null;
            group: null;
            id: null;
            versionId: null;
            platform: null;
            empty: {
                type: BooleanConstructor;
            };
            title: null;
            cardClass: null;
            width: {
                default: string;
            };
            height: {
                default: string;
            };
            noScroll: {
                type: BooleanConstructor;
            };
        }>>, {
            selected: boolean;
            empty: boolean;
            width: string;
            height: string;
            noScroll: boolean;
        }>;
        PreviewLowcodePage: import("vue").DefineComponent<{
            payload: {
                type: ObjectConstructor;
                required: true;
            };
            scale: {
                type: NumberConstructor;
                default: number;
            };
            enableOpenPreviewDialog: {
                type: BooleanConstructor;
            };
            enabledEdit: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                padding: boolean;
                payload: Record<string, any>;
                scale: number;
                enableOpenPreviewDialog: boolean;
                enabledEdit: boolean;
            } & {}>>>;
            emit: (event: "on-loaded", ...args: any[]) => void;
            loaded: import("vue").Ref<boolean>;
            rendererConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
            finalPayload: import("vue").ComputedRef<any>;
            onRendered: () => void;
            open: () => void;
            LcdpRenderer: import("vue").DefineComponent<{
                onRender: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: (ObjectConstructor | StringConstructor)[];
                    requried: boolean;
                };
                config: {
                    type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                };
                ignoreMicroAppIdInQuery: {
                    type: BooleanConstructor;
                };
            }, {
                isAdpativePage: import("vue").Ref<boolean>;
                comDef: import("vue").Ref<import("vue").DefineComponent<{
                    onRender: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                    };
                }, {
                    preprocessed: import("vue").Ref<boolean>;
                    compiledPage: any;
                    compiledPageRef: any;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                    onRender: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                    };
                }>>, {}>>;
                masterPayload: any;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                onRender: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: (ObjectConstructor | StringConstructor)[];
                    requried: boolean;
                };
                config: {
                    type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                };
                ignoreMicroAppIdInQuery: {
                    type: BooleanConstructor;
                };
            }>>, {
                ignoreMicroAppIdInQuery: boolean;
            }>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-loaded"[], string, Readonly<ExtractPropTypes<{
            payload: {
                type: ObjectConstructor;
                required: true;
            };
            scale: {
                type: NumberConstructor;
                default: number;
            };
            enableOpenPreviewDialog: {
                type: BooleanConstructor;
            };
            enabledEdit: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            padding: boolean;
            scale: number;
            enableOpenPreviewDialog: boolean;
            enabledEdit: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
        package1: {
            type: ObjectConstructor;
        };
        meta: {
            type: import("vue").PropType<IMetaProps>;
            required: true;
        };
    }>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-loaded" | "update:isFold")[], string, Readonly<ExtractPropTypes<{
    appId: null;
    openTab: {
        type: BooleanConstructor;
    };
    selected: null;
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholderId: null;
    packageName: null;
    foldable: {
        type: BooleanConstructor;
    };
    isFold: {
        type: BooleanConstructor;
    };
    showMenus: {
        type: BooleanConstructor;
    };
    options: null;
}>>, {
    openTab: boolean;
    immediate: boolean;
    foldable: boolean;
    isFold: boolean;
    showMenus: boolean;
}>;
export default _default;
